<?php
/**
 * DouPHP
 * --------------------------------------------------------------------------------------------------
 * 版权所有 2013-2024 漳州豆壳网络科技有限公司，并保留所有权利。
 * 网站地址: http://www.douphp.com
 * --------------------------------------------------------------------------------------------------
 * 这不是一个自由软件！您只能在遵守授权协议前提下对程序代码进行修改和使用；不允许对程序代码以任何形式任何目的的再发布。
 * 授权协议: http://www.douphp.com/license.html
 * --------------------------------------------------------------------------------------------------
 * Author: DouCo Co.,Ltd.
 * Release Date: 2024-09-30
 */
define('IN_DOUCO', true);

$_CUR = 'user';
require (dirname(__FILE__) . '/include/init.php');
$smarty->assign('cur', $_CUR);
$smarty->assign('submenu', 'user');

// rec操作项的初始化
$rec = $check->is_rec($_REQUEST['rec']) ? $_REQUEST['rec'] : 'default';

// 会员模块
include_once (ROOT_PATH . 'include/user.class.php');
$dou_user = new DouUser();

// 图片上传
include_once (ROOT_PATH . 'include/file.class.php');
$file = new File('images/avatar/', null, 'jpg,gif,png', '100'); // 实例化类文件(文件上传路径，结尾加斜杠)

// 赋值给模板
$smarty->assign('rec', $rec);
$smarty->assign('link_user_center', $dou_user->link_user_center('user', 'admin'));

/**
 * +----------------------------------------------------------
 * 会员列表
 * +----------------------------------------------------------
 */
if ($rec == 'default') {
    $smarty->assign('ur_here', $_LANG['user']);
    $smarty->assign('action_link', array (
            'text' => $_LANG['user_add'],
            'href' => 'user.php?rec=add' 
    ));
    
    // 生成筛选条件
    $field = array('telphone', 'email', 'contact');
    $key = array();
    foreach ($field as $value) {
        $v['value'] = $value;
        $v['name'] = $_LANG['user_' . $value];
        $v['cur'] = ($value == $_REQUEST['key']) ? true : false;
        $key[] = $v;
    }

    // 筛选关键词
    $keyword = isset($_REQUEST['keyword']) ? trim($_REQUEST['keyword']) : '';
    if ($keyword)
        $where = " WHERE $_REQUEST[key] LIKE '%$keyword%'";
 
    // 未加入分页条件的SQL语句
    $sql = "SELECT * FROM " . $dou->table('user') . $where . " ORDER BY user_id DESC";
    
    // 分页
    $page = $check->is_number($_REQUEST['page']) ? $_REQUEST['page'] : 1;
    $page_url = 'user.php' . ($_REQUEST['key'] ? '?key=' . $_REQUEST['key'] : '') . ($keyword ? '&keyword=' . $keyword : '');
    $limit = $dou->pager($sql, 15, $page, $page_url);
    
    $sql = $sql . $limit; // 加入分页条件的SQL语句
    $query = $dou->query($sql);
    while ($row = $dou->fetch_array($query)) {
        $sex = $row['sex'] ? $_LANG['user_man'] : $_LANG['user_woman'];
        $add_time = date("Y-m-d", $row['add_time']);
        $last_login = $row['last_login'] ? date("Y-m-d H:i:s", $dou->get_first_log($row['last_login'], true)) : '-';
        
        $user_list[] = array (
                "user_id" => $row['user_id'],
                "level_name" => $dou->user_level_name($row['level']),
                'vip' => $dou->vip($row['user_id']),
                "telphone" => $row['telphone'],
                "email" => $row['email'],
                "user_sn" => $row['user_sn'],
                "contact" => $_CFG['language'] == 'en_us' ? $row['first_name'] . ' ' . $row['last_name'] : $row['contact'],
                "phone" => $row['phone'],
                "point" => $dou_user->point($row['user_id']),
                "sex" => $sex,
                "login_count" => $row['login_count'],
                "last_login" => $last_login,
                "add_time" => $add_time
        );
    }
    
    // 判断是否安装会员导出功能
    if (file_exists(ROOT_PATH . ADMIN_PATH . '/include/phpexcel/excel.class.php'))
        $smarty->assign('excel', true);
    
    // 赋值给模板
    $smarty->assign('key', $key);
    $smarty->assign('keyword', $keyword);
    $smarty->assign('user_list', $user_list);
    
    $smarty->display('user.htm');
}

/**
 * +----------------------------------------------------------
 * 会员添加
 * +----------------------------------------------------------
 */
elseif ($rec == 'add') {
   $smarty->assign('ur_here', $_LANG['user_edit']);
    $smarty->assign('action_link', array (
            'text' => $_LANG['user'],
            'href' => 'user.php' 
    ));
    
    // CSRF防御令牌生成
    $smarty->assign('token', $token = $firewall->get_token());

    // 格式化自定义参数
    if ($_CFG['defined_user'] || $user['defined']) {
        $defined = explode(',', $_CFG['defined_user']);
        foreach ($defined as $row) {
            $defined_user .= $row . "：\n";
        }
        // 如果商品中已经写入自定义参数则调用已有的
        $user['defined'] = $user['defined'] ? str_replace(",", "\n", $user['defined']) : trim($defined_user);
        $user['defined_count'] = count(explode("\n", $user['defined'])) * 2;
    }
    
    // 赋值给模板
    $smarty->assign('user', $user);
    $smarty->assign('user_level_option', $dou->user_level_option());
    $smarty->assign('form_action', 'insert');
    
    $smarty->display('user.htm');
} 

elseif ($rec == 'insert') {
    // 验证用户名
    if ($_POST['email']) { // 邮箱注册
        if (!$check->is_email($_POST['email'])) {
            $dou->dou_msg($_LANG['user_email_cue']);
        } elseif ($dou->value_exist('user', 'email', $_POST['email'])) {
            $dou->dou_msg($_LANG['user_email_exists']);
        }
    } else { // 手机号注册
        if (!$check->is_telphone($_POST['telphone'])) {
            $dou->dou_msg($_LANG['user_telphone_cue']);
        } elseif ($dou->value_exist('user', 'telphone', $_POST['telphone'])) {
            $dou->dou_msg($_LANG['user_telphone_exists']);
        }
    }
    
    // 验证密码
    if (!$check->is_password($_POST['password']))
        $dou->dou_msg($_LANG['user_password_cue']);
    
    // 验证确认密码
    if (!isset($wrong['password']) && ($_POST['password_confirm'] !== $_POST['password']))
        $dou->dou_msg($_LANG['user_password_confirm_cue']);
    
    // CSRF防御令牌验证
    $firewall->check_token($_POST['token']);
 
    // 格式化数据
    $user_sn = $dou_user->rand_user_sn();
    $password = md5($_POST['password']);
    $add_time = time();
    $phone = $_POST['telphone'];
 
    // 判断是中文还是英文联系人信息
    if ($_CFG['language'] == 'en_us') {
        $sql = "INSERT INTO " . $dou->table('user') . " (user_id, user_sn, level, email, telphone, password, first_name, last_name, phone, address, postcode, sex, nickname, avatar, defined, add_time)" . " VALUES (NULL, '$user_sn', '$_POST[level]', '$_POST[email]', $_POST[telphone], '$password', '$_POST[first_name]', '$_POST[last_name]', '$phone', '$_POST[address]', '$_POST[postcode]', '$_POST[sex]', '$_POST[nickname]', '$avatar', '$_POST[defined]', '$add_time')";
    } else {
        $sql = "INSERT INTO " . $dou->table('user') . " (user_id, user_sn, level, email, telphone, password, contact, phone, address, postcode, sex, nickname, avatar, defined, add_time)" . " VALUES (NULL, '$user_sn', '$_POST[level]', '$_POST[email]', $_POST[telphone], '$password', '$_POST[contact]', '$phone', '$_POST[address]', '$_POST[postcode]', '$_POST[sex]', '$_POST[nickname]', '$avatar', '$_POST[defined]', '$add_time')";
    }
    
    $dou->query($sql);
    
    $dou->create_admin_log($_LANG['user_add'] . ': ' . $user_sn);
    $dou->dou_msg($_LANG['user_add_succes'], 'user.php');
} 

/**
 * +----------------------------------------------------------
 * 会员编辑
 * +----------------------------------------------------------
 */
elseif ($rec == 'edit') {
    $smarty->assign('ur_here', $_LANG['user_edit']);
    $smarty->assign('action_link', array (
            'text' => $_LANG['user'],
            'href' => 'user.php' 
    ));
    
    // CSRF防御令牌生成
    $smarty->assign('token', $token = $firewall->get_token());

    // 验证并获取合法的ID
    $user_id = $check->is_number($_REQUEST['user_id']) ? $_REQUEST['user_id'] : '';
    
    $user = $dou->get_row('user', '*', "user_id = '$user_id'");
    $user['avatar'] = $user['avatar'] ? $dou->dou_file($user['avatar']) : '';

    // 格式化自定义参数
    if ($_CFG['defined_user'] || $user['defined']) {
        $defined = explode(',', $_CFG['defined_user']);
        foreach ($defined as $row) {
            $defined_user .= $row . "：\n";
        }
        // 如果商品中已经写入自定义参数则调用已有的
        $user['defined'] = $user['defined'] ? str_replace(",", "\n", $user['defined']) : trim($defined_user);
        $user['defined_count'] = count(explode("\n", $user['defined'])) * 2;
    }
    
    // 赋值给模板
    $smarty->assign('user', $user);
    $smarty->assign('form_action', 'update');
    $smarty->assign('user_level_option', $dou->user_level_option($user['level']));
    
    $smarty->display('user.htm');
} 

elseif ($rec == 'update') {
    // 验证并获取合法的ID
    $user_id = $check->is_number($_POST['user_id']) ? $_POST['user_id'] : '';
    
    $user = $dou->get_row('user', '*', "user_id = '$user_id'");
    
    // 验证Email
    if (!$check->is_email($_POST['email'])) {
        $dou->dou_msg($_LANG['user_email_cue']);
    } elseif ($dou->value_exist('user', 'email', $_POST['email']) && $_POST['email'] != $user['email']) {
        $dou->dou_msg($_LANG['user_email_exists']);
    }
    
    // 验证手机号
    if (!$check->is_telphone($_POST['telphone'])) {
        $dou->dou_msg($_LANG['user_telphone_cue']);
    } elseif ($dou->value_exist('user', 'telphone', $_POST['telphone']) && $_POST['telphone'] != $user['telphone']) {
        $dou->dou_msg($_LANG['user_telphone_exists']);
    }
    
    // 验证密码
    if ($_POST['password']) {
        if ($check->is_password($_POST['password'])) {
            $password = ", password = '" . md5($_POST['password']) . "'";
        } else {
            $dou->dou_msg($_LANG['user_password_cue']);
        }
    }
 
    // 文件上传盒子
    if ($_FILES['avatar']['name'] != "") {
        $file_name = $dou->get_file_name($dou->get_one("SELECT avatar FROM " . $dou->table('user') . " WHERE user_id = '$user_id'"));
        $avatar_filename = $file_name ? $file_name : $dou_user->create_avatar_filename();
        $avatar = $file->box('user', $user_id, 'avatar', 'main', $avatar_filename, '', '', 200, '', 'user_id');
        $avatar = ", avatar = '" . $avatar . "'";
    }

    // 格式化自定义参数
    $_POST['defined'] = str_replace("\r\n", ',', $_POST['defined']);
    
    // CSRF防御令牌验证
    $firewall->check_token($_POST['token']);
 
    // 判断是中文还是英文联系人信息
    $field_sql = $_CFG['language'] == 'en_us' ? ", first_name = '$_POST[first_name]', last_name = '$_POST[last_name]', country = '$_POST[country]', province = '$_POST[province]'" : ", contact = '$_POST[contact]'";
    
    $sql = "UPDATE " . $dou->table('user') . " SET level = '$_POST[level]', telphone = '$_POST[telphone]', email = '$_POST[email]'" . $password . $field_sql .  ", phone = '$_POST[phone]', address = '$_POST[address]', postcode = '$_POST[postcode]', sex = '$_POST[sex]', nickname = '$_POST[nickname]'" . $avatar . ", defined = '$_POST[defined]' WHERE user_id = '$user_id'";
    $dou->query($sql);
    
    $dou->create_admin_log($_LANG['user_edit'] . ': ' . $_POST['user_name']);
    $dou->dou_msg($_LANG['user_edit_succes'], 'user.php?rec=edit&user_id=' . $user_id);
}

/**
 * +----------------------------------------------------------
 * 会员删除
 * +----------------------------------------------------------
 */
elseif ($rec == 'del') {
    // 验证并获取合法的user_id
    $user_id = $check->is_number($_REQUEST['user_id']) ? $_REQUEST['user_id'] : $dou->dou_msg($_LANG['illegal'], 'user.php');
    $email = $dou->get_one("SELECT email FROM " . $dou->table('user') . " WHERE user_id = '$user_id'");
    
    if (isset($_POST['confirm'])) {
        $dou->create_admin_log($_LANG['user_del'] . ': ' . $email);
        $dou->delete('user', "user_id = $user_id", 'user.php');
    } else {
        $_LANG['del_check'] = preg_replace('/d%/Ums', $email, $_LANG['del_check']);
        $dou->dou_msg($_LANG['del_check'], 'user.php', '', '30', "user.php?rec=del&user_id=$user_id");
    }
} 

/**
 * +----------------------------------------------------------
 * 批量操作选择
 * +----------------------------------------------------------
 */
elseif ($rec == 'action') {
    // 判断是否安装会员导出功能
    if (file_exists($excel_file = ROOT_PATH . ADMIN_PATH . '/include/phpexcel/excel.class.php')) {
        include_once($excel_file);
        $excel = new Excel();
    }
    
    if (is_array($_POST['checkbox'])) {
        if ($_POST['action'] == 'del_all') { // 批量删除会员
            $dou->del_all('user', $_POST['checkbox'], 'user_id');
        } elseif ($_POST['action'] == 'excel') { // 导出所选会员
            $excel->export_excel('user', excel_user_list($_POST['checkbox']));
        } else {
            $dou->dou_msg($_LANG['select_empty']);
        }
    } else {
        if ($_POST['action'] == 'excel_all') { // 导出所有
            $excel->export_excel('user', excel_user_list());
            exit;
        }
        
        $dou->dou_msg($_LANG['user_select_empty']);
    }
} 

/**
 * +----------------------------------------------------------
 * 参数设置
 * +----------------------------------------------------------
 */
elseif ($rec == 'set') {
    $set_list = array('login_mode', 'loginid_mode', 'user_level_option');
    foreach ($set_list as $name) {
        if (!$dou->value_exist('parameter', 'name', $name)) {
            $dou->query("INSERT INTO " . $dou->table('parameter') . " (id, name, lang, value, cue, `group`)" . " VALUES (NULL, '$name', '" . $_LANG['user_' . $name . '_lang'] . "', '" . $_LANG['user_' . $name . '_value'] . "', '" . $_LANG['user_' . $name . '_cue'] . "', 'user')");
        }
    }
    $dou->dou_header('parameter.php?rec=set&group=user');
}

/**
 * +----------------------------------------------------------
 * 导出的会员数据
 * +----------------------------------------------------------
 * $checkbox 所选的会员条目
 * +----------------------------------------------------------
 */
function excel_user_list($checkbox = '') {
    // 需要导出的字段
    $field = array('email', 'nickname', 'telphone', 'contact', 'address', 'postcode', 'sex');
    
    // 导出的字段名称
    foreach ((array) $field as $value) {
        $excel_list['head'][] = $GLOBALS['_LANG']['user_' . $value];
    }
    
    // 导出列表
    if ($checkbox) $where = " WHERE user_id IN (" . implode(',', $checkbox) . ")";
    $sql = "SELECT * FROM " . $GLOBALS['dou']->table('user') . $where . " ORDER BY user_id DESC";
    $query = $GLOBALS['dou']->query($sql);
    while ($user = $GLOBALS['dou']->fetch_array($query)) {
        // 格式化数据
        $user['sex'] = $user['sex'] ? $GLOBALS['_LANG']['user_man'] : $GLOBALS['_LANG']['user_woman'];
        
        unset($list);
        foreach ((array) $field as $value) {
            $list[] = $user[$value];
        }
        $excel_list['list'][] = $list;
    }
    
    return $excel_list;
}
?>