<?php
/**
 * DouPHP
 * --------------------------------------------------------------------------------------------------
 * 版权所有 2013-2025 漳州豆壳网络科技有限公司，并保留所有权利。
 * 网站地址: http://www.douphp.com
 * --------------------------------------------------------------------------------------------------
 * 这不是一个自由软件！您只能在遵守授权协议前提下对程序代码进行修改和使用；不允许对程序代码以任何形式任何目的的再发布。
 * 授权协议: http://www.douphp.com/license.html
 * --------------------------------------------------------------------------------------------------
 * Author: DouCo Co.,Ltd.
 * Release Date: 2025-01-02
 */
define('IN_DOUCO', true);

$_CUR = 'user';
require (dirname(__FILE__) . '/include/init.php');
$smarty->assign('cur', $_CUR);
$smarty->assign('submenu', 'user_contact');

// rec操作项的初始化
$rec = $check->is_rec($_REQUEST['rec']) ? $_REQUEST['rec'] : 'default';

// 会员模块
include_once (ROOT_PATH . 'include/user.class.php');
$dou_user = new DouUser();

// 图片上传
include_once (ROOT_PATH . 'include/file.class.php');
$file = new File('images/avatar/', null, 'jpg,gif,png'); // 实例化类文件(文件上传路径，结尾加斜杠)

// 赋值给模板
$smarty->assign('rec', $rec);
$smarty->assign('link_user_center', $dou_user->link_user_center('user', 'admin'));

/**
 * +----------------------------------------------------------
 * 会员等级列表
 * +----------------------------------------------------------
 */
if ($rec == 'default') {
    $smarty->assign('ur_here', $_LANG['user_contact']);
 
    // 初始化
    $page_url = 'user_contact.php';
 
    // 用户名
    $username = $check->is_username($_REQUEST['username']) ? $_REQUEST['username'] : '';
    if ($username) {
        $user_id = $dou->search_user_id($username);
        $where = " AND user_id = '$user_id'";
        $page_url = $page_url . "&username=$username";
    }

    // 筛选.姓名
    $name = !$check->is_illegal_char($_REQUEST['name']) ? $_REQUEST['name'] : '';
    if ($name) {
        $where = $where . " AND name LIKE '%$name%'";
        $page_url = $page_url . "&name=$name";
    }

    // 筛选.手机
    $telphone = $check->is_telphone($_REQUEST['telphone']) ? $_REQUEST['telphone'] : '';
    if ($telphone) {
        $where = $where . " AND telphone LIKE '%$telphone%'";
        $page_url = $page_url . "&telphone=$telphone";
    }
 
    // 格式化
    $where = $_SESSION['where'] = $dou->where($where);
    $page_url = $dou->param($page_url);
    
    // 未加入分页条件的SQL语句
    $sql = "SELECT * FROM " . $dou->table('user_contact') . $where . " ORDER BY id DESC";
    
    // 分页
    $page = $check->is_number($_REQUEST['page']) ? $_REQUEST['page'] : 1;
    $limit = $dou->pager($sql, 15, $page, $page_url);
    
    $sql = $sql . $limit; // 加入分页条件的SQL语句
    $query = $dou->query($sql);
    while ($row = $dou->fetch_array($query)) {
        $contact_list[] = array (
                "id" => $row['id'],
                "user" => $dou->user_basic($row['user_id']),
                "name" => $row['name'],
                "telphone" => $row['telphone'],
                "card" => $row['card'],
                "address" => $row['address'],
                "tag" => $row['tag'],
                "default" => $row['default'] ? true : false,
                "add_time" => date("Y-m-d", $row['add_time'])
        );
    }
    
    // 赋值给模板
    $smarty->assign('req', $_REQUEST);
    $smarty->assign('contact_list', $contact_list);
    
    $smarty->display('user_contact.htm');
}

/**
 * +----------------------------------------------------------
 * 会员等级编辑
 * +----------------------------------------------------------
 */
elseif ($rec == 'edit') {
    $smarty->assign('ur_here', $_LANG['user_contact_edit']);
    $smarty->assign('action_link', array (
            'text' => $_LANG['user_contact_list'],
            'href' => 'user_contact.php' 
    ));
    
    // CSRF防御令牌生成
    $smarty->assign('token', $token = $firewall->get_token());

    // 验证并获取合法的ID
    $id = $check->is_number($_REQUEST['id']) ? $_REQUEST['id'] : '';
    
    $contact = $dou->get_row('user_contact', '*', "id = '$id'");
    
    // 赋值给模板
    $smarty->assign('contact', $contact);
    $smarty->assign('form_action', 'update');
    
    $smarty->display('user_contact.htm');
} 

elseif ($rec == 'update') {
    // 验证并获取合法的ID
    $id = $check->is_number($_POST['id']) ? $_POST['id'] : '';
    
    // 判断是否为空
    $wrong = $check->fn_empty('user_contact', 'name, telphone');

    if ($wrong) {
        foreach ($wrong as $key => $value) {
            $wrong_format .= $wrong[$key] . '<br>';
        }
        $dou->dou_msg($wrong_format, 'user_contact.php');
    }
 
    // CSRF防御令牌验证
    $firewall->check_token($_POST['token']);
    
    $sql = "UPDATE " . $dou->table('user_contact') . " SET name = '$_POST[name]', telphone = '$_POST[telphone]', card = '$_POST[card]', address = '$_POST[address]', tag = '$_POST[tag]', `default` = '$_POST[default]' WHERE id = '$id'";
    $dou->query($sql);
 
    $dou->create_admin_log($_LANG['user_contact_edit'] . ': ' . $_POST['name']);
    $dou->dou_msg($_LANG['user_contact_edit'] . $_LANG['success'], 'user_contact.php');
}

/**
 * +----------------------------------------------------------
 * 会员等级删除
 * +----------------------------------------------------------
 */
elseif ($rec == 'del') {
    // 验证并获取合法的ID
    $id = $check->is_number($_POST['id']) ? $_POST['id'] : $dou->dou_msg($_LANG['illegal'], 'user_contact.php');
    $name = $dou->get_value('user', 'name', "id = '$id'");
    
    if (isset($_POST['confirm'])) {
        $dou->create_admin_log($_LANG['user_contact_del'] . ': ' . $name);
        $dou->delete('user_contact', "id = $id", 'user_contact.php');
    } else {
        $_LANG['del_check'] = preg_replace('/d%/Ums', $name, $_LANG['del_check']);
        $dou->dou_msg($_LANG['del_check'], 'user_contact.php', '', '30', "user_contact.php?rec=del&id=$id");
    }
}

?>