-- DouPHP 模块数据导入
-- ------------------------------------------------------------------------------------------


DROP TABLE IF EXISTS `dou_user`;
CREATE TABLE `dou_user` (
  `user_id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `user_sn` varchar(20) NOT NULL DEFAULT '',
  `level_id` varchar(60) NOT NULL DEFAULT '',
  `telphone` varchar(80) DEFAULT NULL,
  `email` varchar(180) DEFAULT NULL,
  `password` varchar(32) NOT NULL DEFAULT '',
  `contact` varchar(60) NOT NULL DEFAULT '',
  `first_name` varchar(120) NOT NULL DEFAULT '',
  `last_name` varchar(120) NOT NULL DEFAULT '',
  `phone` varchar(80) NOT NULL DEFAULT '',
  `country` varchar(120) NOT NULL DEFAULT '',
  `province` varchar(120) NOT NULL DEFAULT '',
  `address` varchar(255) NOT NULL DEFAULT '',
  `postcode` varchar(60) NOT NULL DEFAULT '',
  `sex` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `nickname` varchar(60) NOT NULL DEFAULT '',
  `avatar` varchar(255) NOT NULL DEFAULT '',
  `defined` text NOT NULL,
  `pay_code` varchar(120) NOT NULL DEFAULT '',
  `pay_code_time` int(10) unsigned NOT NULL DEFAULT '0',
  `last_login` varchar(30) NOT NULL DEFAULT '',
  `last_ip` varchar(40) NOT NULL DEFAULT '',
  `login_count` smallint(6) unsigned NOT NULL DEFAULT '0',
  `connect_key` varchar(255) NOT NULL DEFAULT '',
  `add_time` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`user_id`),
  UNIQUE KEY `user_sn` (`user_sn`),
  UNIQUE KEY `email` (`email`),
  UNIQUE KEY `telphone` (`telphone`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `dou_user_level`;
CREATE TABLE `dou_user_level` (
  `level_id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(60) NOT NULL DEFAULT '',
  `upgrade_type` varchar(30) NOT NULL DEFAULT 'noauto',
  `upgrade_condition` decimal(10,2) unsigned NOT NULL DEFAULT '100.00',
  `good_discount` decimal(10,2) unsigned NOT NULL DEFAULT '0.00',
  `sale_commission` decimal(10,2) unsigned NOT NULL DEFAULT '0.00',
  `invite_commission` decimal(10,2) unsigned NOT NULL DEFAULT '0.00',
  `icon` varchar(255) NOT NULL DEFAULT '',
  `add_time` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`level_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `dou_user_sns`;
CREATE TABLE `dou_user_sns` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `group` varchar(60) NOT NULL DEFAULT '',
  `openid` varchar(255) NOT NULL DEFAULT '',
  `unionid` varchar(255) NOT NULL DEFAULT '',
  `apptype` varchar(120) NOT NULL DEFAULT '',
  `add_time` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `openid` (`openid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


