<?php
/**
 * DouPHP
 * --------------------------------------------------------------------------------------------------
 * 版权所有 2013-2025 漳州豆壳网络科技有限公司，并保留所有权利。
 * 网站地址: http://www.douphp.com
 * --------------------------------------------------------------------------------------------------
 * 这不是一个自由软件！您只能在遵守授权协议前提下对程序代码进行修改和使用；不允许对程序代码以任何形式任何目的的再发布。
 * 授权协议: http://www.douphp.com/license.html
 * --------------------------------------------------------------------------------------------------
 * Author: DouCo Co.,Ltd.
 * Release Date: 2025-01-02
 */
if (!defined('IN_DOUCO')) {
    die('Hacking attempt');
}

class DouUser {
    /**
     * +----------------------------------------------------------
     * 初始化会员功能全局变量
     * +----------------------------------------------------------
     */
    function global_user_info() {
        // 如果验证码会员已经登录则读取会员信息
        $row = $this->user_check($_SESSION[DOU_ID]['user_id'], $_SESSION[DOU_ID]['shell']);
        if (is_array($row)) {
            if ($_SESSION[DOU_ID]['field']) {
                $field = $_SESSION[DOU_ID]['field'];
            } else {
                $field = $GLOBALS['_PARAM']['login_mode'] == 'telphone' ? 'telphone' : 'email';
            }
            $user_name = $row['nickname'] ? $row['nickname'] : $row[$field];
            $avatar = $row['avatar'] ? $GLOBALS['dou']->dou_file($row['avatar']) : ROOT_URL . 'images/avatar/..empty.png';

            $user = array (
                    'user_id' => $row['user_id'],
                    'user_sn' => $row['user_sn'],
                    'user_name' => $user_name,
                    "account" => $row[$_SESSION[DOU_ID]['field']],
                    'avatar' => $avatar,
                    'level_id' => $row['level_id'],
                    'level_name' => $this->level_name($row['level_id']),
                    'vip' => $this->vip($row['user_id']),
                    'distribution' => $this->distribution($row['user_id']),
                    'work' => $this->work($row['user_id'])
            );
        }
        
        return $user;
    }
    
    /**
     * +----------------------------------------------------------
     * 用户权限判断
     * +----------------------------------------------------------
     * $user_id 会员ID
     * $shell 会员信息验证字符串
     * +----------------------------------------------------------
     */
    function user_check($user_id, $shell) {
        if ($row = $this->user_state($user_id, $shell)) {
            $this->user_ontime();
            return $row;
        } else {
            return false;
        }
    }
    
    /**
     * +----------------------------------------------------------
     * 用户状态
     * +----------------------------------------------------------
     * $user_id 会员ID
     * $shell 会员信息验证字符串
     * +----------------------------------------------------------
     */
    function user_state($user_id, $shell) {
        $user = $GLOBALS['dou']->get_row('user', '*', "user_id = '$user_id'");
        
        // 如果$user则开始比对$shell值
        if ($_SESSION[DOU_ID]['field']) {
            $field = $_SESSION[DOU_ID]['field'];
        } else {
            $field = $GLOBALS['_PARAM']['login_mode'] == 'telphone' ? 'telphone' : 'email';
        }
        $check_shell = is_array($user) ? $shell == md5($user[$field] . $user['password'] . DOU_SHELL) : FALSE;
        
        // 如果比对$shell吻合，则返回会员信息，否则返回空
        return $check_shell ? $user : false;
    }
    
    /**
     * +----------------------------------------------------------
     * 登录超时默认为24小时(86400秒)
     * +----------------------------------------------------------
     * $timeout 超时时间
     * +----------------------------------------------------------
     */
    function user_ontime($timeout = 86400) {
        $ontime = $_SESSION[DOU_ID]['ontime'];
        $cur_time = time();
        if ($cur_time - $ontime > $timeout) {
            unset($_SESSION[DOU_ID]);
        } else {
            $_SESSION[DOU_ID]['ontime'] = time();
        }
    }
    
    /**
     * +----------------------------------------------------------
     * 登录操作
     * +----------------------------------------------------------
     */
    function login($user, $field) {
        // 会员登录信息验证成功则写入SESSION
        $_SESSION[DOU_ID]['user_id'] = $user['user_id'];
        $_SESSION[DOU_ID]['shell'] = md5($user[$field] . $user['password'] . DOU_SHELL);
        $_SESSION[DOU_ID]['ontime'] = time();
        $_SESSION[DOU_ID]['field'] = $field;
     
        // 更新登录记录
        $last_login = $GLOBALS['dou_user']->log_update($user['last_login'], time());
        $last_ip = $GLOBALS['dou_user']->log_update($user['last_ip'], $GLOBALS['dou']->get_ip());
        $login_count = $user['login_count'] + 1;

        $GLOBALS['dou']->query("UPDATE " . $GLOBALS['dou']->table('user') . " SET login_count = '$login_count', last_login = '$last_login', last_ip = '$last_ip' WHERE user_id = " . $user['user_id']);

        // 全局防御令牌生成
        $GLOBALS['firewall']->set_token('static_user');
    }

    /**
     * +----------------------------------------------------------
     * 日志更新（以逗号分隔的两条记录）
     * +----------------------------------------------------------
     * $log_old 旧的日志内容
     * $log_new 要插入的日志内容
     * +----------------------------------------------------------
     */
    function log_update($log_old, $log_new) {
        $log_array = explode(',', $log_old);
        $log_old = $log_array[1] ? $log_array[1] : $log_array[0];
        return $log_old . ',' . $log_new;
    }
    
    /**
     * +----------------------------------------------------------
     * 找回密码验证
     * +----------------------------------------------------------
     * $user_id 会员ID
     * $code 密码找回码
     * $timeout 默认为24小时(86400秒)
     * +----------------------------------------------------------
     */
    function check_password_reset($user_id, $code, $timeout = 86400) {
        if ($GLOBALS['dou']->value_exist('user', 'user_id', $user_id)) {
            $user = $GLOBALS['dou']->get_row('user', '*', "user_id = '$user_id'");
            
            // 初始化
            $get_code = substr($code , 0 , 16);
            $get_time = substr($code , 16 , 26);
            $code = substr(md5($user['email'] . $user['password'] . $get_time . $user['last_login'] . DOU_SHELL) , 0 , 16);
            
            // 验证链接有效性
            if (time() - $get_time < $timeout && $code == $get_code) return true;
        }
    }
 
    /**
     * +----------------------------------------------------------
     * 工作端
     * +----------------------------------------------------------
     */
    function work($user_id) {
        if (!$GLOBALS['_OPEN']['work'])
            return false;
        
        if ($GLOBALS['dou']->value_exist('work', 'user_id', $user_id, "status = '1'"))
            return true;
    }
 
    /**
     * +----------------------------------------------------------
     * VIP会员
     * +----------------------------------------------------------
     */
    function vip($user_id) {
        if (!$GLOBALS['_OPEN']['vip'])
            return false;
        
        $vip_log = $GLOBALS['dou']->get_row('vip', '*', "user_id = '$user_id' AND order_status = 10 AND price > 0 ORDER BY id DESC");
        
        if ($vip_log) {
            if ($vip_log['end_time'] > time()) {
                $vip['text'] = $GLOBALS['_LANG']['vip_viping'];
                $vip['class'] = 'viping';
                $vip['status'] = 'yes';
            } else {
                $vip['text'] = $GLOBALS['_LANG']['vip_vipend'];
                $vip['class'] = 'vipend';
                $vip['status'] = 'no';
            }
            $vip['start_time'] = date("Y-m-d", $vip_log['start_time']);
            $vip['end_time'] = date("Y-m-d", $vip_log['end_time']);
        }
        
        return $vip;
    }
 
    /**
     * +----------------------------------------------------------
     * 判断是否是分销员
     * +----------------------------------------------------------
     */
    function distribution($user_id) {
        if (!$GLOBALS['_OPEN']['distribution'])
            return false;
        
        $distribution = $GLOBALS['dou']->get_row('distribution', '*', "user_id = '$user_id' AND status = 1");
        
        return $distribution;
    }
 
    /**
     * +----------------------------------------------------------
     * 获取输入的会员等级价格
     * +----------------------------------------------------------
     */
    function level_price_post($level_price_post) {
        if (isset($level_price_post) && !empty($level_price_post)) {
            foreach ($level_price_post as $value) {
                // 检查每个价格是否不为空
                if (empty($value))
                    return '';
            }
        } else {
            return '';
        }
     
        return serialize($level_price_post);
    }
 
    /**
     * +----------------------------------------------------------
     * 获取等级名称
     * +----------------------------------------------------------
     */
    function level_name($level_id = '') {
        if ($GLOBALS['_OPEN']['user_level']) {
            $level_name = $GLOBALS['dou']->get_value('user_level', 'name', "level_id = '$level_id'");
            $level_name = $level_name ? $level_name : $GLOBALS['_LANG']['user_level_no'];

            return $level_name;
        } else {
            return '';
        }
    }
 
    /**
     * +----------------------------------------------------------
     * 获取等级名称
     * +----------------------------------------------------------
     * $cur_level 当前等级
     * $level_price 等级价格数组
     * +----------------------------------------------------------
     */
    function level_option($cur_level = '', $level_price = array()) {
        $sql = "SELECT * FROM " . $GLOBALS['dou']->table('user_level') . " ORDER BY level_id ASC";
        $query = $GLOBALS['dou']->query($sql);
        while ($row = $GLOBALS['dou']->fetch_array($query)) {
            $option_list[] = array (
                    "level_id" => $row['level_id'],
                    "name" => $row['name'],
                    "cur" => $row['level_id'] == $cur_level ? true : false,
                    "price" => is_array($level_price) ? $level_price[$row['level_id']] : '',
                    "price_format" => is_array($level_price) ? $GLOBALS['dou']->price_format($level_price[$row['level_id']]) : '',
            );
        }
        
        return $option_list;
    }
 
    /**
     * +----------------------------------------------------------
     * 随机用户编号
     * +----------------------------------------------------------
     */
    function rand_user_sn() {
        $user_sn = $GLOBALS['dou']->create_rand_string('number', 6);
        if ($GLOBALS['dou']->value_exist('user', 'user_sn', $user_sn)) {
            $this->rand_user_sn();
        } else {
            return $user_sn;
        }
    }
 
    /**
     * +----------------------------------------------------------
     * 获取登录插件列表
     * +----------------------------------------------------------
     */
    function connect_plugin_list($user_id = '') {
        $plugin_array = $GLOBALS['dou']->fn_query("SELECT * FROM " . $GLOBALS['dou']->table('plugin') . " WHERE plugin_group = 'connect'");
        
        foreach($plugin_array as $row) {
            if ($user_id)
                $linked = $GLOBALS['dou']->value_exist('user_sns', '`group`', $row['unique_id'], "user_id = '$user_id'");
            
            if (file_exists($code_plugin = ROOT_PATH . 'include/plugin/' . $row['unique_id'] . '/code.plugin.php')) {
                if ($GLOBALS['dou']->check_from_php($code_plugin, 'create')) {
                    include_once($code_plugin);
                }
            }
         
            $plugin_list[] = array (
                    "unique_id" => $row['unique_id'],
                    "name" => $row['name'],
                    "url" => $GLOBALS['dou']->param($GLOBALS['_URL']['login'] . '&sns=' . $row['unique_id']),
                    "icon" => ROOT_URL . 'include/plugin/' . $row['unique_id'] . '/icon.png',
                    "code" => $code,
                    "linked" => $linked ? 1 : 0
            );
        }
        
        return $plugin_list;
    }
 
    /**
     * +----------------------------------------------------------
     * 生成头像文件名
     * +----------------------------------------------------------
     */
    function create_avatar_filename() {
        // 随机生成头像文件名
        return $avatar_filename = 'a_' . date('ymdHis') . str_pad(mt_rand(1, 99), 2, '0', STR_PAD_LEFT);
        
        if ($GLOBALS['dou']->value_exist('file', 'file', $avatar_filename)) {
            $this->create_avatar_filename();
        } else {
            return $avatar_filename;
        }
    }
 
    /**
     * +----------------------------------------------------------
     * 关联会员中心
     * +----------------------------------------------------------
     */
    function link_user_center($current_module = '', $from = 'user') {
        foreach ($GLOBALS['_MODULE']['link_user_center'] as $value) {
            if ($from == 'admin') {
                if ($GLOBALS['_LANG'][$value . '_manager']) {
                    $user_tree[] = array (
                            "module" => $value,
                            "name" => $GLOBALS['_LANG'][$value . '_manager'] ? $GLOBALS['_LANG'][$value . '_manager'] : $GLOBALS['_LANG'][$value],
                            "url" => $value . '.php',
                            "cur" => $value == $current_module ? true : false
                    );
                }
            } else {
                if ($GLOBALS['_LANG'][$value . '_user_tree']) {
                    $url = defined('IS_MINIPROGRAM') ? $GLOBALS['dou']->rewrite_url_miniprogram($value, 'user') : $GLOBALS['dou']->rewrite_url($value, 'user');
                    $user_tree[] = array (
                            "module" => $value,
                            "name" => $GLOBALS['_LANG'][$value . '_user_tree'] ? $GLOBALS['_LANG'][$value . '_user_tree'] : $GLOBALS['_LANG'][$value],
                            "url" => $url,
                            "cur" => $value == $current_module ? true : false
                    );
                }
            }
        }
        $link_user_center['user_tree'] = $user_tree;
     
        return $link_user_center;
    }
 
    /**
     * +----------------------------------------------------------
     * 根据时间段问好
     * +----------------------------------------------------------
     */
    function welcome() {
        $hour = date("H");
     
        if ($hour < 11) {
            $welcome = $GLOBALS['_LANG']['user_welcom_morning'];
        } elseif($hour < 13) {
            $welcome = $GLOBALS['_LANG']['user_welcom_noon'];
        } elseif($hour < 17) {
            $welcome = $GLOBALS['_LANG']['user_welcom_afternoon'];
        } else {
            $welcome = $GLOBALS['_LANG']['user_welcom_night'];
        }
        
        return $welcome;
    }
 
    /**
     * +----------------------------------------------------------
     * 生成积分记录
     * +----------------------------------------------------------
     */
    function create_point($user_id, $action, $point, $from = '') {
        $total = $GLOBALS['dou']->get_one("SELECT total FROM " . $GLOBALS['dou']->table('user_point') . " WHERE user_id = '$user_id' ORDER BY id DESC");
        $total = ($total ? $total : 0) + $point;
     
        if ($total < 0) { // 如果小于0就说明是消耗积分，且积分余额不足
            return false;
        } else {
            $create_time = time();
            $GLOBALS['dou']->query("INSERT INTO " . $GLOBALS['dou']->table('user_point') . " (id, user_id, action, point, total, `from`, create_time)" . " VALUES (NULL, '$user_id', '$action', '$point', '$total', '$from', '$create_time')");
         
            return true;
        }
    }
 
    /**
     * +----------------------------------------------------------
     * 获取用户当前积分
     * +----------------------------------------------------------
     */
    function point($user_id) {
        $point = $GLOBALS['dou']->get_one("SELECT total FROM " . $GLOBALS['dou']->table('user_point') . " WHERE user_id = '$user_id' ORDER BY id DESC");
        
        return $point ? $point : 0;
    }
 
    /**
     * +----------------------------------------------------------
     * 生成财务记录
     * +----------------------------------------------------------
     */
    function create_money($user_id, $action, $money, $from = '', $from_user_id = 0) {
        $total = $GLOBALS['dou']->get_value('money', 'total', "user_id = '$user_id' ORDER BY id DESC");
        $total = ($total ? $total : 0) + $money;
     
        if ($total < 0) { // 如果小于0就说明是消耗余额，且余额不足
            return false;
        } else {
            $create_time = time();
            $GLOBALS['dou']->query("INSERT INTO " . $GLOBALS['dou']->table('money') . " (id, user_id, action, money, total, `from`, from_user_id, create_time)" . " VALUES (NULL, '$user_id', '$action', '$money', '$total', '$from', '$from_user_id', '$create_time')");
         
            return true;
        }
    }
 
    /**
     * +----------------------------------------------------------
     * 获取用户当前余额
     * +----------------------------------------------------------
     */
    function money($user_id) {
        $money = $GLOBALS['dou']->get_one("SELECT total FROM " . $GLOBALS['dou']->table('money') . " WHERE user_id = '$user_id' ORDER BY id DESC");
        
        return $money ? $money : 0;
    }
 
    /**
     * +----------------------------------------------------------
     * 获取联系人列表
     * +----------------------------------------------------------
     * $user_id 会员id
     * $current_contact 当前联系人
     * +----------------------------------------------------------
     */
    function contact_list($user_id, $current_contact_id = '') {
        $sql = "SELECT * FROM " . $GLOBALS['dou']->table('user_contact') . " WHERE user_id = '$user_id' ORDER BY id DESC";
        $query = $GLOBALS['dou']->query($sql);
        while ($row = $GLOBALS['dou']->fetch_array($query)) {
            $contact_list[] = array (
                    "id" => $row['id'],
                    "name" => $row['name'],
                    "telphone" => $row['telphone'],
                    "card" => $row['card'],
                    "address" => $row['address'],
                    "tag" => $row['tag'],
                    "cur" => $row['id'] == $current_contact_id ? true : false
            );
        }
        
        return $contact_list;
    }
}
?>