// index.js
// 获取全局的应用实例
const app = getApp();

// 引入utils全局函数
var dou = require('../../utils/util.js');

Page({
  data: {
    avatarTemp: '' //初始化为空
  },
 
  onShow: function () {
    // 判断是否登录
    dou.checkLoginState()
   
    var that = this;
    
    // 在tabBar第三个图标中显示购物车数量
    dou.showCartNumber()
  },
 
  onLoad: function(options) {
    var that = this
    
    wx.request({
      url: app.mp_url + 'databox.php?rec=common',
      header: {
        'Connect-Key' : wx.getStorageSync('connect_key')
      },
      success: function(res) {
        that.setData({
          lang: res.data.lang,
          site: res.data.site
        })
      },
    })
   
    wx.request({
      url: app.mp_url + 'user.php?rec=edit',
      data: {
        'user_id': wx.getStorageSync('user_id'),
        'shell': wx.getStorageSync('shell')
      },
      header: {
        'Connect-Key' : wx.getStorageSync('connect_key')
      },
      success: function(res) {
        wx.setNavigationBarTitle({
          title: res.data.title
        })
        
        that.setData({
          user_info: res.data.user_info
        })
      },
    })
  },
 
  userEdit: function (e) {
    var that = this
    
    // 未登录时重新载入当前页面
    dou.checkLoginState('action', '/pages/user/user')
   
    wx.request({
      url: app.mp_url + 'user.php?rec=edit_post',
      data: {
        user_id: wx.getStorageSync('user_id'),
        shell: wx.getStorageSync('shell'),
        'contact': e.detail.value.contact,
        'phone': e.detail.value.phone,
        'address': e.detail.value.address,
        'postcode': e.detail.value.postcode,
        'nickname': e.detail.value.nickname,
        'sex': e.detail.value.sex
      },
      method:'POST',
      header: {
        'Connect-Key' : wx.getStorageSync('connect_key'),
        'Content-Type': 'application/x-www-form-urlencoded'
      },
      success: function (res) {
        if (res.data.wrong) {
          dou.douMsg(res.data.wrong)
        } else {
          dou.douMsg(that.data.lang.user_edit_success)
          
          setTimeout(function () {
            wx.switchTab({
              url: '/pages/user/user'
            })
          }, 2000)
        }
      }
    })
  },
 
  uploadAvatar: function() {
    var that = this;
    
    // 未登录时重新载入当前页面
    dou.checkLoginState('action', '/pages/user/user')
   
    wx.chooseImage({ //从本地相册选择图片或使用相机拍照
      count: 1, // 默认9
      sizeType: ['original', 'compressed'], // 可以指定是原图还是压缩图，默认二者都有
      sourceType: ['album', 'camera'], // 可以指定来源是相册还是相机，默认二者都有
      success: function(res) {
        //console.log(res)
        //前台显示
        that.setData({
          avatarTemp: res.tempFilePaths
        })

        // 返回选定照片的本地文件路径列表，tempFilePath可以作为img标签的src属性显示图片
        var tempFilePaths = res.tempFilePaths;
        
        wx.uploadFile({
          url: app.mp_url + 'user.php?rec=upload_avatar',
          filePath: tempFilePaths[0],
          formData: {
            'user_id': wx.getStorageSync('user_id'),
            'shell': wx.getStorageSync('shell')
          },
          header: {
            'Connect-Key' : wx.getStorageSync('connect_key'),
            'Content-Type': 'application/x-www-form-urlencoded'
          },
          name: 'avatar',

          success: function(res) {
            //打印
            //console.log(res.data)
          }
        })
      }
    })
  },
 
  // 非tabBar的页面，可以带参数
  douNavigateTo: function(e) {
    var url = e.currentTarget.dataset.url;
    wx.navigateTo({
      url: url
    })
  },
 
  radioSex: function(e) {
    this.setData({
      sex: e.detail.value
    })
  }


})