// index.js
// 获取全局的应用实例
const app = getApp();

// 引入utils全局函数
var dou = require('../../utils/util.js');

Page({
  data: {
    showGetPhone: false,
    agree: false, // 用户协议
    checkValue: 1,
    showTermCue: false,
  },
  
  onLoad: function() {
    var that = this; // this代表着当前的对象，它在程序中随着执行的上下文随时会变化，在success中的this跟这里的已经不是同一个对象
    
    wx.request({
      url: app.mp_url + 'databox.php?rec=common',
      header: {
        'Connect-Key' : wx.getStorageSync('connect_key')
      },
      success: function(res) {
        that.setData({
          lang: res.data.lang,
          site: res.data.site,
          param: res.data.param
        })
        wx.setNavigationBarTitle({
          title: res.data.site.site_name
        })
      },
    })
  },
 
  onShow: function () {
    var that = this;
   
    wx.request({
      url: app.mp_url + 'user.php?rec=check_login_state',
      data: {
        'user_id': wx.getStorageSync('user_id'),
        'shell': wx.getStorageSync('shell')
      },
      method:'POST',
      header: {
        'Connect-Key' : wx.getStorageSync('connect_key'),
        'Content-Type': 'application/x-www-form-urlencoded'
      },
      success: function (res) {
        if (res.data.phone == 'no') {
          that.setData({
            noPhone: true
          })
        }
      }
    })
    
    // 在tabBar第三个图标中显示购物车数量
    dou.showCartNumber()
  },
 
  login: function (e) {
    var that = this
    
    wx.request({
      url: app.mp_url + 'user.php?rec=login_post',
      data: {
        'email': e.detail.value.email,
        'password': e.detail.value.password,
        'sns': wx.getStorageSync('sns')
      },
      method:'POST',
      header: {
        'Connect-Key' : wx.getStorageSync('connect_key'),
        'Content-Type': 'application/x-www-form-urlencoded'
      },
      success: function (res) {
        // console.log(res.data)
        if (res.data.wrong) {
          that.setData({
            errorMsg: res.data.wrong
          });
        } else {
          // 将登陆成功信息写入小程序本地storage
          wx.setStorageSync('user_id', res.data.user.user_id)
          wx.setStorageSync('shell', res.data.user.shell)

          // 登录成标记
          wx.setStorageSync('loginEd', true)

          // 通信标识
          wx.setStorageSync('connect_key', res.data.user.connect_key)
          wx.setStorageSync('connect_key_time', new Date().getTime()) // 通信标识生成时间
          
          // 跳转到会员中心页
          wx.reLaunch({
            url: '/pages/user/user'
          })
        }
      }
   })
  },
  
  agreeTerm(e) {
    console.log(e.detail.value.includes('1'))
    if (e.detail.value.includes('1')) {
      this.setData({
        agree: true,
        showTermCue: false
      });
    } else {
      this.setData({
        agree: false,
      });
    }
  },
  
  termCue(e) {
    this.setData({
      showTermCue: true,
    });
  },
 
  // 非tabBar的页面，可以带参数
  douNavigateTo: function(e) {
    var url = e.currentTarget.dataset.url;
    wx.navigateTo({
      url: url
    })
  },

  // 只能跳转到tabBar配置页面
  douSwitchTab: function(e) {
    var url = e.currentTarget.dataset.url;
    wx.switchTab({
      url: url
    })
  },



})