// index.js
// 获取全局的应用实例
const app = getApp();

// 引入utils全局函数
var dou = require('../../utils/util.js');

Page({
  data: {
    sms_token: '',
    rec: 'default',
    agree: false, // 用户协议
    checkValue: 1,
    showTermCue: false,
    codeNumber: 4, // 输入框个数
    isFocus: true, // 聚焦
    vcode: "", // 输入的内容1
    ispassword: false, // 是否密文显示 true为密文， false为明文。
    time: 60, // 显示再次发送按钮的倒计时时间
    showAgainBtn: false, // 显示是否重新发送
    telphone: '', // 手机号
    wrong: false // 判断验证码是否输入错误
  },
  
  onLoad: function(options) {
    var that = this; // this代表着当前的对象，它在程序中随着执行的上下文随时会变化，在success中的this跟这里的已经不是同一个对象
    
    wx.request({
      url: app.mp_url + 'databox.php?rec=common',
      header: {
        'Connect-Key' : wx.getStorageSync('connect_key')
      },
      success: function(res) {
        that.setData({
          lang: res.data.lang,
          site: res.data.site,
          param: res.data.param
        })
        wx.setNavigationBarTitle({
          title: res.data.site.site_name
        })
      },
    })
   
    if (options.telphone) {
        that.setData({
          telphone: options.telphone,
          rec: 'code'
        })
    }
   
    // 倒计时60秒显示再次发送按钮
    let second = setInterval(res => {
      this.data.time--
      this.setData({
        time: this.data.time
      })
      if (this.data.time <= 0) {
        clearInterval(second)
        this.setData({
          showAgainBtn: true
        })
      }
    }, 1000)
  },
 
  onShow: function () {
    var that = this;
   
    wx.request({
      url: app.mp_url + 'user.php?rec=check_login_state',
      data: {
        'user_id': wx.getStorageSync('user_id'),
        'shell': wx.getStorageSync('shell')
      },
      method:'POST',
      header: {
        'Connect-Key' : wx.getStorageSync('connect_key'),
        'Content-Type': 'application/x-www-form-urlencoded'
      },
      success: function (res) {
        if (res.data.phone == 'no') {
          that.setData({
            noPhone: true
          })
        }
      }
    })
    
    // 在tabBar第三个图标中显示购物车数量
    dou.showCartNumber()
    
    wx.request({
      url: app.mp_url + 'databox.php?rec=sms_token',
      header: {
        'Connect-Key' : wx.getStorageSync('connect_key')
      },
      success: function(res) {
        that.setData({
          sms_token: res.data.sms.sms_token
        });
       
        // 缓存token
        wx.setStorageSync('storage_sms_token', res.data.sms.storage_sms_token)
      }
    })
  },
 
  // 发送短信验证码
  sendSms: function (e) {
    var that = this
    
    wx.request({
      url: app.mp_url + 'captcha.php?rec=sms',
      data: {
        'telphone': e.detail.value.telphone,
        'sms_token': that.data.sms_token,
        'storage_sms_token': wx.getStorageSync('storage_sms_token')
      },
      method:'POST',
      header: {
        'Connect-Key' : wx.getStorageSync('connect_key'),
        'Content-Type': 'application/x-www-form-urlencoded'
      },
      success: function (res) {
        if (res.data.msg == 'success') { // 短信发送成功
          wx.setStorageSync('sms_telphone', res.data.sms.telphone)
          wx.setStorageSync('sms_ontime', res.data.sms.ontime)
          wx.setStorageSync('sms_code', res.data.sms.code)
          
          // 跳转到会员中心页
          wx.navigateTo({
            url: '/pages/user/login_phone?telphone=' + res.data.sms.telphone
          })
        } else { // 短信发送失败
          dou.douMsg(res.data.msg)
        }
      }
    })
  },
 
  // 重新返回验证码发送页面
  sendAgain () {
     wx.navigateBack({
       delta: 1
     })
   },
  
  // 监听并验证验证码
  checkVcode (e) {
    this.setData ({
      vcode: e.detail.value,
    })
    
    // 验证码输入完毕会进行判断
    if (this.data.vcode.length == 4) {
      wx.request({
        url: app.mp_url + 'user.php?rec=phone_login',
        data: {
          'sms_captcha': e.detail.value,
          'sms_telphone': wx.getStorageSync('sms_telphone'),
          'sms_ontime': wx.getStorageSync('sms_ontime'),
          'sms_code': wx.getStorageSync('sms_code')
        },
        method:'POST',
        header: {
          'Connect-Key' : wx.getStorageSync('connect_key'),
          'Content-Type': 'application/x-www-form-urlencoded'
        },
        success: function (res) {
          if (res.data.wrong) {
            dou.douMsg(res.data.wrong)
          } else { // 登录成功，并返回到会员中心页面
            console.log(res.data) 
            // 将登陆成功信息写入小程序本地storage
            wx.setStorageSync('user_id', res.data.user.user_id)
            wx.setStorageSync('shell', res.data.user.shell)

            // 登录成标记
            wx.setStorageSync('loginEd', true)

            // 通信标识
            wx.setStorageSync('connect_key', res.data.user.connect_key)
            wx.setStorageSync('connect_key_time', new Date().getTime()) // 通信标识生成时间

            wx.reLaunch({
              url: '/pages/user/user'
            })
          }
        }
      })
      this.setData({
       wrong: true,
      })
    } else {
      
    } 
  },
  
  // 设置文本框输入焦点
  codeFocus () {
    var that = this;
    that.setData({
     isFocus: true,
    })
  },
  
  agreeTerm(e) {
    console.log(e.detail.value.includes('1'))
    if (e.detail.value.includes('1')) {
      this.setData({
        agree: true,
        showTermCue: false
      });
    } else {
      this.setData({
        agree: false,
      });
    }
  },
  
  termCue(e) {
    this.setData({
      showTermCue: true,
    });
  },
 
  // 非tabBar的页面，可以带参数
  douNavigateTo: function(e) {
    var url = e.currentTarget.dataset.url;
    wx.navigateTo({
      url: url
    })
  },

  // 只能跳转到tabBar配置页面
  douSwitchTab: function(e) {
    var url = e.currentTarget.dataset.url;
    wx.switchTab({
      url: url
    })
  },



})