// password.js
// 获取全局的应用实例
const app = getApp();

// 引入utils全局函数
var dou = require('../../utils/util.js');

Page({
  onLoad: function(options) {
    var that = this
    
    wx.request({
      url: app.mp_url + 'databox.php?rec=common',
      header: {
        'Connect-Key' : wx.getStorageSync('connect_key')
      },
      success: function(res) {
        that.setData({
          lang: res.data.lang,
          site: res.data.site
        })
      },
    })
   
  },
 
  onShow: function(options) {
    var that = this
    
    // 判断是否登录
    dou.checkLoginState()
   
    // 在tabBar第三个图标中显示购物车数量
    dou.showCartNumber()
   
    wx.request({
      url: app.mp_url + 'user.php?rec=password',
      data: {
        'user_id': wx.getStorageSync('user_id'),
        'shell': wx.getStorageSync('shell')
      },
      header: {
        'Connect-Key' : wx.getStorageSync('connect_key')
      },
      success: function(res) {
        wx.setNavigationBarTitle({
          title: res.data.title
        })
      },
    })
  },
 
  passwordModify: function (e) {
    var that = this
    
    // 未登录时重新载入当前页面
    dou.checkLoginState('action', '/pages/user/user')
   
    wx.request({
    url: app.mp_url + 'user.php?rec=password_post',
    data: {
      user_id: wx.getStorageSync('user_id'),
      shell: wx.getStorageSync('shell'),
      'old_password': e.detail.value.old_password,
      'password': e.detail.value.password,
      'password_confirm': e.detail.value.password_confirm
    },
    method:'POST',
    header: {
      'Connect-Key' : wx.getStorageSync('connect_key'),
      'Content-Type': 'application/x-www-form-urlencoded'
    },
    success: function (res) {
      if (res.data.wrong) {
        dou.douMsg(res.data.wrong)
      } else {
        dou.douMsg(res.data.msg)
        
        setTimeout(function(){
          wx.switchTab({
            url: '/pages/user/user'
          })  
        },2000)
      }
    }
   })
  }


})