// pages/user/password_reset.js

// 获取全局的应用实例
const app = getApp();

// 引入utils全局函数
var dou = require('../../utils/util.js');

Page({
  onLoad: function(options) {
    var that = this
    
    wx.request({
      url: app.mp_url + 'databox.php?rec=common',
      header: {
        'Connect-Key' : wx.getStorageSync('connect_key')
      },
      success: function(res) {
        that.setData({
          lang: res.data.lang,
          site: res.data.site
        })
      },
    })
   
    wx.request({
      url: app.mp_url + 'user.php?rec=password_reset',
      header: {
        'Connect-Key' : wx.getStorageSync('connect_key')
      },
      success: function(res) {
        wx.setNavigationBarTitle({
          title: res.data.title
        })
      },
    })
  },
 
  onShow: function () {
    var that = this;
    
    // 在tabBar第三个图标中显示购物车数量
    dou.showCartNumber()
  },
 
  passwordReset: function (e) {
    var that = this
    
    wx.request({
      url: app.mp_url + 'user.php?rec=password_reset_post',
      data: {
        'email': e.detail.value.email
      },
      method:'POST',
      header: {
        'Connect-Key' : wx.getStorageSync('connect_key'),
        'Content-Type': 'application/x-www-form-urlencoded'
      },
      success: function (res) {
        if (res.data.email_no_exist) {
          dou.douMsg(res.data.email_no_exist)
        } else if(res.data.password_mail_success) {
          dou.douMsg(res.data.password_mail_success)
          
          setTimeout(function(){
            wx.switchTab({
              url: '/pages/index/index'
            })  
          },3000)
        } else {
          dou.douMsg(res.data.mail_send_fail)
        }
      }
   })
  },
 
  // 非tabBar的页面，可以带参数
  douNavigateTo: function(e) {
    var url = e.currentTarget.dataset.url;
    wx.navigateTo({
      url: url
    })
  }


})