// index.js
// 获取全局的应用实例
const app = getApp();

// 引入utils全局函数
var dou = require('../../utils/util.js');

Page({
  data: {
    agree: false, // 用户协议
    checkValue: 1,
    showTermCue: false,
  },
  
  onLoad: function() {
    var that = this; // this代表着当前的对象，它在程序中随着执行的上下文随时会变化，在success中的this跟这里的已经不是同一个对象
    
    wx.request({
      url: app.mp_url + 'databox.php?rec=common',
      success: function(res) {
        that.setData({
          lang: res.data.lang,
          site: res.data.site
        })
        wx.setNavigationBarTitle({
          title: res.data.site.site_name
        })
      },
    })
  },
 
  onShow: function () {
    var that = this;
    
    // 在tabBar第三个图标中显示购物车数量
    dou.showCartNumber()
  },
 
  register: function (e) {
    var that = this
    
    wx.request({
    url: app.mp_url + 'user.php?rec=register_post',
    data: {
      'email': e.detail.value.email,
      'password': e.detail.value.password,
      'password_confirm': e.detail.value.password_confirm,
      'sns': wx.getStorageSync('sns')
    },
    method:'POST',
    header: {
      'Content-Type': 'application/x-www-form-urlencoded'
    },
    success: function (res) {
      if (res.data.wrong) {
        dou.douMsg(res.data.wrong)
      } else {
        wx.setStorageSync('user_id', res.data.user.user_id)
        wx.setStorageSync('shell', res.data.user.shell)
        
        // 跳转到会员中心页
        wx.switchTab({
          url: '/pages/user/user'
        })
      }
    }
   })
  },
  
  agreeTerm(e) {
    console.log(e.detail.value.includes('1'))
    if (e.detail.value.includes('1')) {
      this.setData({
        agree: true,
        showTermCue: false
      });
    } else {
      this.setData({
        agree: false,
      });
    }
  },
  
  termCue(e) {
    this.setData({
      showTermCue: true,
    });
  },
 
  // 非tabBar的页面，可以带参数
  douNavigateTo: function(e) {
    var url = e.currentTarget.dataset.url;
    wx.navigateTo({
      url: url
    })
  },



})