// index.js
// 获取全局的应用实例
const app = getApp();

// 引入utils全局函数
var dou = require('../../utils/util.js');

Page({
  onLoad: function(options) {
    var that = this

    wx.request({
      url: app.mp_url + 'databox.php?rec=common',
      header: {
        'Connect-Key' : wx.getStorageSync('connect_key')
      },
      success: function(res) {
        that.setData({
          lang: res.data.lang,
          site: res.data.site
        })
      },
    })
  },
 
  onShow: function(options) {
    var that = this

    // 判断是否登录
    dou.checkLoginState()
   
    that.loadData()
   
    // 在tabBar第三个图标中显示购物车数量
    dou.showCartNumber()
  },
 
  loadData: function() {
    var that = this

    wx.request({
      url: app.mp_url + 'user.php?rec=sns',
      data: {
        'user_id': wx.getStorageSync('user_id'),
        'shell': wx.getStorageSync('shell')
      },
      method: 'POST',
      header: {
        'Connect-Key' : wx.getStorageSync('connect_key'),
        'Content-Type': 'application/x-www-form-urlencoded'
      },
      success: function(res) {
        wx.setNavigationBarTitle({
          title: res.data.title
        })
        
        that.setData({
          plugin_list: res.data.plugin_list
        })
      },
    })
  },

  bindWeixin: function(e) {
    var that = this;
   
    if (e.detail.userInfo) { // 用户按了允许授权按钮
      // console.log(e.detail.userInfo); // 获取到用户的信息了
      that.wxLogin(); // 执行wx.login操作，获取用户信息
    } else { //用户按了拒绝按钮
      wx.showModal({
        title: '警告',
        content: '您点击了拒绝授权，将无法进入小程序，请授权之后再进入!!!',
        showCancel: false,
        confirmText: '返回授权',
        success: function(res) {
          if (res.confirm) {
            console.log('用户点击了“返回授权”');
          }
        }
      });
    }
  },
 
  // 查看是否授权
  wxLogin: function(e) {
    var that = this;
   
    wx.getSetting({
      success: function(res) {
        if (res.authSetting['scope.userInfo']) {
          wx.getUserInfo({
            success: function(res) {
              // 我这里实现的是在用户授权成功后，调用微信的 wx.login 接口，从而获取code
              wx.login({
                success: function(res) {
                  var code = res.code; // 获取code
                  wx.getUserInfo({ // 得到 rawData, signatrue, encryptData
                    success: function(data) {
                      var rawData = data.rawData; // 微信用户信息，不包含敏感信息
                      var signature = data.signature; // 数字签名
                      var encryptedData = data.encryptedData; // 被加密数据
                      var iv = data.iv;
                      wx.request({
                        url: app.mp_url + 'user.php?rec=wx_login',
                        data: {
                          'user_id': wx.getStorageSync('user_id'),
                          "code": code,
                          "rawData": rawData,
                          "signature": signature,
                          'iv': iv,
                          'encryptedData': encryptedData
                        },
                        method: 'GET',
                        success: function(info) {
                          if (info.data.bind) { // 成功在用户中心中进行了绑定操作，返回绑定页面
                            dou.douMsg('绑定成功')
                            
                            that.loadData()
                          }
                        }
                      })
                    }
                  })
                },
              });
            }
          });
        }
      }
    });
  },
 
  // 解除绑定
  bindRemove: function (e) {
    var that = this
    
    wx.request({
    url: app.mp_url + 'user.php?rec=sns',
    data: {
      user_id: wx.getStorageSync('user_id'),
      shell: wx.getStorageSync('shell'),
      'remove': e.currentTarget.dataset.remove
    },
    method:'POST',
    header: {
      'Connect-Key' : wx.getStorageSync('connect_key'),
      'Content-Type': 'application/x-www-form-urlencoded'
    },
    success: function (res) {
      if (res.data.remove) {
        dou.douMsg('成功解除绑定')
       
        that.setData({
          plugin_list: res.data.plugin_list
        })
      }
    }
   })
  },
 
  douCue: function (e) {
    dou.douMsg(e.currentTarget.dataset.msg)
  }


})