// index.js
// 获取全局的应用实例
const app = getApp();

// 引入utils全局函数
var dou = require('../../utils/util.js');

Page({
  onLoad: function(options) {
    var that = this
    
    wx.request({
      url: app.mp_url + 'databox.php?rec=common',
      header: {
        'Connect-Key' : wx.getStorageSync('connect_key')
      },
      success: function(res) {
        that.setData({
          lang: res.data.lang,
          site: res.data.site
        })
      },
    })
  },
  
  onShow: function () {
    var that = this;
    
    wx.request({
      url: app.mp_url + 'user.php?rec=default',
      data: {
        'user_id': wx.getStorageSync('user_id'),
        'shell': wx.getStorageSync('shell')
      },
      header: {
        'Connect-Key' : wx.getStorageSync('connect_key')
      },
      success: function(res) {
        wx.setNavigationBarTitle({
          title: res.data.title
        })
        
        that.setData({
          user_info: res.data.user_info,
          welcome: res.data.welcome,
          open: res.data.open,
          link_user_center: res.data.link_user_center,
          if_connect_plugin: res.data.if_connect_plugin
        })
      },
    })
   
    // 在tabBar第三个图标中显示购物车数量
    dou.showCartNumber()
  },
 
  userLogout: function (e) {
    wx.clearStorageSync() // 清空缓存，退出登录
    
    wx.reLaunch({
      url: '/pages/index/index'
    })  
  },
 
  // 非tabBar的页面，可以带参数
  douNavigateTo: function(e) {
    var url = e.currentTarget.dataset.url;
    wx.navigateTo({
      url: url
    })
  }


})