// index.js
// 获取全局的应用实例
const app = getApp();

// 引入utils全局函数
var dou = require('../../utils/util.js');

Page({
  onLoad: function(options) {
    var that = this
    
    wx.request({
      url: app.mp_url + 'databox.php?rec=common',
      header: {
        'Connect-Key' : wx.getStorageSync('connect_key')
      },
      success: function(res) {
        that.setData({
          lang: res.data.lang,
          site: res.data.site,
          open: res.data.open
        })
      },
    })
  },
  
  onShow: function () {
    var that = this;
    
    wx.request({
      url: app.mp_url + 'user.php?rec=default',
      data: {
        'user_id': wx.getStorageSync('user_id'),
        'shell': wx.getStorageSync('shell')
      },
      header: {
        'Connect-Key' : wx.getStorageSync('connect_key')
      },
      success: function(res) {
        wx.setNavigationBarTitle({
          title: res.data.title
        })
        
        that.setData({
          user_info: res.data.user_info,
          welcome: res.data.welcome,
          link_user_center: res.data.link_user_center,
          if_connect_plugin: res.data.if_connect_plugin
        })
        
      },
    })
   
    // 在tabBar第三个图标中显示购物车数量
    dou.showCartNumber()
  },
 
  userLogout: function (e) {
    wx.clearStorageSync() // 清空缓存，退出登录
    
    wx.reLaunch({
      url: '/pages/index/index'
    })
  },
 
  // 下载图片
  downloadImage: function(e) {
    const imageUrl = e.currentTarget.dataset.url; // 获取图片URL
    
    // 显示加载中提示
    wx.showLoading({
      title: '下载中...',
      mask: true
    });
    
    // 第一步：下载图片到本地
    wx.downloadFile({
      url: imageUrl,
      success: (res) => {
        if (res.statusCode === 200) {
          // 第二步：保存到相册
          wx.saveImageToPhotosAlbum({
            filePath: res.tempFilePath,
            success: () => {
              wx.hideLoading();
              wx.showToast({
                title: '保存成功',
                icon: 'success',
                duration: 2000
              });
            },
            fail: (err) => {
              wx.hideLoading();
              console.error('保存失败:', err);
              wx.showToast({
                title: '保存失败',
                icon: 'none',
                duration: 2000
              });
            }
          });
        }
      },
      fail: (err) => {
        wx.hideLoading();
        console.error('下载失败:', err);
        wx.showToast({
          title: '下载失败',
          icon: 'none',
          duration: 2000
        });
      }
    });
  },
 
  // 复制文本
  copyText: function(e) {
    const text = e.currentTarget.dataset.text; // 获取要复制的文本
    
    wx.setClipboardData({
      data: text,
      success: function() {
        wx.showToast({
          title: '复制成功',
          icon: 'success',
          duration: 2000
        });
      },
      fail: function(err) {
        console.error('复制失败:', err);
        wx.showToast({
          title: '复制失败',
          icon: 'none',
          duration: 2000
        });
      }
    });
  },
 
  // 非tabBar的页面，可以带参数
  douNavigateTo: function(e) {
    var url = e.currentTarget.dataset.url;
    wx.navigateTo({
      url: url
    })
  }


})