<?php
/**
 * DouPHP
 * --------------------------------------------------------------------------------------------------
 * 版权所有 2013-2024 漳州豆壳网络科技有限公司，并保留所有权利。
 * 网站地址: http://www.douphp.com
 * --------------------------------------------------------------------------------------------------
 * 这不是一个自由软件！您只能在遵守授权协议前提下对程序代码进行修改和使用；不允许对程序代码以任何形式任何目的的再发布。
 * 授权协议: http://www.douphp.com/license.html
 * --------------------------------------------------------------------------------------------------
 * Author: DouCo Co.,Ltd.
 * Release Date: 2024-09-30
 */
define('IN_DOUCO', true);

$sub = 'login_weixin|login_account|login_phone|register|password_reset|edit|password|order_list|order|sns_link|sns';
$subbox = array(
        "module" => 'user',
        "sub" => $sub
);

$_CUR = 'user';
require (dirname(__FILE__) . '/include/init.php');

// rec操作项的初始化
$rec = $check->is_rec($_REQUEST['rec']) ? $_REQUEST['rec'] : 'default';

// 不需要登录的页面
$no_login_array = explode('|', 'login|login_post|register|register_post|password_reset|password_reset_post|sns_link|check_login_state|wx_login|wx_get_phone|phone_login');

// 非必须登录的页面
$nomust_login_array = explode('|', 'default');

// 权限验证
if (!in_array($rec, $no_login_array)) {
    // 权限验证
    $callback = $dou_user->check_login_state(); // 登录验证
    if ($callback['msg'] == 'ok') {
        $user_id = $callback['user_id'];
    } else {
        if (!in_array($rec, $nomust_login_array)) {
            $data['wrong'] = $_LANG['login_timeout'];
            die(json_encode($data));
        }
    }
}

// 引入和实例化订单功能
if (file_exists($order_file = ROOT_PATH . 'include/order.class.php')) {
    include_once ($order_file);
    $dou_order = new Order();
}

// 实例化售后功能
if (file_exists($aftersale_file = ROOT_PATH . 'include/aftersale.class.php')) {
    include_once ($aftersale_file);
    $dou_aftersale = new Aftersale();
}

// 实例化评论功能
if (file_exists($comment_file = ROOT_PATH . 'include/comment.class.php')) {
    include_once ($comment_file);
    $dou_comment = new Comment();
}

// SNS参数初始化
$group = 'wxlogin';
$apptype = 'miniprogram';
//$nobind = $_PARAM['login_mode'] == 'weixin' ? true : false;
$nobind = true;
$loginid_mode = $_PARAM['loginid_mode'] == 'unionid' ? 'unionid' : 'openid';

// 错误提示初始
$data['wrong'] = '';

/**
 * +----------------------------------------------------------
 * 会员中心
 * +----------------------------------------------------------
 */
if ($rec == 'default') {
    // 获取会员信息
    $user_info = $dou->get_row('user', '*', "user_id = '$user_id'");
 
    // 格式化数据
    if ($user_info) {
        $user_info['last_login'] = $user_info['last_login'] ? date("Y-m-d H:i", $dou->get_first_log($user_info['last_login'])) : '-';
        $user_info['last_ip'] = $user_info['last_ip'] ? $dou->get_first_log($user_info['last_ip']) : '-';
        $user_info['telphone'] = $user_info['telphone'] ? $user_info['telphone'] : '-';
        $user_info['user_name'] = $user_info['nickname'] ? $user_info['nickname'] : ($user_info['telphone'] ? $user_info['telphone'] : $user_info['email']);
        $user_info['vip'] = $dou->vip($user_id);
    } else {
        $user_info = array();
    }
    
    $user_info['avatar'] = $user_info['avatar'] ? $dou->dou_file($user_info['avatar']) : ROOT_URL . 'images/avatar/..empty.png';

    // 数据封装
    $data['title'] = $_LANG['user'];
    $data['user_info'] = $user_info;
    $data['welcome'] = $dou_user->welcome();
    $data['open'] = $_OPEN;
    $data['link_user_center'] = $dou_user->link_user_center();
    $data['if_connect_plugin'] = $dou->value_exist('plugin', 'plugin_group', 'connect');
}

/**
 * +----------------------------------------------------------
 * 注册
 * +----------------------------------------------------------
 */
elseif ($rec == 'register') {
    $data['sns_link'] = true;
}

/**
 * +----------------------------------------------------------
 * 注册提交
 * +----------------------------------------------------------
 */
elseif ($rec == 'register_post') {
    // 安全处理用户输入信息
    $_POST['email'] = $firewall->dou_foreground($_POST['email']);
    
    // 验证用户名
    if (!$check->is_email($_POST['email'])) {
        $data['wrong']['email'] = $_LANG['user_email_cue'];
    } elseif ($dou->value_exist('user', 'email', $_POST['email'])) {
        $data['wrong']['email'] = $_LANG['user_email_exists'];
    }
    
    // 验证密码
    if (!$check->is_password($_POST['password']))
        $data['wrong']['password'] = $_LANG['user_password_cue'];
    
    // 验证确认密码
    if (!isset($data['wrong']['password']) && ($_POST['password_confirm'] !== $_POST['password']))
        $data['wrong']['password_confirm'] = $_LANG['user_password_confirm_cue'];
 
    // 错误提示
    foreach ($wrong as $item) {
        $data['wrong'] = $item;
        die(json_encode($data));
    }
    
    // 格式化数据
    $user_sn = $dou_user->rand_user_sn();
    $password = md5($_POST['password']);
    $add_time = time();
    
    $sql = "INSERT INTO " . $dou->table('user') . " (user_id, user_sn, email, password, add_time)" . " VALUES (NULL, '$user_sn', '$_POST[email]', '$password', '$add_time')";
    $dou->query($sql);
        
    // 注册成功后直接登录
    $user = $dou->get_row('user', '*', "email = '$_POST[email]'");
    
    // 将会员登录信息写入storage
    $data['user']['user_id'] = $user['user_id'];
    $data['user']['shell'] = md5($user['email'] . $user['telphone'] . $user['password'] . DOU_SHELL);
    $data['user']['ontime'] = time();
 
    // 判断是否正在操作SNS绑定
    if ($_POST['sns']) {
        $sns = json_decode(str_replace("\\", "", $_POST['sns']), true);
        if (is_array($sns)) {
            $add_time = time();
            $dou->query("INSERT INTO " . $dou->table('user_sns') . " (id, user_id, `group`, openid, unionid, apptype, add_time)" . " VALUES (NULL, '$user[user_id]', '$group', '$sns[openid]', '$sns[unionid]', '$apptype', '$add_time')");
            $dou->query("UPDATE " . $dou->table('user') . " SET nickname = '$sns[nickname]', avatar = '$sns[avatar]', sex = '$sns[sex]' WHERE user_id = '$user[user_id]'");
        }
    }
    
    // 生成登录记录
    $last_login = time();
    $last_ip = $dou->get_ip();
    $login_count = $user['login_count'] + 1;
    $dou->query("update " . $dou->table('user') . " SET login_count = '$login_count', last_login = '$last_login', last_ip = '$last_ip' WHERE user_id = " . $user['user_id']);
}

/**
 * +----------------------------------------------------------
 * 登录状态验证，在小程序里做出未登录提示需要在小程序里判断（通过'user.php?rec=check_login_state'进行验证）
 * +----------------------------------------------------------
 */
elseif ($rec == 'check_login_state') {
    $data = $dou_user->check_login_state();
}

/**
 * +----------------------------------------------------------
 * 登录提交
 * +----------------------------------------------------------
 */
elseif ($rec == 'login_post') {
    if (!$_POST['email'])
        $data['wrong'] = $_LANG['user_email_cue'];
    
    $_POST['email'] = $check->is_email(trim($_POST['email'])) ? trim($_POST['email']) : '';
    $_POST['password'] = $check->is_password(trim($_POST['password'])) ? trim($_POST['password']) : '';
    
    // 如果用户名存在则获取用户信息
    $user = $dou->get_row('user', '*', "email = '$_POST[email]'");
    
    // 验证用户是否存在和密码是否正确
    if (!is_array($user)) {
        $data['wrong'] = $_LANG['user_login_wrong'];
    } elseif (md5($_POST['password']) != $user['password']) {
        $data['wrong'] = $_LANG['user_login_wrong'];
    }
 
    // 错误提示
    if ($data['wrong']) {
        die(json_encode($data));
    }
    
    // 将会员登录信息写入storage
    $data['user']['user_id'] = $user['user_id'];
    $data['user']['shell'] = md5($user['email'] . $user['telphone'] . $user['password'] . DOU_SHELL);
    $data['user']['ontime'] = time();
    $data['user']['connect_key'] = $connect_key = md5('connect' . time());
 
    // 判断是否正在操作SNS绑定
    if ($_POST['sns']) {
        $sns = json_decode(str_replace("\\", "", $_POST['sns']), true);
        if (is_array($sns)) {
            // 绑定前还先判断是否已经绑定过微信，比如更换微信APPID后，所有用户的OPENID都会不同
            if ($dou->value_exist('user_sns', 'user_id', $user['user_id'], "`group` = '" . $sns['group'] . "'")) {
                $dou->query("UPDATE " . $dou->table('user_sns') . " SET openid = '$sns[openid]', unionid = '$sns[unionid]' WHERE user_id = '$user[user_id]' AND `group` = '$group' AND `apptype` = '$apptype'");
            } else {
                $add_time = time();
                $dou->query("INSERT INTO " . $dou->table('user_sns') . " (id, user_id, `group`, openid, unionid, apptype, add_time)" . " VALUES (NULL, '$user[user_id]', '$group', '$sns[openid]', '$sns[unionid]', '$apptype', '$add_time')");
            }
        }
    }
    
    // 更新登录记录
    $last_login = $dou_user->log_update($user['last_login'], time());
    $last_ip = $dou_user->log_update($user['last_ip'], $dou->get_ip());
    $login_count = $user['login_count'] + 1;
    
    $dou->query("UPDATE " . $dou->table('user') . " SET login_count = '$login_count', last_login = '$last_login', last_ip = '$last_ip', connect_key = '$connect_key' WHERE user_id = " . $user['user_id']);
}

/**
 * +----------------------------------------------------------
 * 重置密码
 * +----------------------------------------------------------
 */
elseif ($rec == 'password_reset') {
    // 数据封装
    $data['title'] = $_LANG['user_password_reset'];
}

/**
 * +----------------------------------------------------------
 * 重置密码提交
 * +----------------------------------------------------------
 */
elseif ($rec == 'password_reset_post') {
    // 验证用户名
    if (!$dou->value_exist('user', 'email', $_POST['email'])) {
        $data['email_no_exist'] = $_LANG['user_email_no_exist'];
    } else {
        // 生成密码找回码
        $user = $dou->get_row('user', '*', "email = '$_POST[email]'");
        $time = time();
        $code = substr(md5($user['email'] . $user['password'] . $time . $user['last_login'] . DOU_SHELL) , 0 , 16) . $time;
        $site_url = rtrim(ROOT_URL, '/');
        $mark = strpos($_URL['password_reset'], '?') !== false ? '&' : '?';

        $body = $user['email'] . $_LANG['user_password_reset_body_0'] . $_URL['password_reset'] . $mark . 'uid=' . $user['user_id'] . '&code=' . $code . $_LANG['user_password_reset_body_1'] . $_CFG['site_name'] . '. ' . $site_url;

        // 发送密码重置邮件
        if ($dou->send_mail($_POST['email'], $_LANG['user_password_reset_title'], $body)) {
            $data['password_mail_success'] = $_LANG['user_password_mail_success'] . $user['email'];
        } else {
            $data['mail_send_fail'] = $_LANG['mail_send_fail'];
        }
    }
}

/**
 * +----------------------------------------------------------
 * 会员信息编辑
 * +----------------------------------------------------------
 */
elseif ($rec == 'edit') {
    // 获取会员信息
    $user_info = $dou->get_row('user', '*', "user_id = '" . $user_id . "'");
 
    // 格式化数据
    $user_info['avatar'] = $user_info['avatar'] ? $dou->dou_file($user_info['avatar']) : ROOT_URL . 'images/avatar/..empty.png';

    // 格式化自定义参数
    if ($_DEFINED['user'] || $user_info['defined']) {
        $defined = explode(',', $_DEFINED['user']);
        foreach ($defined as $row) {
            $defined_user .= $row . "：\n";
        }
        // 如果商品中已经写入自定义参数则调用已有的
        $user_info['defined'] = $user_info['defined'] ? str_replace(",", "\n", $user_info['defined']) : trim($defined_user);
        $user_info['defined_count'] = count(explode("\n", $user_info['defined'])) * 2;
    }
 
    // 性别
    $sex_array = array('1', '0');
    foreach ($sex_array as $v) {
        $user_info['sex_list'][] = array (
                "value" => $v,
                "lang" => $v ? $_LANG['user_man'] : $_LANG['user_woman'],
                "checked" => $user_info['sex'] == $v ? true : false
        );
    }

    // 数据封装
    $data['title'] = $_LANG['user_edit'];
    $data['user_info'] = $user_info;
}

/**
 * +----------------------------------------------------------
 * 会员信息编辑提交
 * +----------------------------------------------------------
 */
elseif ($rec == 'edit_post') {
    // 获取已有会员信息
    $user = $dou->get_row('user', '*', "user_id = '$user_id'");
 
    // 判断是否为空
    $wrong = $check->fn_empty('user', 'contact, phone');
 
    // 判断是否含有非法字符
    $wrong = $check->fn_illegal_char('user', 'contact, phone, address, postcode, nickname');
 
    // 验证手机
    if ($_CFG['language'] == 'zh_cn') {
        if (!$check->is_telphone($_POST['phone']))
            $wrong['phone'] = $_LANG['user_phone_cue'];
    }

    // 验证昵称
    if ($_POST['nickname']) {
        if ($user['nickname'] != $_POST['nickname']) {
            if ($dou->value_exist('user', 'nickname', $_POST['nickname']))
                $wrong['nickname'] = $_LANG['user_nickname'] . $_LANG['value_exists'];
        }
    }
 
    // 错误提示
    foreach ($wrong as $item) {
        $data['wrong'] = $item;
        die(json_encode($data));
    }
    
    // 格式化自定义参数
    $_POST['defined'] = str_replace("\r\n", ',', $_POST['defined']);

    // 安全处理用户输入信息
    $_POST = $firewall->dou_foreground($_POST);

    $sql = "UPDATE " . $dou->table('user') . " SET contact = '$_POST[contact]', phone = '$_POST[phone]', address = '$_POST[address]', postcode = '$_POST[postcode]', sex = '$_POST[sex]', nickname = '$_POST[nickname]', defined = '$_POST[defined]' WHERE user_id = '$user[user_id]'";
    
    $dou->query($sql);
}

/**
 * +----------------------------------------------------------
 * 头像上传
 * +----------------------------------------------------------
 */
elseif ($rec == 'upload_avatar') {
    // 图片上传
    include_once (ROOT_PATH . 'include/file.class.php');
    $file = new File('images/avatar/', null, 'jpg,jpeg,gif,png'); // 实例化类文件(文件上传路径，结尾加斜杠)
 
    // 文件上传盒子
    if ($_FILES['avatar']['name'] != "") {
        $file_name = $dou->get_file_name($dou->get_one("SELECT avatar FROM " . $dou->table('user') . " WHERE user_id = '$user_id'"));
        $avatar_filename = $file_name ? $file_name : $dou_user->create_avatar_filename();
        
        $avatar = $file->box('user', $user_id, 'avatar', 'main', $avatar_filename, '', '', 200, '', 'user_id');
     
        $dou->query("UPDATE " . $dou->table('user') . " SET avatar = '$avatar' WHERE user_id = '$user_id'");
     
        $file_url = $dou->dou_file($avatar);
    }
}

/**
 * +----------------------------------------------------------
 * 密码修改
 * +----------------------------------------------------------
 */
elseif ($rec == 'password') {
    // 数据封装
    $data['title'] = $_LANG['user_password_edit'];
}

/**
 * +----------------------------------------------------------
 * 密码修改提交
 * +----------------------------------------------------------
 */
elseif ($rec == 'password_post') {
    // 获取旧密码
    $old_password = $dou->get_one("SELECT password FROM " . $dou->table('user') . " WHERE user_id = '$user_id'");

    // 验证原始密码密码
    if (md5($_POST['old_password']) != $old_password)
        $wrong['old_password'] = $_LANG['user_old_password_cue'];

    // 验证密码
    if (!$check->is_password($_POST['password']))
        $wrong['password'] = $_LANG['user_password_cue'];
    
    // 验证确认密码
    if (!isset($wrong['password']) && ($_POST['password_confirm'] !== $_POST['password']))
        $wrong['password_confirm'] = $_LANG['user_password_confirm_cue'];
    
    // 错误提示
    foreach ($wrong as $item) {
        $data['wrong'] = $item;
        die(json_encode($data));
    }
    
    $sql = "UPDATE " . $dou->table('user') . " SET password = '" . md5($_POST['password']) . "' WHERE user_id = '$user_id'";
    $dou->query($sql);
    
    $data['msg'] = $_LANG['user_password_success'];
}

/**
 * +----------------------------------------------------------
 * 退出登录
 * +----------------------------------------------------------
 */
elseif ($rec == 'logout') {
    unset($_SESSION[DOU_ID]);
    $dou->dou_header(HOME_URL);
}

/**
 * +----------------------------------------------------------
 * 我的订单
 * +----------------------------------------------------------
 */
elseif ($rec == 'order_list') {
    // 订单状态筛选
    $status = $check->is_number($_REQUEST['status']) ? $_REQUEST['status'] : 'all';
    if ($status != 'all') {
        if ($status == 0 || $status == -2) {
            $and = " AND (status = '0' OR status = '-2')";
        } else {
            $and = " AND status = '$status'";
        }
    }
    
    // 订单状态实时更新
    $dou_order->auto_cancel_order("user_id = '$user_id'"); // 订单超过时间未付款，将自动取消，并释放库存
    $dou_order->auto_update_aftersale_status("user_id = '$user_id'"); // 已取货订单列表需要实时更新订单可否申请状态
    $dou_order->auto_update_comment("user_id = '$user_id'"); // 已发货订单列表需要实时更新订单可评论状态，超时自动评价
 
    // 未加入分页条件的SQL语句
    $sql = "SELECT * FROM " . $dou->table('order') . " WHERE user_id = '$user_id'" . $and . " ORDER BY order_id DESC";

    // 获取分页信息
    $page = $check->is_number($_REQUEST['page']) ? trim($_REQUEST['page']) : 1;
    $limit = $dou->pager($sql, 10, $page);

    /* 获取产品列表 */
    $sql = $sql . $limit; // 加入分页条件的SQL语句
    $query = $dou->query($sql);
    while ($row = $dou->fetch_array($query)) {
        $email = $dou->get_one("SELECT email FROM " . $dou->table('user') . " WHERE user_id = '$row[user_id]'");
        $add_time = date("Y-m-d H:i:s", $row['add_time']);
        $status_format = $_LANG['order_status_' . $row['status']];
        $order_amount_format = $dou->price_format($row['order_amount']);
     
        // 有开启支付方式的情况才显示付款按钮
        if ($dou->value_exist('plugin', 'plugin_group', 'payment'))
            $if_payment = true;
        
        // 判断是否有安装售后服务模块
        if ($_OPEN['aftersale'])
            $if_can_aftersale = $dou_aftersale->if_can_aftersale($row['order_id'], $user_id);

        $order_list[] = array (
                "order_id" => $row['order_id'],
                "order_sn" => $row['order_sn'],
                "email" => $email,
                "mode" => $row['mode'],
                "contact" => $row['contact'],
                "phone" => $row['phone'],
                "order_amount" => $row['order_amount'],
                "order_amount_format" => $order_amount_format,
                "order_point" => $row['order_point'],
                "order_point_format" => $row['order_point'] . $_LANG['point_point'],
                "status" => $row['status'],
                "status_format" => $status_format,
                "if_can_aftersale" => $if_can_aftersale,
                "if_payment" => $if_payment,
                "pay_time_limit" => $dou_order->pay_time_limit($row['add_time'], true, true), // 付款超时时间
                "add_time" => $add_time,
                "item_list" => $dou_order->get_order_item($row['order_id'], $row['user_id'])
        );
    }

    // 数据封装
    $data['title'] = $_LANG['order_my'];
    $data['order_list'] = $order_list;
    $data['status_list'] = $dou->data_list_lang_format('order_status_', 'all,0,1,10', $status);
    $data['payment'] = $dou->value_exist('plugin', 'unique_id', 'offlinepay') ? 'offlinepay' : 'wxpay';
}

/**
 * +----------------------------------------------------------
 * 订单详情
 * +----------------------------------------------------------
 */
elseif ($rec == 'order') {
    // 验证并获取合法的ID
    $order_sn = $check->is_number($_REQUEST['order_sn']) ? $_REQUEST['order_sn'] : '';
    
    $order = $dou->get_row('order', '*', "order_sn = '$order_sn' AND user_id = '$user_id'");
 
    // 订单状态实时更新
    if ($order['status'] == '0') { // 订单超过时间未付款，将自动取消，并释放库存
        $dou_order->auto_cancel_order("user_id = '$user_id' AND order_id = '$order[order_id]'");
    } else if ($order['status'] == '10') { // 已取货订单列表需要实时更新订单可否申请状态
        $dou_order->auto_update_aftersale_status("user_id = '$user_id' AND order_id = '$order[order_id]'");
        $dou_order->auto_update_comment("user_id = '$user_id'");
    }
    
    // 格式化订单信息
    $order['pay_name'] = $dou->get_one("SELECT name FROM " . $dou->table('plugin') . " WHERE unique_id = '$order[pay_id]'");
    $order['shipping_name'] = $dou->get_one("SELECT name FROM " . $dou->table('plugin') . " WHERE unique_id = '$order[shipping_id]'");
    $order['item_amount_format'] = $dou->price_format($order['item_amount']);
    $order['shipping_fee_format'] = $dou->price_format($order['shipping_fee']);
    $order['order_amount_format'] = $dou->price_format($order['order_amount']);
    $order['order_point_format'] = $order['order_point'] . $_LANG['point_point'];
    $order['email'] = $dou->get_one("SELECT email FROM " . $dou->table('user') . " WHERE user_id = '$user_id'");
    $order['pay_time_limit'] = $dou_order->pay_time_limit($order['add_time'], true, true); // 付款超时时间
    $order['add_time'] = date("Y-m-d H:i:s", $order['add_time']);
    $order['status_format'] = $_LANG['order_status_' . $order['status']];
    $order['item_list'] = $dou_order->get_order_item($order['order_id']);
    $order['pay_evidence'] = $order['pay_evidence'] ? $dou->dou_file($order['pay_evidence']) : '';
 
    // 有开启支付方式的情况才显示付款按钮
    if ($dou->value_exist('plugin', 'plugin_group', 'payment')) {
        $order['if_payment'] = true;
    }
    
    // 判断是否有安装售后服务模块
    if ($_OPEN['aftersale'])
        $order['if_can_aftersale'] = $dou_aftersale->if_can_aftersale($order['order_id'], $user_id);

    // 数据封装
    $data['order_sn'] = $order_sn;
    $data['title'] = $_LANG['order_view'];
    $data['order'] = $order;
    $data['payment'] = $dou->value_exist('plugin', 'unique_id', 'offlinepay') ? 'offlinepay' : 'wxpay';
}

/**
 * +----------------------------------------------------------
 * 订单删除
 * +----------------------------------------------------------
 */
elseif ($rec == 'order_cancel') {
    // 验证并获取合法的ID
    $order_sn = $check->is_number($_REQUEST['order_sn']) ? $_REQUEST['order_sn'] : '';

    // 获取订单信息
    $order = $dou->get_row('order', 'order_id, order_sn, status', "order_sn = '$order_sn' AND user_id = '$user_id'");

    if ($order && $order['status'] == 0) {
        // 取消订单
        if ($dou->query("UPDATE " . $dou->table('order') . " SET status = '-1' WHERE order_sn = '$order_sn' AND user_id = '$user_id'")) {
            // 商品下单付款后会锁定库存，取消订单后解锁，这里操作解锁（stock_lock = 0）
            $dou->query("UPDATE " . $dou->table('order_item') . " SET stock_lock = '0' WHERE order_id = '$order[order_id]'");
        }
    }
    exit;
}

/**
 * +----------------------------------------------------------
 * 社交软件
 * +----------------------------------------------------------
 */
elseif ($rec == 'sns') {
    $remove = $check->is_unique_id($_REQUEST['remove']) ? trim($_REQUEST['remove']) : '';
    if ($remove) {
        if ($dou->query("DELETE FROM " . $dou->table('user_sns') . " WHERE `group` = '$remove' AND user_id = '$user_id'")) {
            $data['remove'] = true;
        }
    }
 
    // SNS登录
    $link = $check->is_rec($_REQUEST['link']) ? $_REQUEST['link'] : '';
    if ($link) {
        $dou->dou_header(HOME_URL . 'include/plugin/' . $link . '/login.php');
    }
    
    // 数据封装
    $data['title'] = $_LANG['user_sns'];
    $data['plugin_list'] = $dou_user->connect_plugin_list($user_id);
}

/**
 * +----------------------------------------------------------
 * 社交软件账号关联
 * +----------------------------------------------------------
 */
elseif ($rec == 'sns_link') {
    // 数据封装
    $data['title'] = $_LANG['user_sns'];
}

/**
 * +----------------------------------------------------------
 * 获取手机号
 * +----------------------------------------------------------
 */
elseif ($rec == 'wx_get_phone') {
    // 开发者使用登陆凭证code获取session_key和openid，注意：小程序必须绑定到开发者账号（open.weixin.qq.com）里，否则无法获取unionid
    $appid = $_PARAM['miniprogram_appid']; // 小程序 appid
    $appsecret = $_PARAM['miniprogram_appsecret'];// 小程序 appsecret
 
    $code = $_REQUEST['code'];
    
    $token_url = "https://api.weixin.qq.com/cgi-bin/token?grant_type=client_credential&appid=$appid&secret=$appsecret";
    $token_data = json_decode(file_get_contents($token_url, true), true);
    $access_token = $token_data['access_token'];
 
    $callback = $dou_user->curl("https://api.weixin.qq.com/wxa/business/getuserphonenumber?access_token=$access_token", array('code' => $code));
 
    $data['wrong'] = $callback['errmsg'];
    $data['phone'] = $callback['phone_info']['phoneNumber'];
}

/**
 * +----------------------------------------------------------
 * 微信支付
 * +----------------------------------------------------------
 */
elseif ($rec == 'wxpay') {
    // 验证并获取合法的ID
    $order_sn = $check->is_number($_REQUEST['order_sn']) ? $_REQUEST['order_sn'] : '';
    
    $order = $dou->get_row('order', '*', "order_sn = '$order_sn' AND user_id = '$user_id' AND status = '0'");
    if (is_array($order)) {
        // 支付操作开始
        include(ROOT_PATH . MINIPROGRAM_PATH . '/include/wxpay.class.php');
        $appid = $_PARAM['miniprogram_appid']; // 小程序 appid
        $openid = $dou->get_one("SELECT openid FROM " . $dou->table('user_sns') . " WHERE user_id = '$user_id' AND `group` = '$group' AND apptype = '$apptype'"); // 用户微信 openid
        $mch_id = $_PARAM['miniprogram_pay_mch_id']; // 微信支付商户支付号
        $key = $_PARAM['miniprogram_pay_key']; // 微信支付商户API密钥（在API安全里获取）
        $out_trade_no = $order['order_sn']; // 订单编号，付款后订单编号会传到微信支付服务器，如果该订单编号已经付款成功，但网站这却没有同步为已经付款，然后再次发起付款，会出现“调用支付jsapi缺少参数$key0$”错误提示
        $body = 'Order Sn : ' . $order_sn . ' (' . $_CFG['site_name'] . ')'; // 设置商品或支付单简要描述
        $total_fee = floatval($order['order_amount'] * 100); // 付款金额，以分为单位，不能带小数，所以这里乘以100将元转为分
        //$total_fee = floatval(1 * 100); // 测试付款

        $wxpay = new Wxpay($appid, $openid, $mch_id, $key, $out_trade_no, $body, $total_fee);
        $data = $wxpay->pay();
    } else {
        $data['wrong'] = '当前订单状态无法发起支付，请联系客服';
    }
}

/**
 * +----------------------------------------------------------
 * 社交软件账号关联
 * +----------------------------------------------------------
 */
elseif ($rec == 'wx_login') {
    $act = $check->is_rec($_REQUEST['act']) ? $_REQUEST['act'] : 'default';
    
    // 初始化
    $data['wrong'] = '';
    
    // 开发者使用登陆凭证code获取session_key和openid，注意：小程序必须绑定到开发者账号（open.weixin.qq.com）里，否则无法获取unionid
    $appid = $_PARAM['miniprogram_appid']; // 小程序 appid
    $appsecret = $_PARAM['miniprogram_appsecret'];// 小程序 appsecret
 
    // 保证参数不为空
    if (empty($_REQUEST['code'])) {
        $data['wrong'] = 'Code获取失败';
        die(json_encode($data));
    }
 
    // 通过wx.login获取的code向微信服务器换取session_key、openid、unionid
    $code = $_REQUEST['code'];
    $url = "https://api.weixin.qq.com/sns/jscode2session?appid=" . $appid . "&secret=" . $appsecret . "&js_code=" . $code . "&grant_type=authorization_code";
    $weixin_info = $dou->curl($url);  // 一个使用curl实现的get方法请求
    $weixin_info = json_decode($weixin_info, true);
 
    if (empty($weixin_info) || empty($weixin_info['openid']) || empty($weixin_info['session_key'])) {
        $data['wrong'] = '请求微信接口失败,appid或私钥不匹配！';
        die(json_encode($data));
    } else {
        $session_key = $weixin_info['session_key'];
        $openid = $weixin_info['openid'];
        $unionid = $weixin_info['unionid']; // 微信登录在小程序、公众号、PC平台中有共同的unionId
    }
 
    if (!$unionid && $loginid_mode == 'unionid') {
        $data['wrong'] = '无法获取“unionid”，请联系管理员';
    } else {
        $phone = $check->is_number($_REQUEST['phone']) ? $_REQUEST['phone'] : '';
        
        // 检索该openid是否有对应的user_id
        $user_id = $dou->get_one("SELECT user_id FROM " . $dou->table('user_sns') . " WHERE openid = '$openid'");
        
        if ($user = $dou->get_row('user', '*', "user_id = '$user_id'")) { // 存在关联会员账号
            // 点击微信登录有两种情况需要弹出获取手机号：1，已有账号未关联手机号；2，全新账号
            if ($user['telphone'] && $act == 'preload') {
                $data['user'] = $user;
                $data['phone_exist'] = 'yes';
                die(json_encode($data));
            } 
            
            // 完成登录操作，将会员登录信息写入storage
            $data['user']['user_id'] = $user['user_id'];
            $data['user']['shell'] = md5($user['email'] . $user['telphone'] . $user['password'] . DOU_SHELL);
            $data['user']['ontime'] = time();
            $data['user']['connect_key'] = $connect_key = md5('connect' . time());
            
            $last_login = $dou_user->log_update($user['last_login'], time());
            $last_ip = $dou_user->log_update($user['last_ip'], $dou->get_ip());
            $login_count = $user['login_count'] + 1;
            
            $dou->query("UPDATE " . $dou->table('user') . " SET login_count = '$login_count', last_login = '$last_login', last_ip = '$last_ip', connect_key = '$connect_key' WHERE user_id = '$user_id'");
         
            if (!$user['telphone'] && $phone) {
                $dou->query("UPDATE " . $dou->table('user') . " SET telphone = '$phone', phone = '$phone' WHERE user_id = '$user_id'");
            }
        } else { // 不存在关联会员账号
            if ($act == 'preload') {
                $data['phone_exist'] = 'no';
                die(json_encode($data));
            } 
            
            $sns['openid'] = $openid;
            $sns['unionid'] = $unionid;
            $sns['nickname'] = '微信用户';
         
            if ($loginid_mode == 'unionid') {
                // 检索该unionid是否有对应的user_id，有共同的unionid判定为同一用户并将当前的openid与账户绑定
                // 主要是考虑到跨平台，比如从公众登录、从网页版登录、小程序等，这些unionid一样，但openid不一样，所以就必须给它们单独生成一条user_sns数据
                $user_id = $dou->get_one("SELECT user_id FROM " . $dou->table('user_sns') . " WHERE unionid = '$unionid'");
            }
         
            if ($user = $dou->get_row('user', '*', "user_id = '$user_id'")) { // unionid存在关联会员账号
                $add_time = time();
                $sql_insert_user_sns = "INSERT INTO " . $dou->table('user_sns') . " (id, user_id, `group`, openid, unionid, apptype, add_time)" . " VALUES (NULL, '$user_id', '$group', '$sns[openid]', '$sns[unionid]', '$apptype', '$add_time')";
                if ($dou->query($sql_insert_user_sns)) {
                    // 完成登录操作，将会员登录信息写入storage
                    $data['user']['user_id'] = $user['user_id'];
                    $data['user']['shell'] = md5($user['email'] . $user['telphone'] . $user['password'] . DOU_SHELL);
                    $data['user']['ontime'] = time();
                    $data['user']['connect_key'] = $connect_key = md5('connect' . time());

                    $last_login = $dou_user->log_update($user['last_login'], time());
                    $last_ip = $dou_user->log_update($user['last_ip'], $dou->get_ip());
                    $login_count = $user['login_count'] + 1;

                    $dou->query("UPDATE " . $dou->table('user') . " SET login_count = '$login_count', last_login = '$last_login', last_ip = '$last_ip', connect_key = '$connect_key' WHERE user_id = '$user_id'");
                 
                    if (!$user['telphone'] && $phone) {
                        $dou->query("UPDATE " . $dou->table('user') . " SET telphone = '$phone', phone = '$phone' WHERE user_id = '$user_id'");
                    }
                }
            } else { // unionid不存在关联会员账号
                // 检索该phone是否有对应的user_id
                $user_id = $dou->get_one("SELECT user_id FROM " . $dou->table('user') . " WHERE telphone = '$phone'");

                if ($user = $dou->get_row('user', '*', "user_id = '$user_id'")) { // 存在关联会员账号
                    $add_time = time();
                    $sql_insert_user_sns = "INSERT INTO " . $dou->table('user_sns') . " (id, user_id, `group`, openid, unionid, apptype, add_time)" . " VALUES (NULL, '$user_id', '$group', '$sns[openid]', '$sns[unionid]', '$apptype', '$add_time')";
                    if ($dou->query($sql_insert_user_sns)) {
                        // 完成登录操作，将会员登录信息写入storage
                        $data['user']['user_id'] = $user['user_id'];
                        $data['user']['shell'] = md5($user['email'] . $user['telphone'] . $user['password'] . DOU_SHELL);
                        $data['user']['ontime'] = time();
                        $data['user']['connect_key'] = $connect_key = md5('connect' . time());

                        $last_login = $dou_user->log_update($user['last_login'], time());
                        $last_ip = $dou_user->log_update($user['last_ip'], $dou->get_ip());
                        $login_count = $user['login_count'] + 1;

                        $dou->query("UPDATE " . $dou->table('user') . " SET login_count = '$login_count', last_login = '$last_login', last_ip = '$last_ip', connect_key = '$connect_key' WHERE user_id = '$user_id'");
                    }
                } else {
                    if ($nobind) { // 不需要绑定站内会员账号，直接完成注册并登录
                        // 初始化数据
                        $user_sn = $dou_user->rand_user_sn();
                        $password = md5('rand' . time());
                        $connect_key = md5('connect' . time());
                        $add_time = time();
                        $email = $user_sn . '@weixin.login';

                        // 插入会员数据
                        $sql_insert_user = "INSERT INTO " . $dou->table('user') . " (user_id, user_sn, telphone, email, password, phone, nickname, connect_key, add_time)" . " VALUES (NULL, '$user_sn', '$phone', '$email', '$password', '$phone', '$sns[nickname]', '$connect_key', '$add_time')";
                        if ($dou->query($sql_insert_user)) {
                            // 注册成功后直接登录
                            $user = $dou->get_row('user', '*', "email = '$email'");

                            // 回传给小程序
                            $data['user']['user_id'] = $user['user_id'];
                            $data['user']['shell'] = md5($user['email'] . $user['telphone'] . $user['password'] . DOU_SHELL);
                            $data['user']['ontime'] = time();
                            $data['user']['connect_key'] = $connect_key;

                            // 插入SNS登录信息
                            $sql_insert_user_sns = "INSERT INTO " . $dou->table('user_sns') . " (id, user_id, `group`, openid, unionid, apptype, add_time)" . " VALUES (NULL, '$user[user_id]', '$group', '$sns[openid]', '$sns[unionid]', '$apptype', '$add_time')";
                            if ($dou->query($sql_insert_user_sns)) {
                                $last_login = time();
                                $last_ip = $dou->get_ip();
                                $login_count = $user['login_count'] + 1;

                                $dou->query("UPDATE " . $dou->table('user') . " SET login_count = '$login_count', last_login = '$last_login', last_ip = '$last_ip' WHERE user_id = " . $user['user_id']);
                            } else {
                                // 如果无法插入sns登录信息，则删除账号
                                $dou->delete('user', "user_id = '$user[user_id]'");
                                $data['wrong'] = '无法完成账号与小程序绑定，请联系管理员';
                            }
                        } else {
                            $data['wrong'] = '无法生成账号信息，请联系管理员';
                        }
                    } else { // 绑定站内会员账号
                        $user = $dou->get_row('user', '*', "user_id = '$user_id'");
                        if (is_array($user)) { // 站内会员已登录
                            // 绑定前还先判断是否已经绑定过微信，比如更换微信APPID后，所有用户的OPENID都会不同
                            if ($dou->value_exist('user_sns', 'user_id', $user['user_id'], "`group` = '$group' AND apptype = '$apptype'")) {
                                $dou->query("UPDATE " . $dou->table('user_sns') . " SET openid = '$sns[openid]', unionid = '$sns[unionid]' WHERE user_id = '$user[user_id]' AND `group` = '$group' AND apptype = '$apptype'");
                            } else {
                                $add_time = time();
                                $dou->query("INSERT INTO " . $dou->table('user_sns') . " (id, user_id, `group`, openid, unionid, apptype, add_time)" . " VALUES (NULL, '$user[user_id]', '$group', '$sns[openid]', '$sns[unionid]', '$apptype', '$add_time')");
                            }

                            $data['bind'] = $user_id;
                        } else { // 站内会员未登录，先将获取的SNS信息存入缓存，然后在后续的注册和登录中自动关联绑定
                            $data['sns'] = $sns;
                        }
                    }
                }
            }
        }
    }
}

/**
 * +----------------------------------------------------------
 * 手机号登录
 * +----------------------------------------------------------
 */
elseif ($rec == 'phone_login') {
    $_STORAGE['sms_telphone'] = $check->is_telphone(trim($_POST['sms_telphone'])) ? trim($_POST['sms_telphone']) : '';
    $_STORAGE['sms_ontime'] = $check->is_number(trim($_POST['sms_ontime'])) ? trim($_POST['sms_ontime']) : '';
    $_STORAGE['sms_code'] = $check->is_letter_number(trim($_POST['sms_code'])) ? trim($_POST['sms_code']) : '';
 
    // 判断短信验证码
    if (!$_POST['sms_captcha'] || md5($_POST['sms_captcha'] . $_STORAGE['sms_telphone'] . DOU_SHELL) != $_STORAGE['sms_code']) {
        $data['wrong'] = $_LANG['sms_captcha_wrong'];
        die(json_encode($data));
    } elseif (!$sms->sms_ontime($_STORAGE['sms_ontime'])) { // 判断验证码是否超时
        $data['wrong'] = $_LANG['sms_captcha_outtime'];
        die(json_encode($data));
    }
    
    if (!$dou->value_exist('user', 'telphone', $_STORAGE['sms_telphone'])) {
        // 如果手机号不存在则先自动生成账号再登录
        $user_sn = $dou_user->rand_user_sn();
        $password = md5('rand' . time());
        $add_time = time();

        // 插入会员数据
        $dou->query("INSERT INTO " . $dou->table('user') . " (user_id, user_sn, telphone, password, phone, nickname, add_time)" . " VALUES (NULL, '$user_sn', '$_STORAGE[sms_telphone]', '$password', '$_STORAGE[sms_telphone]', '$sns[nickname]', '$add_time')");
    }
 
    // 注册成功后直接登录
    $user = $dou->get_row('user', '*', "telphone = '$_STORAGE[sms_telphone]'");
 
    // 完成登录操作，将会员登录信息写入storage
    $data['user']['user_id'] = $user['user_id'];
    $data['user']['shell'] = md5($user['email'] . $user['telphone'] . $user['password'] . DOU_SHELL);
    $data['user']['telphone'] = $user['telphone'];
    $data['user']['ontime'] = time();
    $data['user']['connect_key'] = $connect_key = md5('connect' . time());

    $last_login = $dou_user->log_update($user['last_login'], time());
    $last_ip = $dou_user->log_update($user['last_ip'], $dou->get_ip());
    $login_count = $user['login_count'] + 1;

    $dou->query("UPDATE " . $dou->table('user') . " SET login_count = '$login_count', last_login = '$last_login', last_ip = '$last_ip', connect_key = '$connect_key' WHERE user_id = '$user[user_id]'");

    if (!$user['phone']) {
        $dou->query("UPDATE " . $dou->table('user') . " SET phone = '$user[telphone]' WHERE user_id = '$user[user_id]'");
    }
}

echo json_encode($data);

?>