/*! Distpicker v2.0.7 | (c) 2014-present Chen Fengyuan | MIT */
(function (global, factory) {
  typeof exports === 'object' && typeof module !== 'undefined' ? factory(require('jquery')) :
  typeof define === 'function' && define.amd ? define(['jquery'], factory) :
  (global = typeof globalThis !== 'undefined' ? globalThis : global || self, factory(global.jQuery));
}(this, (function ($) { 'use strict';

  function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

  var $__default = /*#__PURE__*/_interopDefaultLegacy($);

  function _classCallCheck(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
      throw new TypeError("Cannot call a class as a function");
    }
  }

  function _defineProperties(target, props) {
    for (var i = 0; i < props.length; i++) {
      var descriptor = props[i];
      descriptor.enumerable = descriptor.enumerable || false;
      descriptor.configurable = true;
      if ("value" in descriptor) descriptor.writable = true;
      Object.defineProperty(target, descriptor.key, descriptor);
    }
  }

  function _createClass(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties(Constructor, staticProps);
    return Constructor;
  }

  var DEFAULTS = {
    // Selects the districts automatically.
    // 0 -> Disable autoselect
    // 1 -> Autoselect province only
    // 2 -> Autoselect province and city only
    // 3 -> Autoselect all (province, city and district)
    autoselect: 0,
    // Show placeholder.
    placeholder: true,
    // Select value. Options: 'name' and 'code'
    valueType: 'name',
    // Defines the initial value of province.
    province: '—— Country ——',
    // Defines the initial value of city.
    city: '—— State/Province ——',
    // Defines the initial value of district.
    district: '—— District ——'
  };

  var DISTRICTS = {
    100000: {
      1: 'Afghanistan',
      34: 'Albania',
      71: 'Algeria',
      119: 'American Samoa',
      124: 'Andorra',
      132: 'Angola',
      151: 'Anguilla',
      152: 'Antarctica',
      153: 'Antigua and Barbuda',
      162: 'Argentina',
      188: 'Armenia',
      196: 'Aruba',
      197: 'Australia',
      206: 'Austria',
      216: 'Azerbaijan',
      293: 'Bahamas',
      324: 'Bahrain',
      330: 'Bangladesh',
      337: 'Barbados',
      349: 'Belarus',
      356: 'Belgium',
      368: 'Belize',
      375: 'Benin',
      388: 'Bermuda',
      398: 'Bhutan',
      419: 'Bolivia',
      429: 'Bosnia and Herzegovina',
      448: 'Botswana',
      459: 'Bouvet Island',
      460: 'Brazil',
      488: 'British Indian Ocean Territory',
      497: 'Brunei Darussalam',
      502: 'Bulgaria',
      531: 'Burkina Faso',
      577: 'Burundi',
      594: 'Cambodia',
      620: 'Cameroon',
      631: 'Canada',
      645: 'Cape Verde',
      663: 'Cayman Islands',
      672: 'Central African Republic',
      689: 'Chad',
      704: 'Chile',
      719: 'China',
      754: 'Christmas Island',
      755: 'Cocos (Keeling) Islands',
      761: 'Colombia',
      795: 'Comoros',
      799: 'Congo',
      811: 'Cook Islands',
      827: 'Costa Rica',
      835: 'Abengourou',
      836: 'Abidjan',
      837: 'Aboisso',
      838: 'Adiake',
      839: 'Adzope',
      840: 'Agboville',
      841: 'Agnibilekrou',
      842: 'Alepe',
      843: 'Bocanda',
      844: 'Bangolo',
      845: 'Beoumi',
      846: 'Biankouma',
      847: 'Bondoukou',
      848: 'Bongouanou',
      849: 'Bouafle',
      850: 'Bouake',
      851: 'Bouna',
      852: 'Boundiali',
      853: 'Dabakala',
      854: 'Dabou',
      855: 'Daloa',
      856: 'Danane',
      857: 'Daoukro',
      858: 'Dimbokro',
      859: 'Divo',
      860: 'Duekoue',
      861: 'Ferkessedougou',
      862: 'Gagnoa',
      863: 'Grand-Bassam',
      864: 'Grand-Lahou',
      865: 'Guiglo',
      866: 'Issia',
      867: 'Jacqueville',
      868: 'Katiola',
      869: 'Korhogo',
      870: 'Lakota',
      871: 'Man',
      872: 'Mankono',
      873: 'Mbahiakro',
      874: 'Odienne',
      875: 'Oume',
      876: 'Sakassou',
      877: 'San-Pedro',
      878: 'Sassandra',
      879: 'Seguela',
      880: 'Sinfra',
      881: 'Soubre',
      882: 'Tabou',
      883: 'Tanda',
      884: 'Tiebissou',
      885: 'Tingrela',
      886: 'Tiassale',
      887: 'Touba',
      888: 'Toulepleu',
      889: 'Toumodi',
      890: 'Vavoua',
      891: 'Yamoussoukro',
      892: 'Zuenoula',
      893: 'Croatia',
      915: 'Cuba',
      931: 'Cyprus',
      938: 'Czech Republic',
      953: 'Denmark',
      970: 'Djibouti',
      975: 'Dominica',
      986: 'Dominican Republic',
      1019: 'East Timor',
      1033: 'Ecuador',
      1056: 'Egypt',
      1079: 'El Salvador',
      1094: 'Equatorial Guinea',
      1102: 'Eritrea',
      1109: 'Estonia',
      1125: 'Ethiopia',
      1137: 'Falkland Islands (Malvinas)',
      1138: 'Faroe Islands',
      1139: 'Fiji',
      1145: 'Finland',
      1152: 'France, Metropolitan',
      1248: 'French Guiana',
      1249: 'French Polynesia',
      1255: 'French Southern Territories',
      1261: 'Gabon',
      1271: 'Gambia',
      1285: 'Georgia',
      1298: 'Germany',
      1315: 'Ghana',
      1326: 'Gibraltar',
      1327: 'Greece',
      1341: 'Greenland',
      1345: 'Grenada',
      1354: 'Guadeloupe',
      1355: 'Guam',
      1356: 'Guatemala',
      1379: 'Guinea',
      1414: 'Guinea-Bissau',
      1424: 'Guyana',
      1435: 'Haiti',
      1444: 'Heard and Mc Donald Islands',
      1449: 'Honduras',
      1468: 'Hong Kong',
      1487: 'Hungary',
      1488: 'Iceland',
      1497: 'India',
      1531: 'Indonesia',
      1566: 'Iran (Islamic Republic of)',
      1598: 'Iraq',
      1616: 'Ireland',
      1643: 'Israel',
      1653: 'Italy',
      1760: 'Jamaica',
      1775: 'Japan',
      1823: 'Jordan',
      1831: 'Kazakhstan',
      1849: 'Kenya',
      1858: 'Kiribati',
      1880: 'North Korea',
      1889: 'South Korea',
      1901: 'Kuwait',
      1905: 'Kyrgyzstan',
      1914: 'Vientiane',
      1915: 'Attapu',
      1916: 'Bokeo',
      1917: 'Bolikhamxai',
      1918: 'Champasak',
      1919: 'Houaphan',
      1920: 'Khammouan',
      1921: 'Louang Namtha',
      1922: 'Louangphabang',
      1923: 'Oudomxai',
      1924: 'Phongsali',
      1925: 'Salavan',
      1926: 'Savannakhet',
      1927: 'Vientiane',
      1928: 'Xaignabouli',
      1929: 'Xekong',
      1930: 'Xiangkhoang',
      1931: 'Xaisomboun',
      1932: 'Latvia',
      2119: 'Lebanon',
      2126: 'Lesotho',
      2135: 'Liberia',
      2149: 'Libyan Arab Jamahiriya',
      2173: 'Liechtenstein',
      2185: 'Lithuania',
      2196: 'Luxembourg',
      2209: 'Macau',
      2215: 'FYROM',
      2216: 'Madagascar',
      2223: 'Malawi',
      2251: 'Malaysia',
      2268: 'Maldives',
      2289: 'Mali',
      2299: 'Malta',
      2368: 'Marshall Islands',
      2402: 'Martinique',
      2403: 'Mauritania',
      2417: 'Mauritius',
      2435: 'Mayotte',
      2436: 'Mexico',
      2469: 'Micronesia, Federated States of',
      2474: 'Moldova, Republic of',
      2486: 'Monaco',
      2491: 'Mongolia',
      2514: 'Montserrat',
      2518: 'Morocco',
      2561: 'Mozambique',
      2573: 'Myanmar',
      2588: 'Namibia',
      2602: 'Nauru',
      2617: 'Nepal',
      2632: 'Netherlands',
      2645: 'Netherlands Antilles',
      2646: 'New Caledonia',
      2650: 'New Zealand',
      2669: 'Nicaragua',
      2687: 'Niger',
      2696: 'Nigeria',
      2734: 'Niue',
      2735: 'Norfolk Island',
      2736: 'Northern Mariana Islands',
      2741: 'Norway',
      2762: 'Oman',
      2771: 'Pakistan',
      2778: 'Palau',
      2795: 'Panama',
      2806: 'Papua New Guinea',
      2827: 'Paraguay',
      2846: 'Peru',
      2872: 'Philippines',
      2952: 'Pitcairn',
      2953: 'Poland',
      2970: 'Portugal',
      2991: 'Puerto Rico',
      2992: 'Qatar',
      3002: 'Reunion',
      3003: 'Romania',
      3046: 'Russian Federation',
      3132: 'Rwanda',
      3145: 'Saint Kitts and Nevis',
      3160: 'Saint Lucia',
      3172: 'Saint Vincent and the Grenadines',
      3179: 'Samoa',
      3186: 'San Marino',
      3196: 'Sao Tome and Principe',
      3199: 'Saudi Arabia',
      3211: 'Senegal',
      3223: 'Seychelles',
      3245: 'Sierra Leone',
      3250: 'Singapore',
      3251: 'Slovak Republic',
      3260: 'Slovenia',
      3273: 'Solomon Islands',
      3284: 'Somalia',
      3303: 'South Africa',
      3313: 'South Georgia &amp; South Sandwich Islands',
      3314: 'Spain',
      3367: 'Sri Lanka',
      3377: 'St. Helena',
      3379: 'St. Pierre and Miquelon',
      3382: 'Sudan',
      3406: 'Suriname',
      3417: 'Svalbard and Jan Mayen Islands',
      3418: 'Swaziland',
      3423: 'Sweden',
      3445: 'Switzerland',
      3472: 'Syrian Arab Republic',
      3487: 'Tajikistan',
      3491: 'Tanzania, United Republic of',
      3518: 'Thailand',
      3595: 'Togo',
      3601: 'Tokelau',
      3605: 'Tonga',
      3607: 'Trinidad and Tobago',
      3623: 'Tunisia',
      3648: 'Turkey',
      3730: 'Turkmenistan',
      3736: 'Turks and Caicos Islands',
      3751: 'Tuvalu',
      3761: 'Uganda',
      3818: 'Ukraine',
      3821: 'United Arab Emirates',
      3827: 'United Kingdom',
      3935: 'United States',
      4001: 'United States Minor Outlying Islands',
      4011: 'Uruguay',
      4031: 'Uzbekistan',
      4044: 'Vanuatu',
      4051: 'Vatican City State (Holy See)',
      4052: 'Venezuela',
      4078: 'Viet Nam',
      4111: 'Virgin Islands (British)',
      4112: 'Virgin Islands (U.S.)',
      4116: 'Wallis and Futuna Islands',
      4120: 'Western Sahara',
      4121: 'Yemen',
      4137: 'Democratic Republic of Congo',
      4149: 'Zambia',
      4159: 'Zimbabwe',
      4170: 'Montenegro',
      4192: 'Serbia',
      4218: 'Aaland Islands',
      4219: 'Bonaire, Sint Eustatius and Saba',
      4223: 'Curacao',
      4224: 'Palestinian Territory, Occupied',
      4225: 'South Sudan',
      4236: 'St. Barthelemy',
      4237: 'St. Martin (French part)',
      4238: 'Canary Islands',
      4239: 'Ascension Island (British)',
      4240: 'Kosovo, Republic of',
      4241: 'Isle of Man',
      4242: 'Tristan da Cunha',
      4243: 'Guernsey',
      4244: 'Jersey'
    },
    1: {
      2: 'Badakhshan',
      3: 'Badghis',
      4: 'Baghlan',
      5: 'Balkh',
      6: 'Bamian',
      7: 'Farah',
      8: 'Faryab',
      9: 'Ghazni',
      10: 'Ghowr',
      11: 'Helmand',
      12: 'Herat',
      13: 'Jowzjan',
      14: 'Kabul',
      15: 'Kandahar',
      16: 'Kapisa',
      17: 'Khost',
      18: 'Konar',
      19: 'Kondoz',
      20: 'Laghman',
      21: 'Lowgar',
      22: 'Nangrahar',
      23: 'Nimruz',
      24: 'Nurestan',
      25: 'Oruzgan',
      26: 'Paktia',
      27: 'Paktika',
      28: 'Parwan',
      29: 'Samangan',
      30: 'Sar-e Pol',
      31: 'Takhar',
      32: 'Wardak',
      33: 'Zabol'
    },
    34: {
      35: 'Berat',
      36: 'Bulqize',
      37: 'Delvine',
      38: 'Devoll',
      39: 'Diber',
      40: 'Durres',
      41: 'Elbasan',
      42: 'Kolonje',
      43: 'Fier',
      44: 'Gjirokaster',
      45: 'Gramsh',
      46: 'Has',
      47: 'Kavaje',
      48: 'Kurbin',
      49: 'Kucove',
      50: 'Korce',
      51: 'Kruje',
      52: 'Kukes',
      53: 'Librazhd',
      54: 'Lezhe',
      55: 'Lushnje',
      56: 'Malesi e Madhe',
      57: 'Mallakaster',
      58: 'Mat',
      59: 'Mirdite',
      60: 'Peqin',
      61: 'Permet',
      62: 'Pogradec',
      63: 'Puke',
      64: 'Shkoder',
      65: 'Skrapar',
      66: 'Sarande',
      67: 'Tepelene',
      68: 'Tropoje',
      69: 'Tirane',
      70: 'Vlore'
    },
    71: {
      72: 'Adrar',
      73: 'Ain Defla',
      74: 'Ain Temouchent',
      75: 'Alger',
      76: 'Annaba',
      77: 'Batna',
      78: 'Bechar',
      79: 'Bejaia',
      80: 'Biskra',
      81: 'Blida',
      82: 'Bordj Bou Arreridj',
      83: 'Bouira',
      84: 'Boumerdes',
      85: 'Chlef',
      86: 'Constantine',
      87: 'Djelfa',
      88: 'El Bayadh',
      89: 'El Oued',
      90: 'El Tarf',
      91: 'Ghardaia',
      92: 'Guelma',
      93: 'Illizi',
      94: 'Jijel',
      95: 'Khenchela',
      96: 'Laghouat',
      97: 'Muaskar',
      98: 'Medea',
      99: 'Mila',
      100: 'Mostaganem',
      101: 'Naama',
      102: 'Oran',
      103: 'Ouargla',
      104: 'Oum el-Bouaghi',
      105: 'Relizane',
      106: 'Saida',
      107: 'Setif',
      108: 'Sidi Bel Abbes',
      109: 'Skikda',
      110: 'Souk Ahras',
      111: 'Tamanghasset',
      112: 'Tebessa',
      113: 'Tiaret',
      114: 'Tindouf',
      115: 'Tipaza',
      116: 'Tissemsilt',
      117: 'Tizi Ouzou',
      118: 'Tlemcen'
    },
    119: {
      120: 'Eastern',
      121: 'Rose Island',
      122: 'Swains Island',
      123: 'Western'
    },
    124: {
      125: 'Andorra la Vella',
      126: 'Canillo',
      127: 'Encamp',
      128: 'Escaldes-Engordany',
      129: 'La Massana',
      130: 'Ordino',
      131: 'Sant Julia de Loria'
    },
    132: {
      133: 'Bengo',
      134: 'Benguela',
      135: 'Bie',
      136: 'Cabinda',
      137: 'Cuando-Cubango',
      138: 'Cuanza Norte',
      139: 'Cuanza Sul',
      140: 'Cunene',
      141: 'Huambo',
      142: 'Huila',
      143: 'Luanda',
      144: 'Lunda Norte',
      145: 'Lunda Sul',
      146: 'Malange',
      147: 'Moxico',
      148: 'Namibe',
      149: 'Uige',
      150: 'Zaire'
    },
    153: {
      154: 'Saint George',
      155: 'Saint John',
      156: 'Saint Mary',
      157: 'Saint Paul',
      158: 'Saint Peter',
      159: 'Saint Philip',
      160: 'Barbuda',
      161: 'Redonda'
    },
    162: {
      163: 'Antartida e Islas del Atlantico',
      164: 'Buenos Aires',
      165: 'Catamarca',
      166: 'Chaco',
      167: 'Chubut',
      168: 'Cordoba',
      169: 'Corrientes',
      170: 'Distrito Federal',
      171: 'Entre Rios',
      172: 'Formosa',
      173: 'Jujuy',
      174: 'La Pampa',
      175: 'La Rioja',
      176: 'Mendoza',
      177: 'Misiones',
      178: 'Neuquen',
      179: 'Rio Negro',
      180: 'Salta',
      181: 'San Juan',
      182: 'San Luis',
      183: 'Santa Cruz',
      184: 'Santa Fe',
      185: 'Santiago del Estero',
      186: 'Tierra del Fuego',
      187: 'Tucuman'
    },
    188: {
      189: 'Aragatsotn',
      190: 'Ararat',
      191: 'Armavir',
      192: 'Lorri',
      193: 'Shirak',
      194: 'Tavush',
      195: 'Yerevan'
    },
    197: {
      198: 'Australian Capital Territory',
      199: 'New South Wales',
      200: 'Northern Territory',
      201: 'Queensland',
      202: 'South Australia',
      203: 'Tasmania',
      204: 'Victoria',
      205: 'Western Australia'
    },
    206: {
      207: 'Burgenland',
      208: 'Kärnten',
      209: 'Niederösterreich',
      210: 'Oberösterreich',
      211: 'Salzburg',
      212: 'Steiermark',
      213: 'Tirol',
      214: 'Vorarlberg',
      215: 'Wien'
    },
    216: {
      217: 'Ali Bayramli',
      218: 'Abseron',
      219: 'AgcabAdi',
      220: 'Agdam',
      221: 'Agdas',
      222: 'Agstafa',
      223: 'Agsu',
      224: 'Astara',
      225: 'Baki',
      226: 'BabAk',
      227: 'BalakAn',
      228: 'BArdA',
      229: 'Beylaqan',
      230: 'Bilasuvar',
      231: 'Cabrayil',
      232: 'Calilabab',
      233: 'Culfa',
      234: 'Daskasan',
      235: 'Davaci',
      236: 'Fuzuli',
      237: 'Ganca',
      238: 'Gadabay',
      239: 'Goranboy',
      240: 'Goycay',
      241: 'Haciqabul',
      242: 'Imisli',
      243: 'Ismayilli',
      244: 'Kalbacar',
      245: 'Kurdamir',
      246: 'Lankaran',
      247: 'Lacin',
      248: 'Lankaran',
      249: 'Lerik',
      250: 'Masalli',
      251: 'Mingacevir',
      252: 'Naftalan',
      253: 'Neftcala',
      254: 'Oguz',
      255: 'Ordubad',
      256: 'Qabala',
      257: 'Qax',
      258: 'Qazax',
      259: 'Qobustan',
      260: 'Quba',
      261: 'Qubadli',
      262: 'Qusar',
      263: 'Saki',
      264: 'Saatli',
      265: 'Sabirabad',
      266: 'Sadarak',
      267: 'Sahbuz',
      268: 'Saki',
      269: 'Salyan',
      270: 'Sumqayit',
      271: 'Samaxi',
      272: 'Samkir',
      273: 'Samux',
      274: 'Sarur',
      275: 'Siyazan',
      276: 'Susa',
      277: 'Susa',
      278: 'Tartar',
      279: 'Tovuz',
      280: 'Ucar',
      281: 'Xankandi',
      282: 'Xacmaz',
      283: 'Xanlar',
      284: 'Xizi',
      285: 'Xocali',
      286: 'Xocavand',
      287: 'Yardimli',
      288: 'Yevlax',
      289: 'Zangilan',
      290: 'Zaqatala',
      291: 'Zardab',
      292: 'Naxcivan'
    },
    293: {
      294: 'Acklins',
      295: 'Berry Islands',
      296: 'Bimini',
      297: 'Black Point',
      298: 'Cat Island',
      299: 'Central Abaco',
      300: 'Central Andros',
      301: 'Central Eleuthera',
      302: 'City of Freeport',
      303: 'Crooked Island',
      304: 'East Grand Bahama',
      305: 'Exuma',
      306: 'Grand Cay',
      307: 'Harbour Island',
      308: 'Hope Town',
      309: 'Inagua',
      310: 'Long Island',
      311: 'Mangrove Cay',
      312: 'Mayaguana',
      313: 'North Abaco',
      314: 'North Andros',
      315: 'North Eleuthera',
      316: 'Ragged Island',
      317: 'Rum Cay',
      318: 'San Salvador',
      319: 'South Abaco',
      320: 'South Andros',
      321: 'South Eleuthera',
      322: 'Spanish Wells',
      323: 'West Grand Bahama'
    },
    324: {
      325: 'Capital',
      326: 'Central',
      327: 'Muharraq',
      328: 'Northern',
      329: 'Southern'
    },
    330: {
      331: 'Barisal',
      332: 'Chittagong',
      333: 'Dhaka',
      334: 'Khulna',
      335: 'Rajshahi',
      336: 'Sylhet'
    },
    337: {
      338: 'Christ Church',
      339: 'Saint Andrew',
      340: 'Saint George',
      341: 'Saint James',
      342: 'Saint John',
      343: 'Saint Joseph',
      344: 'Saint Lucy',
      345: 'Saint Michael',
      346: 'Saint Peter',
      347: 'Saint Philip',
      348: 'Saint Thomas'
    },
    349: {
      350: 'Brestskaya (Brest)',
      351: 'Horad Minsk',
      352: 'Hrodzyenskaya (Hrodna)',
      353: 'Mahilyowskaya (Mahilyow)',
      354: 'Minskaya',
      355: 'Vitsyebskaya (Vitsyebsk)'
    },
    356: {
      357: 'Antwerpen',
      358: 'Brabant Wallon',
      359: 'Hainaut',
      360: 'Liège',
      361: 'Limburg',
      362: 'Luxembourg',
      363: 'Namur',
      364: 'Oost-Vlaanderen',
      365: 'Vlaams Brabant',
      366: 'West-Vlaanderen',
      367: 'Brussels-Capital Region'
    },
    368: {
      369: 'Belize',
      370: 'Cayo',
      371: 'Corozal',
      372: 'Orange Walk',
      373: 'Stann Creek',
      374: 'Toledo'
    },
    375: {
      376: 'Alibori',
      377: 'Atakora',
      378: 'Atlantique',
      379: 'Borgou',
      380: 'Collines',
      381: 'Donga',
      382: 'Kouffo',
      383: 'Littoral',
      384: 'Mono',
      385: 'Oueme',
      386: 'Plateau',
      387: 'Zou'
    },
    388: {
      389: 'Devonshire',
      390: 'Hamilton City',
      391: 'Hamilton',
      392: 'Paget',
      393: 'Pembroke',
      394: 'Saint George City',
      395: 'Sandys',
      396: 'Southampton',
      397: 'Warwick'
    },
    398: {
      399: 'Bumthang',
      400: 'Chukha',
      401: 'Dagana',
      402: 'Gasa',
      403: 'Haa',
      404: 'Lhuntse',
      405: 'Mongar',
      406: 'Paro',
      407: 'Pemagatshel',
      408: 'Punakha',
      409: 'Samdrup Jongkhar',
      410: 'Samtse',
      411: 'Sarpang',
      412: 'Thimphu',
      413: 'Trashigang',
      414: 'Trashiyangste',
      415: 'Trongsa',
      416: 'Tsirang',
      417: 'Wangdue Phodrang',
      418: 'Zhemgang'
    },
    419: {
      420: 'Beni',
      421: 'Chuquisaca',
      422: 'Cochabamba',
      423: 'La Paz',
      424: 'Oruro',
      425: 'Pando',
      426: 'Potosi',
      427: 'Santa Cruz',
      428: 'Tarija'
    },
    429: {
      430: 'Brcko district',
      431: 'Unsko-Sanski Kanton',
      432: 'Posavski Kanton',
      433: 'Tuzlanski Kanton',
      434: 'Zenicko-Dobojski Kanton',
      435: 'Bosanskopodrinjski Kanton',
      436: 'Srednjebosanski Kanton',
      437: 'Hercegovacko-neretvanski Kanton',
      438: 'Zapadnohercegovacka Zupanija',
      439: 'Kanton Sarajevo',
      440: 'Zapadnobosanska',
      441: 'Banja Luka',
      442: 'Doboj',
      443: 'Bijeljina',
      444: 'Vlasenica',
      445: 'Sarajevo-Romanija or Sokolac',
      446: 'Foca',
      447: 'Trebinje'
    },
    448: {
      449: 'Central',
      450: 'Ghanzi',
      451: 'Kgalagadi',
      452: 'Kgatleng',
      453: 'Kweneng',
      454: 'Ngamiland',
      455: 'North East',
      456: 'North West',
      457: 'South East',
      458: 'Southern'
    },
    460: {
      461: 'Acre',
      462: 'Alagoas',
      463: 'Amapá',
      464: 'Amazonas',
      465: 'Bahia',
      466: 'Ceará',
      467: 'Distrito Federal',
      468: 'Espírito Santo',
      469: 'Goiás',
      470: 'Maranhão',
      471: 'Mato Grosso',
      472: 'Mato Grosso do Sul',
      473: 'Minas Gerais',
      474: 'Pará',
      475: 'Paraíba',
      476: 'Paraná',
      477: 'Pernambuco',
      478: 'Piauí',
      479: 'Rio de Janeiro',
      480: 'Rio Grande do Norte',
      481: 'Rio Grande do Sul',
      482: 'Rondônia',
      483: 'Roraima',
      484: 'Santa Catarina',
      485: 'São Paulo',
      486: 'Sergipe',
      487: 'Tocantins'
    },
    488: {
      489: 'Peros Banhos',
      490: 'Salomon Islands',

      491: 'Nelsons Island',
      492: 'Three Brothers',
      493: 'Eagle Islands',
      494: 'Danger Island',
      495: 'Egmont Islands',
      496: 'Diego Garcia'
    },
    497: {
      498: 'Belait',
      499: 'Brunei and Muara',
      500: 'Temburong',
      501: 'Tutong'
    },
    502: {
      503: 'Blagoevgrad',
      504: 'Burgas',
      505: 'Dobrich',
      506: 'Gabrovo',
      507: 'Haskovo',
      508: 'Kardjali',
      509: 'Kyustendil',
      510: 'Lovech',
      511: 'Montana',
      512: 'Pazardjik',
      513: 'Pernik',
      514: 'Pleven',
      515: 'Plovdiv',
      516: 'Razgrad',
      517: 'Shumen',
      518: 'Silistra',
      519: 'Sliven',
      520: 'Smolyan',
      521: 'Sofia',
      522: 'Sofia - town',
      523: 'Stara Zagora',
      524: 'Targovishte',
      525: 'Varna',
      526: 'Veliko Tarnovo',
      527: 'Vidin',
      528: 'Vratza',
      529: 'Yambol',
      530: 'Ruse'
    },
    531: {
      532: 'Bale',
      533: 'Bam',
      534: 'Banwa',
      535: 'Bazega',
      536: 'Bougouriba',
      537: 'Boulgou',
      538: 'Boulkiemde',
      539: 'Comoe',
      540: 'Ganzourgou',
      541: 'Gnagna',
      542: 'Gourma',
      543: 'Houet',
      544: 'Ioba',
      545: 'Kadiogo',
      546: 'Kenedougou',
      547: 'Komondjari',
      548: 'Kompienga',
      549: 'Kossi',
      550: 'Koulpelogo',
      551: 'Kouritenga',
      552: 'Kourweogo',
      553: 'Leraba',
      554: 'Loroum',
      555: 'Mouhoun',
      556: 'Nahouri',
      557: 'Namentenga',
      558: 'Nayala',
      559: 'Noumbiel',
      560: 'Oubritenga',
      561: 'Oudalan',
      562: 'Passore',
      563: 'Poni',
      564: 'Sanguie',
      565: 'Sanmatenga',
      566: 'Seno',
      567: 'Sissili',
      568: 'Soum',
      569: 'Sourou',
      570: 'Tapoa',
      571: 'Tuy',
      572: 'Yagha',
      573: 'Yatenga',
      574: 'Ziro',
      575: 'Zondoma',
      576: 'Zoundweogo'
    },
    577: {
      578: 'Bubanza',
      579: 'Bujumbura',
      580: 'Bururi',
      581: 'Cankuzo',
      582: 'Cibitoke',
      583: 'Gitega',
      584: 'Karuzi',
      585: 'Kayanza',
      586: 'Kirundo',
      587: 'Makamba',
      588: 'Muramvya',
      589: 'Muyinga',
      590: 'Mwaro',
      591: 'Ngozi',
      592: 'Rutana',
      593: 'Ruyigi'
    },
    594: {
      595: 'Phnom Penh',
      596: 'Preah Seihanu (Kompong Som or Sihanoukville)',
      597: 'Pailin',
      598: 'Keb',
      599: 'Banteay Meanchey',
      600: 'Battambang',
      601: 'Kampong Cham',
      602: 'Kampong Chhnang',
      603: 'Kampong Speu',
      604: 'Kampong Som',
      605: 'Kampong Thom',
      606: 'Kampot',
      607: 'Kandal',
      608: 'Kaoh Kong',
      609: 'Kratie',
      610: 'Mondul Kiri',
      611: 'Oddar Meancheay',
      612: 'Pursat',
      613: 'Preah Vihear',
      614: 'Prey Veng',
      615: 'Ratanak Kiri',
      616: 'Siemreap',
      617: 'Stung Treng',
      618: 'Svay Rieng',
      619: 'Takeo'
    },
    620: {
      621: 'Adamawa (Adamaoua)',
      622: 'Centre',
      623: 'East (Est)',
      624: 'Extreme North (Extreme-Nord)',
      625: 'Littoral',
      626: 'North (Nord)',
      627: 'Northwest (Nord-Ouest)',
      628: 'West (Ouest)',
      629: 'South (Sud)',
      630: 'Southwest (Sud-Ouest).'
    },
    631: {
      632: 'Alberta',
      633: 'British Columbia',
      634: 'Manitoba',
      635: 'New Brunswick',
      636: 'Newfoundland and Labrador',
      637: 'Northwest Territories',
      638: 'Nova Scotia',
      639: 'Nunavut',
      640: 'Ontario',
      641: 'Prince Edward Island',
      642: 'Qu&eacute;bec',
      643: 'Saskatchewan',
      644: 'Yukon Territory'
    },
    645: {
      646: 'Boa Vista',
      647: 'Brava',
      648: 'Calheta de Sao Miguel',
      649: 'Maio',
      650: 'Mosteiros',
      651: 'Paul',
      652: 'Porto Novo',
      653: 'Praia',
      654: 'Ribeira Grande',
      655: 'Sal',
      656: 'Santa Catarina',
      657: 'Santa Cruz',
      658: 'Sao Domingos',
      659: 'Sao Filipe',
      660: 'Sao Nicolau',
      661: 'Sao Vicente',
      662: 'Tarrafal'
    },
    663: {
      664: 'Creek',
      665: 'Eastern',
      666: 'Midland',
      667: 'South Town',
      668: 'Spot Bay',
      669: 'Stake Bay',
      670: 'West End',
      671: 'Western'
    },
    672: {
      673: 'Bamingui-Bangoran',
      674: 'Basse-Kotto',
      675: 'Haute-Kotto',
      676: 'Haut-Mbomou',
      677: 'Kemo',
      678: 'Lobaye',
      679: 'Mambere-KadeÔ',
      680: 'Mbomou',
      681: 'Nana-Mambere',
      682: 'Ouaka',
      683: 'Ouham',
      684: 'Ouham-Pende',
      685: 'Vakaga',
      686: 'Nana-Grebizi',
      687: 'Sangha-Mbaere',
      688: 'Bangui'
    },
    689: {
      690: 'Batha',
      691: 'Biltine',
      692: 'Borkou-Ennedi-Tibesti',
      693: 'Chari-Baguirmi',
      694: 'Guera',
      695: 'Kanem',
      696: 'Lac',
      697: 'Logone Occidental',
      698: 'Logone Oriental',
      699: 'Mayo-Kebbi',
      700: 'Moyen-Chari',
      701: 'Ouaddai',
      702: 'Salamat',
      703: 'Tandjile'
    },
    704: {
      705: 'Aisen del General Carlos Ibanez',
      706: 'Antofagasta',
      707: 'Araucania',
      708: 'Atacama',
      709: 'Bio-Bio',
      710: 'Coquimbo',
      711: 'Los Lagos',
      712: 'Magallanes y de la Antartica Chilena',
      713: 'Maule',
      714: 'Region Metropolitana',
      715: 'Tarapaca',
      716: 'Valparaiso',
      717: 'Arica y Parinacota',
      718: 'Los Rios'
    },
    719: {
      720: 'Anhui',
      721: 'Beijing',
      722: 'Chongqing',
      723: 'Fujian',
      724: 'Gansu',
      725: 'Guangdong',
      726: 'Guangxi',
      727: 'Guizhou',
      728: 'Hainan',
      729: 'Hebei',
      730: 'Heilongjiang',
      731: 'Henan',
      732: 'Hong Kong',
      733: 'Hubei',
      734: 'Hunan',
      735: 'Inner Mongolia',
      736: 'Jiangsu',
      737: 'Jiangxi',
      738: 'Jilin',
      739: 'Liaoning',
      740: 'Macau',
      741: 'Ningxia',
      742: 'Shaanxi',
      743: 'Shandong',
      744: 'Shanghai',
      745: 'Shanxi',
      746: 'Sichuan',
      747: 'Tianjin',
      748: 'Xinjiang',
      749: 'Yunnan',
      750: 'Zhejiang',
      751: 'Qinghai',
      752: 'Taiwan',
      753: 'Xizang'
    },
    755: {
      756: 'Direction Island',
      757: 'Home Island',
      758: 'Horsburgh Island',
      759: 'South Island',
      760: 'West Island'
    },
    761: {
      762: 'Amazonas',
      763: 'Antioquia',
      764: 'Arauca',
      765: 'Atlantico',
      766: 'Bogota D.C.',
      767: 'Bolivar',
      768: 'Boyaca',
      769: 'Caldas',
      770: 'Caqueta',
      771: 'Casanare',
      772: 'Cauca',
      773: 'Cesar',
      774: 'Choco',
      775: 'Cordoba',
      776: 'Cundinamarca',
      777: 'Guainia',
      778: 'Guajira',
      779: 'Guaviare',
      780: 'Huila',
      781: 'Magdalena',
      782: 'Meta',
      783: 'Narino',
      784: 'Norte de Santander',
      785: 'Putumayo',
      786: 'Quindio',
      787: 'Risaralda',
      788: 'San Andres y Providencia',
      789: 'Santander',
      790: 'Sucre',
      791: 'Tolima',
      792: 'Valle del Cauca',
      793: 'Vaupes',
      794: 'Vichada'
    },
    795: {
      796: 'Grande Comore',
      797: 'Anjouan',
      798: 'Moheli'
    },
    799: {
      800: 'Bouenza',
      801: 'Brazzaville',
      802: 'Cuvette',
      803: 'Cuvette-Ouest',
      804: 'Kouilou',
      805: 'Lekoumou',
      806: 'Likouala',
      807: 'Niari',
      808: 'Plateaux',
      809: 'Pool',
      810: 'Sangha'
    },
    811: {
      812: 'Pukapuka',
      813: 'Rakahanga',
      814: 'Manihiki',
      815: 'Penrhyn',
      816: 'Nassau Island',
      817: 'Surwarrow',
      818: 'Palmerston',
      819: 'Aitutaki',
      820: 'Manuae',
      821: 'Takutea',
      822: 'Mitiaro',
      823: 'Atiu',
      824: 'Mauke',
      825: 'Rarotonga',
      826: 'Mangaia'
    },
    827: {
      828: 'Alajuela',
      829: 'Cartago',
      830: 'Guanacaste',
      831: 'Heredia',
      832: 'Limon',
      833: 'Puntarenas',
      834: 'San Jose'
    },
    893: {
      894: 'Bjelovarsko-bilogorska',
      895: 'Grad Zagreb',
      896: 'Dubrovačko-neretvanska',
      897: 'Istarska',
      898: 'Karlovačka',
      899: 'Koprivničko-križevačka',
      900: 'Krapinsko-zagorska',
      901: 'Ličko-senjska',
      902: 'Međimurska',
      903: 'Osječko-baranjska',
      904: 'Požeško-slavonska',
      905: 'Primorsko-goranska',
      906: 'Šibensko-kninska',
      907: 'Sisačko-moslavačka',
      908: 'Brodsko-posavska',
      909: 'Splitsko-dalmatinska',
      910: 'Varaždinska',
      911: 'Virovitičko-podravska',
      912: 'Vukovarsko-srijemska',
      913: 'Zadarska',
      914: 'Zagrebačka'
    },
    915: {
      916: 'Camaguey',
      917: 'Ciego de Avila',
      918: 'Cienfuegos',
      919: 'Ciudad de La Habana',
      920: 'Granma',
      921: 'Guantanamo',
      922: 'Holguin',
      923: 'Isla de la Juventud',
      924: 'La Habana',
      925: 'Las Tunas',
      926: 'Matanzas',
      927: 'Pinar del Rio',
      928: 'Sancti Spiritus',
      929: 'Santiago de Cuba',
      930: 'Villa Clara'
    },
    931: {
      932: 'Famagusta',
      933: 'Kyrenia',
      934: 'Larnaca',
      935: 'Limassol',
      936: 'Nicosia',
      937: 'Paphos'
    },
    938: {
      939: 'Ústecký',
      940: 'Jihočeský',
      941: 'Jihomoravský',
      942: 'Karlovarský',
      943: 'Královehradecký',
      944: 'Liberecký',
      945: 'Moravskoslezský',
      946: 'Olomoucký',
      947: 'Pardubický',
      948: 'Plzeňský',
      949: 'Praha',
      950: 'Středočeský',
      951: 'Vysočina',
      952: 'Zlínský'
    },
    953: {
      954: 'Arhus',
      955: 'Bornholm',
      956: 'Copenhagen',
      957: 'Faroe Islands',
      958: 'Frederiksborg',
      959: 'Fyn',
      960: 'Kobenhavn',
      961: 'Nordjylland',
      962: 'Ribe',
      963: 'Ringkobing',
      964: 'Roskilde',
      965: 'Sonderjylland',
      966: 'Storstrom',
      967: 'Vejle',
      968: 'Vestj&aelig;lland',
      969: 'Viborg'
    },
    970: {
      971: 'Dikhil',
      972: 'Djibouti',
      973: 'Obock',
      974: 'Tadjoura'
    },
    975: {
      976: 'Saint Andrew Parish',
      977: 'Saint David Parish',
      978: 'Saint George Parish',
      979: 'Saint John Parish',
      980: 'Saint Joseph Parish',
      981: 'Saint Luke Parish',
      982: 'Saint Mark Parish',
      983: 'Saint Patrick Parish',
      984: 'Saint Paul Parish',
      985: 'Saint Peter Parish'
    },
    986: {
      987: 'Distrito Nacional',
      988: 'Azua',
      989: 'Baoruco',
      990: 'Barahona',
      991: 'Dajabon',
      992: 'Duarte',
      993: 'Elias Pina',
      994: 'El Seybo',
      995: 'Espaillat',
      996: 'Hato Mayor',
      997: 'Independencia',
      998: 'La Altagracia',
      999: 'La Romana',
      1000: 'La Vega',
      1001: 'Maria Trinidad Sanchez',
      1002: 'Monsenor Nouel',
      1003: 'Monte Cristi',
      1004: 'Monte Plata',
      1005: 'Pedernales',
      1006: 'Peravia (Bani)',
      1007: 'Puerto Plata',
      1008: 'Salcedo',
      1009: 'Samana',
      1010: 'Sanchez Ramirez',
      1011: 'San Cristobal',
      1012: 'San Jose de Ocoa',
      1013: 'San Juan',
      1014: 'San Pedro de Macoris',
      1015: 'Santiago',
      1016: 'Santiago Rodriguez',
      1017: 'Santo Domingo',
      1018: 'Valverde'
    },
    1019: {
      1020: 'Aileu',
      1021: 'Ainaro',
      1022: 'Baucau',
      1023: 'Bobonaro',
      1024: 'Cova Lima',
      1025: 'Dili',
      1026: 'Ermera',
      1027: 'Lautem',
      1028: 'Liquica',
      1029: 'Manatuto',
      1030: 'Manufahi',
      1031: 'Oecussi',
      1032: 'Viqueque'
    },
    1033: {
      1034: 'Azuay',
      1035: 'Bolivar',
      1036: 'Ca&ntilde;ar',
      1037: 'Carchi',
      1038: 'Chimborazo',
      1039: 'Cotopaxi',
      1040: 'El Oro',
      1041: 'Esmeraldas',
      1042: 'Gal&aacute;pagos',
      1043: 'Guayas',
      1044: 'Imbabura',
      1045: 'Loja',
      1046: 'Los Rios',
      1047: 'Manab&iacute;',
      1048: 'Morona Santiago',
      1049: 'Napo',
      1050: 'Orellana',
      1051: 'Pastaza',
      1052: 'Pichincha',
      1053: 'Sucumb&iacute;os',
      1054: 'Tungurahua',
      1055: 'Zamora Chinchipe'
    },
    1056: {
      1057: 'Ad Daqahliyah',
      1058: 'Al Bahr al Ahmar',
      1059: 'Al Buhayrah',
      1060: 'Al Fayyum',
      1061: 'Al Gharbiyah',
      1062: 'Al Iskandariyah',
      1063: 'Al Jizah',
      1064: 'Al Minufiyah',
      1065: 'Al Minya',
      1066: 'Al Qahirah',
      1067: 'Al Qalyubiyah',
      1068: 'Al Wadi al Jadid',
      1069: 'Ash Sharqiyah',
      1070: 'As Suways',
      1071: 'Aswan',
      1072: 'Asyut',
      1073: 'Bani Suwayf',
      1074: 'Dumyat',
      1075: 'Kafr ash Shaykh',
      1076: 'Matruh',
      1077: 'Qina',
      1078: 'Suhaj'
    },
    1079: {
      1080: 'Ahuachapan',
      1081: 'Cabanas',
      1082: 'Chalatenango',
      1083: 'Cuscatlan',
      1084: 'La Libertad',
      1085: 'La Paz',
      1086: 'La Union',
      1087: 'Morazan',
      1088: 'San Miguel',
      1089: 'San Salvador',
      1090: 'San Vicente',
      1091: 'Santa Ana',
      1092: 'Sonsonate',
      1093: 'Usulutan'
    },
    1094: {
      1095: 'Provincia Annobon',
      1096: 'Provincia Bioko Norte',
      1097: 'Provincia Bioko Sur',
      1098: 'Provincia Centro Sur',
      1099: 'Provincia Kie-Ntem',
      1100: 'Provincia Litoral',
      1101: 'Provincia Wele-Nzas'
    },
    1102: {
      1103: 'Central (Maekel)',
      1104: 'Anseba (Keren)',
      1105: 'Southern Red Sea (Debub-Keih-Bahri)',
      1106: 'Northern Red Sea (Semien-Keih-Bahri)',
      1107: 'Southern (Debub)',
      1108: 'Gash-Barka (Barentu)'
    },
    1109: {
      1110: 'Harjumaa (Tallinn)',
      1111: 'Hiiumaa (Kardla)',
      1112: 'Ida-Virumaa (Johvi)',
      1113: 'Jarvamaa (Paide)',
      1114: 'Jogevamaa (Jogeva)',
      1115: 'Laane-Virumaa (Rakvere)',
      1116: 'Laanemaa (Haapsalu)',
      1117: 'Parnumaa (Parnu)',
      1118: 'Polvamaa (Polva)',
      1119: 'Raplamaa (Rapla)',
      1120: 'Saaremaa (Kuessaare)',
      1121: 'Tartumaa (Tartu)',
      1122: 'Valgamaa (Valga)',
      1123: 'Viljandimaa (Viljandi)',
      1124: 'Vorumaa (Voru)'
    },
    1125: {
      1126: 'Afar',
      1127: 'Amhara',
      1128: 'Benishangul-Gumaz',
      1129: 'Gambela',
      1130: 'Hariai',
      1131: 'Oromia',
      1132: 'Somali',
      1133: 'Southern Nations - Nationalities and Peoples Region',
      1134: 'Tigray',
      1135: 'Addis Ababa',
      1136: 'Dire Dawa'
    },
    1139: {
      1140: 'Central Division',
      1141: 'Northern Division',
      1142: 'Eastern Division',
      1143: 'Western Division',
      1144: 'Rotuma'
    },
    1145: {
      1146: 'Ahvenanmaan lääni',
      1147: 'Etelä-Suomen lääni',
      1148: 'Itä-Suomen lääni',
      1149: 'Länsi-Suomen lääni',
      1150: 'Lapin lääni',
      1151: 'Oulun lääni'
    },
    1152: {
      1153: 'Ain',
      1154: 'Aisne',
      1155: 'Allier',
      1156: 'Alpes de Haute Provence',
      1157: 'Hautes-Alpes',
      1158: 'Alpes Maritimes',
      1159: 'Ard&egrave;che',
      1160: 'Ardennes',
      1161: 'Ari&egrave;ge',
      1162: 'Aube',
      1163: 'Aude',
      1164: 'Aveyron',
      1165: 'Bouches du Rh&ocirc;ne',
      1166: 'Calvados',
      1167: 'Cantal',
      1168: 'Charente',
      1169: 'Charente Maritime',
      1170: 'Cher',
      1171: 'Corr&egrave;ze',
      1172: 'Corse du Sud',
      1173: 'Haute Corse',
      1174: 'C&ocirc;te d&#039;or',
      1175: 'C&ocirc;tes d&#039;Armor',
      1176: 'Creuse',
      1177: 'Dordogne',
      1178: 'Doubs',
      1179: 'Dr&ocirc;me',
      1180: 'Eure',
      1181: 'Eure et Loir',
      1182: 'Finist&egrave;re',
      1183: 'Gard',
      1184: 'Haute Garonne',
      1185: 'Gers',
      1186: 'Gironde',
      1187: 'H&eacute;rault',
      1188: 'Ille et Vilaine',
      1189: 'Indre',
      1190: 'Indre et Loire',
      1191: 'Is&eacute;re',
      1192: 'Jura',
      1193: 'Landes',
      1194: 'Loir et Cher',
      1195: 'Loire',
      1196: 'Haute Loire',
      1197: 'Loire Atlantique',
      1198: 'Loiret',
      1199: 'Lot',
      1200: 'Lot et Garonne',
      1201: 'Loz&egrave;re',
      1202: 'Maine et Loire',
      1203: 'Manche',
      1204: 'Marne',
      1205: 'Haute Marne',
      1206: 'Mayenne',
      1207: 'Meurthe et Moselle',
      1208: 'Meuse',
      1209: 'Morbihan',
      1210: 'Moselle',
      1211: 'Ni&egrave;vre',
      1212: 'Nord',
      1213: 'Oise',
      1214: 'Orne',
      1215: 'Pas de Calais',
      1216: 'Puy de D&ocirc;me',
      1217: 'Pyr&eacute;n&eacute;es Atlantiques',
      1218: 'Hautes Pyr&eacute;n&eacute;es',
      1219: 'Pyr&eacute;n&eacute;es Orientales',
      1220: 'Bas Rhin',
      1221: 'Haut Rhin',
      1222: 'Rh&ocirc;ne',
      1223: 'Haute Sa&ocirc;ne',
      1224: 'Sa&ocirc;ne et Loire',
      1225: 'Sarthe',
      1226: 'Savoie',
      1227: 'Haute Savoie',
      1228: 'Paris',
      1229: 'Seine Maritime',
      1230: 'Seine et Marne',
      1231: 'Yvelines',
      1232: 'Deux S&egrave;vres',
      1233: 'Somme',
      1234: 'Tarn',
      1235: 'Tarn et Garonne',
      1236: 'Var',
      1237: 'Vaucluse',
      1238: 'Vend&eacute;e',
      1239: 'Vienne',
      1240: 'Haute Vienne',
      1241: 'Vosges',
      1242: 'Yonne',
      1243: 'Territoire de Belfort',
      1244: 'Essonne',
      1245: 'Hauts de Seine',
      1246: 'Seine St-Denis',
      1247: 'Val de Marne'
    },
    1249: {
      1250: 'Archipel des Marquises',
      1251: 'Archipel des Tuamotu',
      1252: 'Archipel des Tubuai',
      1253: 'Iles du Vent',
      1254: 'Iles Sous-le-Vent'
    },
    1255: {
      1256: 'Iles Crozet',
      1257: 'Iles Kerguelen',
      1258: 'Ile Amsterdam',
      1259: 'Ile Saint-Paul',
      1260: 'Adelie Land'
    },
    1261: {
      1262: 'Estuaire',
      1263: 'Haut-Ogooue',
      1264: 'Moyen-Ogooue',
      1265: 'Ngounie',
      1266: 'Nyanga',
      1267: 'Ogooue-Ivindo',
      1268: 'Ogooue-Lolo',
      1269: 'Ogooue-Maritime',
      1270: 'Woleu-Ntem'
    },
    1271: {
      1272: 'Banjul',
      1273: 'Basse',
      1274: 'Brikama',
      1275: 'Janjangbure',
      1276: 'Kanifeng',
      1277: 'Kerewan',
      1278: 'Kuntaur',
      1279: 'Mansakonko',
      1280: 'Lower River',
      1281: 'Central River',
      1282: 'North Bank',
      1283: 'Upper River',
      1284: 'Western'
    },
    1285: {
      1286: 'Abkhazia',
      1287: 'Ajaria',
      1288: 'Tbilisi',
      1289: 'Guria',
      1290: 'Imereti',
      1291: 'Kakheti',
      1292: 'Kvemo Kartli',
      1293: 'Mtskheta-Mtianeti',
      1294: 'Racha Lechkhumi and Kvemo Svanet',
      1295: 'Samegrelo-Zemo Svaneti',
      1296: 'Samtskhe-Javakheti',
      1297: 'Shida Kartli'
    },
    1298: {
      1299: 'Baden-Württemberg',
      1300: 'Bayern',
      1301: 'Berlin',
      1302: 'Brandenburg',
      1303: 'Bremen',
      1304: 'Hamburg',
      1305: 'Hessen',
      1306: 'Mecklenburg-Vorpommern',
      1307: 'Niedersachsen',
      1308: 'Nordrhein-Westfalen',
      1309: 'Rheinland-Pfalz',
      1310: 'Saarland',
      1311: 'Sachsen',
      1312: 'Sachsen-Anhalt',
      1313: 'Schleswig-Holstein',
      1314: 'Thüringen'
    },
    1315: {
      1316: 'Ashanti Region',
      1317: 'Brong-Ahafo Region',
      1318: 'Central Region',
      1319: 'Eastern Region',
      1320: 'Greater Accra Region',
      1321: 'Northern Region',
      1322: 'Upper East Region',
      1323: 'Upper West Region',
      1324: 'Volta Region',
      1325: 'Western Region'
    },
    1327: {
      1328: 'Attica',
      1329: 'Central Greece',
      1330: 'Central Macedonia',
      1331: 'Crete',
      1332: 'East Macedonia and Thrace',
      1333: 'Epirus',
      1334: 'Ionian Islands',
      1335: 'North Aegean',
      1336: 'Peloponnesos',
      1337: 'South Aegean',
      1338: 'Thessaly',
      1339: 'West Greece',
      1340: 'West Macedonia'
    },
    1341: {
      1342: 'Avannaa',
      1343: 'Tunu',
      1344: 'Kitaa'
    },
    1345: {
      1346: 'Saint Andrew',
      1347: 'Saint David',
      1348: 'Saint George',
      1349: 'Saint John',
      1350: 'Saint Mark',
      1351: 'Saint Patrick',
      1352: 'Carriacou',
      1353: 'Petit Martinique'
    },
    1356: {
      1357: 'Alta Verapaz',
      1358: 'Baja Verapaz',
      1359: 'Chimaltenango',
      1360: 'Chiquimula',
      1361: 'El Peten',
      1362: 'El Progreso',
      1363: 'El Quiche',
      1364: 'Escuintla',
      1365: 'Guatemala',
      1366: 'Huehuetenango',
      1367: 'Izabal',
      1368: 'Jalapa',
      1369: 'Jutiapa',
      1370: 'Quetzaltenango',
      1371: 'Retalhuleu',
      1372: 'Sacatepequez',
      1373: 'San Marcos',
      1374: 'Santa Rosa',
      1375: 'Solola',
      1376: 'Suchitepequez',
      1377: 'Totonicapan',
      1378: 'Zacapa'
    },
    1379: {
      1380: 'Conakry',
      1381: 'Beyla',
      1382: 'Boffa',
      1383: 'Boke',
      1384: 'Coyah',
      1385: 'Dabola',
      1386: 'Dalaba',
      1387: 'Dinguiraye',
      1388: 'Dubreka',
      1389: 'Faranah',
      1390: 'Forecariah',
      1391: 'Fria',
      1392: 'Gaoual',
      1393: 'Gueckedou',
      1394: 'Kankan',
      1395: 'Kerouane',
      1396: 'Kindia',
      1397: 'Kissidougou',
      1398: 'Koubia',
      1399: 'Koundara',
      1400: 'Kouroussa',
      1401: 'Labe',
      1402: 'Lelouma',
      1403: 'Lola',
      1404: 'Macenta',
      1405: 'Mali',
      1406: 'Mamou',
      1407: 'Mandiana',
      1408: 'Nzerekore',
      1409: 'Pita',
      1410: 'Siguiri',
      1411: 'Telimele',
      1412: 'Tougue',
      1413: 'Yomou'
    },
    1414: {
      1415: 'Bafata Region',
      1416: 'Biombo Region',
      1417: 'Bissau Region',
      1418: 'Bolama Region',
      1419: 'Cacheu Region',
      1420: 'Gabu Region',
      1421: 'Oio Region',
      1422: 'Quinara Region',
      1423: 'Tombali Region'
    },
    1424: {
      1425: 'Barima-Waini',
      1426: 'Cuyuni-Mazaruni',
      1427: 'Demerara-Mahaica',
      1428: 'East Berbice-Corentyne',
      1429: 'Essequibo Islands-West Demerara',
      1430: 'Mahaica-Berbice',
      1431: 'Pomeroon-Supenaam',
      1432: 'Potaro-Siparuni',
      1433: 'Upper Demerara-Berbice',
      1434: 'Upper Takutu-Upper Essequibo'
    },
    1435: {
      1436: 'Artibonite',
      1437: 'Centre',
      1438: 'Nord',
      1439: 'Nord-Est',
      1440: 'Nord-Ouest',
      1441: 'Ouest',
      1442: 'Sud',
      1443: 'Sud-Est'
    },
    1444: {
      1445: 'Flat Island',
      1446: 'McDonald Island',
      1447: 'Shag Island',
      1448: 'Heard Island'
    },
    1449: {
      1450: 'Atlantida',
      1451: 'Choluteca',
      1452: 'Colon',
      1453: 'Comayagua',
      1454: 'Copan',
      1455: 'Cortes',
      1456: 'El Paraiso',
      1457: 'Francisco Morazan',
      1458: 'Gracias a Dios',
      1459: 'Intibuca',
      1460: 'Islas de la Bahia (Bay Islands)',
      1461: 'La Paz',
      1462: 'Lempira',
      1463: 'Ocotepeque',
      1464: 'Olancho',
      1465: 'Santa Barbara',
      1466: 'Valle',
      1467: 'Yoro'
    },
    1468: {
      1469: 'Central and Western Hong Kong Island',
      1470: 'Eastern Hong Kong Island',
      1471: 'Southern Hong Kong Island',
      1472: 'Wan Chai Hong Kong Island',
      1473: 'Kowloon City Kowloon',
      1474: 'Kwun Tong Kowloon',
      1475: 'Sham Shui Po Kowloon',
      1476: 'Wong Tai Sin Kowloon',
      1477: 'Yau Tsim Mong Kowloon',
      1478: 'Islands New Territories',
      1479: 'Kwai Tsing New Territories',
      1480: 'North New Territories',
      1481: 'Sai Kung New Territories',
      1482: 'Sha Tin New Territories',
      1483: 'Tai Po New Territories',
      1484: 'Tsuen Wan New Territories',
      1485: 'Tuen Mun New Territories',
      1486: 'Yuen Long New Territories'
    },
    1488: {
      1489: 'Austurland',
      1490: 'Hofuoborgarsvaeoi',
      1491: 'Norourland eystra',
      1492: 'Norourland vestra',
      1493: 'Suourland',
      1494: 'Suournes',
      1495: 'Vestfiroir',
      1496: 'Vesturland'
    },
    1497: {
      1498: 'Andaman and Nicobar Islands',
      1499: 'Andhra Pradesh',
      1500: 'Arunachal Pradesh',
      1501: 'Assam',
      1502: 'Bihar',
      1503: 'Chandigarh',
      1504: 'Dadra and Nagar Haveli',
      1505: 'Daman and Diu',
      1506: 'Delhi',
      1507: 'Goa',
      1508: 'Gujarat',
      1509: 'Haryana',
      1510: 'Himachal Pradesh',
      1511: 'Jammu and Kashmir',
      1512: 'Karnataka',
      1513: 'Kerala',
      1514: 'Lakshadweep Islands',
      1515: 'Madhya Pradesh',
      1516: 'Maharashtra',
      1517: 'Manipur',
      1518: 'Meghalaya',
      1519: 'Mizoram',
      1520: 'Nagaland',
      1521: 'Orissa',
      1522: 'Puducherry',
      1523: 'Punjab',
      1524: 'Rajasthan',
      1525: 'Sikkim',
      1526: 'Tamil Nadu',
      1527: 'Tripura',
      1528: 'Uttar Pradesh',
      1529: 'West Bengal',
      1530: 'Telangana'
    },
    1531: {
      1532: 'Aceh',
      1533: 'Bali',
      1534: 'Banten',
      1535: 'Bengkulu',
      1536: 'Kalimantan Utara',
      1537: 'Gorontalo',
      1538: 'Jakarta',
      1539: 'Jambi',
      1540: 'Jawa Barat',
      1541: 'Jawa Tengah',
      1542: 'Jawa Timur',
      1543: 'Kalimantan Barat',
      1544: 'Kalimantan Selatan',
      1545: 'Kalimantan Tengah',
      1546: 'Kalimantan Timur',
      1547: 'Kepulauan Bangka Belitung',
      1548: 'Lampung',
      1549: 'Maluku',
      1550: 'Maluku Utara',
      1551: 'Nusa Tenggara Barat',
      1552: 'Nusa Tenggara Timur',
      1553: 'Papua',
      1554: 'Riau',
      1555: 'Sulawesi Selatan',
      1556: 'Sulawesi Tengah',
      1557: 'Sulawesi Tenggara',
      1558: 'Sulawesi Utara',
      1559: 'Sumatera Barat',
      1560: 'Sumatera Selatan',
      1561: 'Sumatera Utara',
      1562: 'Yogyakarta',
      1563: 'Papua Barat',
      1564: 'Sulawesi Barat',
      1565: 'Kepulauan Riau'
    },
    1566: {
      1567: 'Tehran',
      1568: 'Qom',
      1569: 'Markazi',
      1570: 'Qazvin',
      1571: 'Gilan',
      1572: 'Ardabil',
      1573: 'Zanjan',
      1574: 'East Azarbaijan',
      1575: 'West Azarbaijan',
      1576: 'Kurdistan',
      1577: 'Hamadan',
      1578: 'Kermanshah',
      1579: 'Ilam',
      1580: 'Lorestan',
      1581: 'Khuzestan',
      1582: 'Chahar Mahaal and Bakhtiari',
      1583: 'Kohkiluyeh and Buyer Ahmad',
      1584: 'Bushehr',
      1585: 'Fars',
      1586: 'Hormozgan',
      1587: 'Sistan and Baluchistan',
      1588: 'Kerman',
      1589: 'Yazd',
      1590: 'Esfahan',
      1591: 'Semnan',
      1592: 'Mazandaran',
      1593: 'Golestan',
      1594: 'North Khorasan',
      1595: 'Razavi Khorasan',
      1596: 'South Khorasan',
      1597: 'Alborz'
    },
    1598: {
      1599: 'Baghdad',
      1600: 'Salah ad Din',
      1601: 'Diyala',
      1602: 'Wasit',
      1603: 'Maysan',
      1604: 'Al Basrah',
      1605: 'Dhi Qar',
      1606: 'Al Muthanna',
      1607: 'Al Qadisyah',
      1608: 'Babil',
      1609: 'Al Karbala',
      1610: 'An Najaf',
      1611: 'Al Anbar',
      1612: 'Ninawa',
      1613: 'Dahuk',
      1614: 'Arbil',
      1615: 'As Sulaymaniyah'
    },
    1616: {
      1617: 'Carlow',
      1618: 'Cavan',
      1619: 'Clare',
      1620: 'Cork',
      1621: 'Donegal',
      1622: 'Dublin',
      1623: 'Galway',
      1624: 'Kerry',
      1625: 'Kildare',
      1626: 'Kilkenny',
      1627: 'Laois',
      1628: 'Leitrim',
      1629: 'Limerick',
      1630: 'Longford',
      1631: 'Louth',
      1632: 'Mayo',
      1633: 'Meath',
      1634: 'Monaghan',
      1635: 'Offaly',
      1636: 'Roscommon',
      1637: 'Sligo',
      1638: 'Tipperary',
      1639: 'Waterford',
      1640: 'Westmeath',
      1641: 'Wexford',
      1642: 'Wicklow'
    },
    1643: {
      1644: 'Eilat and Arava',
      1645: 'Galil',
      1646: 'Haifa',
      1647: 'Jehuda Mountains',
      1648: 'Jerusalem',
      1649: 'Negev',
      1650: 'Semaria',
      1651: 'Sharon',
      1652: 'Tel Aviv (Gosh Dan)'
    },
    1653: {
      1654: 'Agrigento',
      1655: 'Alessandria',
      1656: 'Ancona',
      1657: 'Aosta',
      1658: 'Arezzo',
      1659: 'Ascoli Piceno',
      1660: 'Asti',
      1661: 'Avellino',
      1662: 'Bari',
      1663: 'Belluno',
      1664: 'Benevento',
      1665: 'Bergamo',
      1666: 'Biella',
      1667: 'Bologna',
      1668: 'Bolzano',
      1669: 'Brescia',
      1670: 'Brindisi',
      1671: 'Cagliari',
      1672: 'Caltanissetta',
      1673: 'Campobasso',
      1674: 'Caserta',
      1675: 'Catania',
      1676: 'Catanzaro',
      1677: 'Chieti',
      1678: 'Como',
      1679: 'Cosenza',
      1680: 'Cremona',
      1681: 'Crotone',
      1682: 'Cuneo',
      1683: 'Enna',
      1684: 'Ferrara',
      1685: 'Firenze',
      1686: 'Foggia',
      1687: 'Forli-Cesena',
      1688: 'Frosinone',
      1689: 'Genova',
      1690: 'Gorizia',
      1691: 'Grosseto',
      1692: 'Imperia',
      1693: 'Isernia',
      1694: 'L&#39;Aquila',
      1695: 'La Spezia',
      1696: 'Latina',
      1697: 'Lecce',
      1698: 'Lecco',
      1699: 'Livorno',
      1700: 'Lodi',
      1701: 'Lucca',
      1702: 'Macerata',
      1703: 'Mantova',
      1704: 'Massa-Carrara',
      1705: 'Matera',
      1706: 'Messina',
      1707: 'Milano',
      1708: 'Modena',
      1709: 'Napoli',
      1710: 'Novara',
      1711: 'Nuoro',
      1712: 'Oristano',
      1713: 'Padova',
      1714: 'Palermo',
      1715: 'Parma',
      1716: 'Pavia',
      1717: 'Perugia',
      1718: 'Pesaro e Urbino',
      1719: 'Pescara',
      1720: 'Piacenza',
      1721: 'Pisa',
      1722: 'Pistoia',
      1723: 'Pordenone',
      1724: 'Potenza',
      1725: 'Prato',
      1726: 'Ragusa',
      1727: 'Ravenna',
      1728: 'Reggio Calabria',
      1729: 'Reggio Emilia',
      1730: 'Rieti',
      1731: 'Rimini',
      1732: 'Roma',
      1733: 'Rovigo',
      1734: 'Salerno',
      1735: 'Sassari',
      1736: 'Savona',
      1737: 'Siena',
      1738: 'Siracusa',
      1739: 'Sondrio',
      1740: 'Taranto',
      1741: 'Teramo',
      1742: 'Terni',
      1743: 'Torino',
      1744: 'Trapani',
      1745: 'Trento',
      1746: 'Treviso',
      1747: 'Trieste',
      1748: 'Udine',
      1749: 'Varese',
      1750: 'Venezia',
      1751: 'Verbano-Cusio-Ossola',
      1752: 'Vercelli',
      1753: 'Verona',
      1754: 'Vibo Valentia',
      1755: 'Vicenza',
      1756: 'Viterbo',
      1757: 'Barletta-Andria-Trani',
      1758: 'Fermo',
      1759: 'Monza Brianza'
    },
    1760: {
      1761: 'Clarendon Parish',
      1762: 'Hanover Parish',
      1763: 'Kingston Parish',
      1764: 'Manchester Parish',
      1765: 'Portland Parish',
      1766: 'Saint Andrew Parish',
      1767: 'Saint Ann Parish',
      1768: 'Saint Catherine Parish',
      1769: 'Saint Elizabeth Parish',
      1770: 'Saint James Parish',
      1771: 'Saint Mary Parish',
      1772: 'Saint Thomas Parish',
      1773: 'Trelawny Parish',
      1774: 'Westmoreland Parish'
    },
    1775: {
      1776: 'Aichi',
      1777: 'Akita',
      1778: 'Aomori',
      1779: 'Chiba',
      1780: 'Ehime',
      1781: 'Fukui',
      1782: 'Fukuoka',
      1783: 'Fukushima',
      1784: 'Gifu',
      1785: 'Gumma',
      1786: 'Hiroshima',
      1787: 'Hokkaido',
      1788: 'Hyogo',
      1789: 'Ibaraki',
      1790: 'Ishikawa',
      1791: 'Iwate',
      1792: 'Kagawa',
      1793: 'Kagoshima',
      1794: 'Kanagawa',
      1795: 'Kochi',
      1796: 'Kumamoto',
      1797: 'Kyoto',
      1798: 'Mie',
      1799: 'Miyagi',
      1800: 'Miyazaki',
      1801: 'Nagano',
      1802: 'Nagasaki',
      1803: 'Nara',
      1804: 'Niigata',
      1805: 'Oita',
      1806: 'Okayama',
      1807: 'Okinawa',
      1808: 'Osaka',
      1809: 'Saga',
      1810: 'Saitama',
      1811: 'Shiga',
      1812: 'Shimane',
      1813: 'Shizuoka',
      1814: 'Tochigi',
      1815: 'Tokushima',
      1816: 'Tokyo',
      1817: 'Tottori',
      1818: 'Toyama',
      1819: 'Wakayama',
      1820: 'Yamagata',
      1821: 'Yamaguchi',
      1822: 'Yamanashi'
    },
    1823: {
      1824: 'Ajlun',
      1825: 'Al Karak',
      1826: 'Al Mafraq',
      1827: 'At Tafilah',
      1828: 'Irbid',
      1829: 'Jarash',
      1830: 'Madaba'
    },
    1831: {
      1832: 'Almaty',
      1833: 'Almaty City',
      1834: 'Aqmola',
      1835: 'Aqtobe',
      1836: 'Astana City',
      1837: 'Atyrau',
      1838: 'Batys Qazaqstan',
      1839: 'Bayqongyr City',
      1840: 'Mangghystau',
      1841: 'Ongtustik Qazaqstan',
      1842: 'Pavlodar',
      1843: 'Qaraghandy',
      1844: 'Qostanay',
      1845: 'Qyzylorda',
      1846: 'Shyghys Qazaqstan',
      1847: 'Soltustik Qazaqstan',
      1848: 'Zhambyl'
    },
    1849: {
      1850: 'Central',
      1851: 'Coast',
      1852: 'Eastern',
      1853: 'Nairobi Area',
      1854: 'North Eastern',
      1855: 'Nyanza',
      1856: 'Rift Valley',
      1857: 'Western'
    },
    1858: {
      1859: 'Abaiang',
      1860: 'Abemama',
      1861: 'Aranuka',
      1862: 'Arorae',
      1863: 'Banaba',
      1864: 'Beru',
      1865: 'Butaritari',
      1866: 'Kanton',
      1867: 'Kiritimati',
      1868: 'Kuria',
      1869: 'Maiana',
      1870: 'Makin',
      1871: 'Marakei',
      1872: 'Nikunau',
      1873: 'Nonouti',
      1874: 'Onotoa',
      1875: 'Tabiteuea',
      1876: 'Tabuaeran',
      1877: 'Tamana',
      1878: 'Tarawa',
      1879: 'Teraina'
    },
    1880: {
      1881: 'Chagang-do',
      1882: 'Hamgyong-bukto',
      1883: 'Hamgyong-namdo',
      1884: 'Hwanghae-bukto',
      1885: 'Hwanghae-namdo',
      1886: 'Kangwon-do',
      1887: 'Ryanggang-do (Yanggang-do)',
      1888: 'Rason Directly Governed City'
    },
    1889: {
      1890: 'Cheju-do',
      1891: 'Cholla-bukto',
      1892: 'Cholla-namdo',
      1893: 'Kangwon-do',
      1894: 'Kwangju-gwangyoksi',
      1895: 'Kyonggi-do',
      1896: 'Kyongsang-bukto',
      1897: 'Kyongsang-namdo',
      1898: 'Pusan-gwangyoksi',
      1899: 'Taegu-gwangyoksi',
      1900: 'Taejon-gwangyoksi'
    },
    1901: {
      1902: 'Al Ahmadi',
      1903: 'Al Farwaniyah',
      1904: 'Hawalli'
    },
    1905: {
      1906: 'Bishkek',
      1907: 'Batken',
      1908: 'Chu',
      1909: 'Jalal-Abad',
      1910: 'Naryn',
      1911: 'Osh',
      1912: 'Talas',
      1913: 'Ysyk-Kol'
    },
    1932: {
      1933: 'Ainaži, Salacgrīvas novads',
      1934: 'Aizkraukle, Aizkraukles novads',
      1935: 'Aizkraukles novads',
      1936: 'Aizpute, Aizputes novads',
      1937: 'Aizputes novads',
      1938: 'Aknīste, Aknīstes novads',
      1939: 'Aknīstes novads',
      1940: 'Aloja, Alojas novads',
      1941: 'Alojas novads',
      1942: 'Alsungas novads',
      1943: 'Alūksne, Alūksnes novads',
      1944: 'Alūksnes novads',
      1945: 'Amatas novads',
      1946: 'Ape, Apes novads',
      1947: 'Apes novads',
      1948: 'Auce, Auces novads',
      1949: 'Auces novads',
      1950: 'Ādažu novads',
      1951: 'Babītes novads',
      1952: 'Baldone, Baldones novads',
      1953: 'Baldones novads',
      1954: 'Baloži, Ķekavas novads',
      1955: 'Baltinavas novads',
      1956: 'Balvi, Balvu novads',
      1957: 'Balvu novads',
      1958: 'Bauska, Bauskas novads',
      1959: 'Bauskas novads',
      1960: 'Beverīnas novads',
      1961: 'Brocēni, Brocēnu novads',
      1962: 'Brocēnu novads',
      1963: 'Burtnieku novads',
      1964: 'Carnikavas novads',
      1965: 'Cesvaine, Cesvaines novads',
      1966: 'Cesvaines novads',
      1967: 'Cēsis, Cēsu novads',
      1968: 'Cēsu novads',
      1969: 'Ciblas novads',
      1970: 'Dagda, Dagdas novads',
      1971: 'Dagdas novads',
      1972: 'Daugavpils',
      1973: 'Daugavpils novads',
      1974: 'Dobele, Dobeles novads',
      1975: 'Dobeles novads',
      1976: 'Dundagas novads',
      1977: 'Durbe, Durbes novads',
      1978: 'Durbes novads',
      1979: 'Engures novads',
      1980: 'Ērgļu novads',
      1981: 'Garkalnes novads',
      1982: 'Grobiņa, Grobiņas novads',
      1983: 'Grobiņas novads',
      1984: 'Gulbene, Gulbenes novads',
      1985: 'Gulbenes novads',
      1986: 'Iecavas novads',
      1987: 'Ikšķile, Ikšķiles novads',
      1988: 'Ikšķiles novads',
      1989: 'Ilūkste, Ilūkstes novads',
      1990: 'Ilūkstes novads',
      1991: 'Inčukalna novads',
      1992: 'Jaunjelgava, Jaunjelgavas novads',
      1993: 'Jaunjelgavas novads',
      1994: 'Jaunpiebalgas novads',
      1995: 'Jaunpils novads',
      1996: 'Jelgava',
      1997: 'Jelgavas novads',
      1998: 'Jēkabpils',
      1999: 'Jēkabpils novads',
      2000: 'Jūrmala',
      2001: 'Kalnciems, Jelgavas novads',
      2002: 'Kandava, Kandavas novads',
      2003: 'Kandavas novads',
      2004: 'Kārsava, Kārsavas novads',
      2005: 'Kārsavas novads',
      2006: 'Kocēnu novads ,bij. Valmieras)',
      2007: 'Kokneses novads',
      2008: 'Krāslava, Krāslavas novads',
      2009: 'Krāslavas novads',
      2010: 'Krimuldas novads',
      2011: 'Krustpils novads',
      2012: 'Kuldīga, Kuldīgas novads',
      2013: 'Kuldīgas novads',
      2014: 'Ķeguma novads',
      2015: 'Ķegums, Ķeguma novads',
      2016: 'Ķekavas novads',
      2017: 'Lielvārde, Lielvārdes novads',
      2018: 'Lielvārdes novads',
      2019: 'Liepāja',
      2020: 'Limbaži, Limbažu novads',
      2021: 'Limbažu novads',
      2022: 'Līgatne, Līgatnes novads',
      2023: 'Līgatnes novads',
      2024: 'Līvāni, Līvānu novads',
      2025: 'Līvānu novads',
      2026: 'Lubāna, Lubānas novads',
      2027: 'Lubānas novads',
      2028: 'Ludza, Ludzas novads',
      2029: 'Ludzas novads',
      2030: 'Madona, Madonas novads',
      2031: 'Madonas novads',
      2032: 'Mazsalaca, Mazsalacas novads',
      2033: 'Mazsalacas novads',
      2034: 'Mālpils novads',
      2035: 'Mārupes novads',
      2036: 'Mērsraga novads',
      2037: 'Naukšēnu novads',
      2038: 'Neretas novads',
      2039: 'Nīcas novads',
      2040: 'Ogre, Ogres novads',
      2041: 'Ogres novads',
      2042: 'Olaine, Olaines novads',
      2043: 'Olaines novads',
      2044: 'Ozolnieku novads',
      2045: 'Pārgaujas novads',
      2046: 'Pāvilosta, Pāvilostas novads',
      2047: 'Pāvilostas novads',
      2048: 'Piltene, Ventspils novads',
      2049: 'Pļaviņas, Pļaviņu novads',
      2050: 'Pļaviņu novads',
      2051: 'Preiļi, Preiļu novads',
      2052: 'Preiļu novads',
      2053: 'Priekule, Priekules novads',
      2054: 'Priekules novads',
      2055: 'Priekuļu novads',
      2056: 'Raunas novads',
      2057: 'Rēzekne',
      2058: 'Rēzeknes novads',
      2059: 'Riebiņu novads',
      2060: 'Rīga',
      2061: 'Rojas novads',
      2062: 'Ropažu novads',
      2063: 'Rucavas novads',
      2064: 'Rugāju novads',
      2065: 'Rundāles novads',
      2066: 'Rūjiena, Rūjienas novads',
      2067: 'Rūjienas novads',
      2068: 'Sabile, Talsu novads',
      2069: 'Salacgrīva, Salacgrīvas novads',
      2070: 'Salacgrīvas novads',
      2071: 'Salas novads',
      2072: 'Salaspils novads',
      2073: 'Salaspils, Salaspils novads',
      2074: 'Saldus novads',
      2075: 'Saldus, Saldus novads',
      2076: 'Saulkrasti, Saulkrastu novads',
      2077: 'Saulkrastu novads',
      2078: 'Seda, Strenču novads',
      2079: 'Sējas novads',
      2080: 'Sigulda, Siguldas novads',
      2081: 'Siguldas novads',
      2082: 'Skrīveru novads',
      2083: 'Skrunda, Skrundas novads',
      2084: 'Skrundas novads',
      2085: 'Smiltene, Smiltenes novads',
      2086: 'Smiltenes novads',
      2087: 'Staicele, Alojas novads',
      2088: 'Stende, Talsu novads',
      2089: 'Stopiņu novads',
      2090: 'Strenči, Strenču novads',
      2091: 'Strenču novads',
      2092: 'Subate, Ilūkstes novads',
      2093: 'Talsi, Talsu novads',
      2094: 'Talsu novads',
      2095: 'Tērvetes novads',
      2096: 'Tukuma novads',
      2097: 'Tukums, Tukuma novads',
      2098: 'Vaiņodes novads',
      2099: 'Valdemārpils, Talsu novads',
      2100: 'Valka, Valkas novads',
      2101: 'Valkas novads',
      2102: 'Valmiera',
      2103: 'Vangaži, Inčukalna novads',
      2104: 'Varakļāni, Varakļānu novads',
      2105: 'Varakļānu novads',
      2106: 'Vārkavas novads',
      2107: 'Vecpiebalgas novads',
      2108: 'Vecumnieku novads',
      2109: 'Ventspils',
      2110: 'Ventspils novads',
      2111: 'Viesīte, Viesītes novads',
      2112: 'Viesītes novads',
      2113: 'Viļaka, Viļakas novads',
      2114: 'Viļakas novads',
      2115: 'Viļāni, Viļānu novads',
      2116: 'Viļānu novads',
      2117: 'Zilupe, Zilupes novads',
      2118: 'Zilupes novads'
    },
    2119: {
      2120: 'Beirut',
      2121: 'Bekaa',
      2122: 'Mount Lebanon',
      2123: 'Nabatieh',
      2124: 'North',
      2125: 'South'
    },
    2126: {
      2127: 'Berea',
      2128: 'Butha-Buthe',
      2129: 'Leribe',
      2130: 'Mafeteng',
      2131: 'Maseru',
      2132: 'Mokhotlong',
      2133: 'Quthing',
      2134: 'Thaba-Tseka'
    },
    2135: {
      2136: 'Bomi',
      2137: 'Bong',
      2138: 'Grand Bassa',
      2139: 'Grand Cape Mount',
      2140: 'Grand Gedeh',
      2141: 'Grand Kru',
      2142: 'Lofa',
      2143: 'Margibi',
      2144: 'Maryland',
      2145: 'Montserrado',
      2146: 'Nimba',
      2147: 'River Cess',
      2148: 'Sinoe'
    },
    2149: {
      2150: 'Ajdabiya',
      2151: 'Al Fatih',
      2152: 'Al Jabal al Akhdar',
      2153: 'Al Jufrah',
      2154: 'Al Khums',
      2155: 'Al Kufrah',
      2156: 'An Nuqat al Khams',
      2157: 'Awbari',
      2158: 'Az Zawiyah',
      2159: 'Banghazi',
      2160: 'Darnah',
      2161: 'Ghadamis',
      2162: 'Gharyan',
      2163: 'Misratah',
      2164: 'Murzuq',
      2165: 'Sabha',
      2166: 'Sawfajjin',
      2167: 'Surt',
      2168: 'Tarabulus (Tripoli)',
      2169: 'Tarhunah',
      2170: 'Tubruq',
      2171: 'Yafran',
      2172: 'Zlitan'
    },
    2173: {
      2174: 'Vaduz',
      2175: 'Schaan',
      2176: 'Balzers',
      2177: 'Triesen',
      2178: 'Eschen',
      2179: 'Mauren',
      2180: 'Triesenberg',
      2181: 'Ruggell',
      2182: 'Gamprin',
      2183: 'Schellenberg',
      2184: 'Planken'
    },
    2185: {
      2186: 'Alytus',
      2187: 'Kaunas',
      2188: 'Klaipeda',
      2189: 'Marijampole',
      2190: 'Panevezys',
      2191: 'Siauliai',
      2192: 'Taurage',
      2193: 'Telsiai',
      2194: 'Utena',
      2195: 'Vilnius'
    },
    2196: {
      2197: 'Diekirch',
      2198: 'Clervaux',
      2199: 'Redange',
      2200: 'Vianden',
      2201: 'Wiltz',
      2202: 'Grevenmacher',
      2203: 'Echternach',
      2204: 'Remich',
      2205: 'Luxembourg',
      2206: 'Capellen',
      2207: 'Esch-sur-Alzette',
      2208: 'Mersch'
    },
    2209: {
      2210: 'Our Lady Fatima Parish',
      2211: 'St. Anthony Parish',
      2212: 'St. Lazarus Parish',
      2213: 'Cathedral Parish',
      2214: 'St. Lawrence Parish'
    },
    2216: {
      2217: 'Antananarivo',
      2218: 'Antsiranana',
      2219: 'Fianarantsoa',
      2220: 'Mahajanga',
      2221: 'Toamasina',
      2222: 'Toliara'
    },
    2223: {
      2224: 'Balaka',
      2225: 'Blantyre',
      2226: 'Chikwawa',
      2227: 'Chiradzulu',
      2228: 'Chitipa',
      2229: 'Dedza',
      2230: 'Dowa',
      2231: 'Karonga',
      2232: 'Kasungu',
      2233: 'Likoma',
      2234: 'Lilongwe',
      2235: 'Machinga',
      2236: 'Mangochi',
      2237: 'Mchinji',
      2238: 'Mulanje',
      2239: 'Mwanza',
      2240: 'Mzimba',
      2241: 'Ntcheu',
      2242: 'Nkhata Bay',
      2243: 'Nkhotakota',
      2244: 'Nsanje',
      2245: 'Ntchisi',
      2246: 'Phalombe',
      2247: 'Rumphi',
      2248: 'Salima',
      2249: 'Thyolo',
      2250: 'Zomba'
    },
    2251: {
      2252: 'Johor',
      2253: 'Kedah',
      2254: 'Kelantan',
      2255: 'Labuan',
      2256: 'Melaka',
      2257: 'Negeri Sembilan',
      2258: 'Pahang',
      2259: 'Perak',
      2260: 'Perlis',
      2261: 'Pulau Pinang',
      2262: 'Sabah',
      2263: 'Sarawak',
      2264: 'Selangor',
      2265: 'Terengganu',
      2266: 'Kuala Lumpur',
      2267: 'Putrajaya'
    },
    2268: {
      2269: 'Thiladhunmathi Uthuru',
      2270: 'Thiladhunmathi Dhekunu',
      2271: 'Miladhunmadulu Uthuru',
      2272: 'Miladhunmadulu Dhekunu',
      2273: 'Maalhosmadulu Uthuru',
      2274: 'Maalhosmadulu Dhekunu',
      2275: 'Faadhippolhu',
      2276: 'Male Atoll',
      2277: 'Ari Atoll Uthuru',
      2278: 'Ari Atoll Dheknu',
      2279: 'Felidhe Atoll',
      2280: 'Mulaku Atoll',
      2281: 'Nilandhe Atoll Uthuru',
      2282: 'Nilandhe Atoll Dhekunu',
      2283: 'Kolhumadulu',
      2284: 'Hadhdhunmathi',
      2285: 'Huvadhu Atoll Uthuru',
      2286: 'Huvadhu Atoll Dhekunu',
      2287: 'Fua Mulaku',
      2288: 'Addu'
    },
    2289: {
      2290: 'Gao',
      2291: 'Kayes',
      2292: 'Kidal',
      2293: 'Koulikoro',
      2294: 'Mopti',
      2295: 'Segou',
      2296: 'Sikasso',
      2297: 'Tombouctou',
      2298: 'Bamako Capital District'
    },
    2299: {
      2300: 'Attard',
      2301: 'Balzan',
      2302: 'Birgu',
      2303: 'Birkirkara',
      2304: 'Birzebbuga',
      2305: 'Bormla',
      2306: 'Dingli',
      2307: 'Fgura',
      2308: 'Floriana',
      2309: 'Gudja',
      2310: 'Gzira',
      2311: 'Gargur',
      2312: 'Gaxaq',
      2313: 'Hamrun',
      2314: 'Iklin',
      2315: 'Isla',
      2316: 'Kalkara',
      2317: 'Kirkop',
      2318: 'Lija',
      2319: 'Luqa',
      2320: 'Marsa',
      2321: 'Marsaskala',
      2322: 'Marsaxlokk',
      2323: 'Mdina',
      2324: 'Melliea',
      2325: 'Mgarr',
      2326: 'Mosta',
      2327: 'Mqabba',
      2328: 'Msida',
      2329: 'Mtarfa',
      2330: 'Naxxar',
      2331: 'Paola',
      2332: 'Pembroke',
      2333: 'Pieta',
      2334: 'Qormi',
      2335: 'Qrendi',
      2336: 'Rabat',
      2337: 'Safi',
      2338: 'San Giljan',
      2339: 'Santa Lucija',
      2340: 'San Pawl il-Bahar',
      2341: 'San Gwann',
      2342: 'Santa Venera',
      2343: 'Siggiewi',
      2344: 'Sliema',
      2345: 'Swieqi',
      2346: 'Ta Xbiex',
      2347: 'Tarxien',
      2348: 'Valletta',
      2349: 'Xgajra',
      2350: 'Zabbar',
      2351: 'Zebbug',
      2352: 'Zejtun',
      2353: 'Zurrieq',
      2354: 'Fontana',
      2355: 'Ghajnsielem',
      2356: 'Gharb',
      2357: 'Ghasri',
      2358: 'Kercem',
      2359: 'Munxar',
      2360: 'Nadur',
      2361: 'Qala',
      2362: 'Victoria',
      2363: 'San Lawrenz',
      2364: 'Sannat',
      2365: 'Xagra',
      2366: 'Xewkija',
      2367: 'Zebbug'
    },
    2368: {
      2369: 'Ailinginae',
      2370: 'Ailinglaplap',
      2371: 'Ailuk',
      2372: 'Arno',
      2373: 'Aur',
      2374: 'Bikar',
      2375: 'Bikini',
      2376: 'Bokak',
      2377: 'Ebon',
      2378: 'Enewetak',
      2379: 'Erikub',
      2380: 'Jabat',
      2381: 'Jaluit',
      2382: 'Jemo',
      2383: 'Kili',
      2384: 'Kwajalein',
      2385: 'Lae',
      2386: 'Lib',
      2387: 'Likiep',
      2388: 'Majuro',
      2389: 'Maloelap',
      2390: 'Mejit',
      2391: 'Mili',
      2392: 'Namorik',
      2393: 'Namu',
      2394: 'Rongelap',
      2395: 'Rongrik',
      2396: 'Toke',
      2397: 'Ujae',
      2398: 'Ujelang',
      2399: 'Utirik',
      2400: 'Wotho',
      2401: 'Wotje'
    },
    2403: {
      2404: 'Adrar',
      2405: 'Assaba',
      2406: 'Brakna',
      2407: 'Dakhlet Nouadhibou',
      2408: 'Gorgol',
      2409: 'Guidimaka',
      2410: 'Hodh Ech Chargui',
      2411: 'Hodh El Gharbi',
      2412: 'Inchiri',
      2413: 'Tagant',
      2414: 'Tiris Zemmour',
      2415: 'Trarza',
      2416: 'Nouakchott'
    },
    2417: {
      2418: 'Beau Bassin-Rose Hill',
      2419: 'Curepipe',
      2420: 'Port Louis',
      2421: 'Quatre Bornes',
      2422: 'Vacoas-Phoenix',
      2423: 'Agalega Islands',
      2424: 'Cargados Carajos Shoals (Saint Brandon Islands)',
      2425: 'Rodrigues',
      2426: 'Black River',
      2427: 'Flacq',
      2428: 'Grand Port',
      2429: 'Moka',
      2430: 'Pamplemousses',
      2431: 'Plaines Wilhems',
      2432: 'Port Louis',
      2433: 'Riviere du Rempart',
      2434: 'Savanne'
    },
    2436: {
      2437: 'Baja California Norte',
      2438: 'Baja California Sur',
      2439: 'Campeche',
      2440: 'Chiapas',
      2441: 'Chihuahua',
      2442: 'Coahuila de Zaragoza',
      2443: 'Colima',
      2444: 'Distrito Federal',
      2445: 'Durango',
      2446: 'Guanajuato',
      2447: 'Guerrero',
      2448: 'Hidalgo',
      2449: 'Jalisco',
      2450: 'Mexico',
      2451: 'Michoacan de Ocampo',
      2452: 'Morelos',
      2453: 'Nayarit',
      2454: 'Nuevo Leon',
      2455: 'Oaxaca',
      2456: 'Puebla',
      2457: 'Queretaro de Arteaga',
      2458: 'Quintana Roo',
      2459: 'San Luis Potosi',
      2460: 'Sinaloa',
      2461: 'Sonora',
      2462: 'Tabasco',
      2463: 'Tamaulipas',
      2464: 'Tlaxcala',
      2465: 'Veracruz-Llave',
      2466: 'Yucatan',
      2467: 'Zacatecas',
      2468: 'Aguascalientes'
    },
    2469: {
      2470: 'Chuuk',
      2471: 'Kosrae',
      2472: 'Pohnpei',
      2473: 'Yap'
    },
    2474: {
      2475: 'Gagauzia',
      2476: 'Chisinau',
      2477: 'Balti',
      2478: 'Cahul',
      2479: 'Edinet',
      2480: 'Lapusna',
      2481: 'Orhei',
      2482: 'Soroca',
      2483: 'Tighina',
      2484: 'Ungheni',
      2485: 'St‚nga Nistrului'
    },
    2486: {
      2487: 'Fontvieille',
      2488: 'La Condamine',
      2489: 'Monaco-Ville',
      2490: 'Monte-Carlo'
    },
    2491: {
      2492: 'Ulanbaatar',
      2493: 'Orhon',
      2494: 'Darhan uul',
      2495: 'Hentiy',
      2496: 'Hovsgol',
      2497: 'Hovd',
      2498: 'Uvs',
      2499: 'Tov',
      2500: 'Selenge',
      2501: 'Suhbaatar',
      2502: 'Omnogovi',
      2503: 'Ovorhangay',
      2504: 'Dzavhan',
      2505: 'DundgovL',
      2506: 'Dornod',
      2507: 'Dornogov',
      2508: 'Govi-Sumber',
      2509: 'Govi-Altay',
      2510: 'Bulgan',
      2511: 'Bayanhongor',
      2512: 'Bayan-Olgiy',
      2513: 'Arhangay'
    },
    2514: {
      2515: 'Saint Anthony',
      2516: 'Saint Georges',
      2517: 'Saint Peter'
    },
    2518: {
      2519: 'Agadir',
      2520: 'Al Hoceima',
      2521: 'Azilal',
      2522: 'Beni Mellal',
      2523: 'Ben Slimane',
      2524: 'Boulemane',
      2525: 'Casablanca',
      2526: 'Chaouen',
      2527: 'El Jadida',
      2528: 'El Kelaa des Sraghna',
      2529: 'Er Rachidia',
      2530: 'Essaouira',
      2531: 'Fes',
      2532: 'Figuig',
      2533: 'Guelmim',
      2534: 'Ifrane',
      2535: 'Kenitra',
      2536: 'Khemisset',
      2537: 'Khenifra',
      2538: 'Khouribga',
      2539: 'Laayoune',
      2540: 'Larache',
      2541: 'Marrakech',
      2542: 'Meknes',
      2543: 'Nador',
      2544: 'Ouarzazate',
      2545: 'Oujda',
      2546: 'Rabat-Sale',
      2547: 'Safi',
      2548: 'Settat',
      2549: 'Sidi Kacem',
      2550: 'Tangier',
      2551: 'Tan-Tan',
      2552: 'Taounate',
      2553: 'Taroudannt',
      2554: 'Tata',
      2555: 'Taza',
      2556: 'Tetouan',
      2557: 'Tiznit',
      2558: 'Ad Dakhla',
      2559: 'Boujdour',
      2560: 'Es Smara'
    },
    2561: {
      2562: 'Cabo Delgado',
      2563: 'Gaza',
      2564: 'Inhambane',
      2565: 'Manica',
      2566: 'Maputo (city)',
      2567: 'Maputo',
      2568: 'Nampula',
      2569: 'Niassa',
      2570: 'Sofala',
      2571: 'Tete',
      2572: 'Zambezia'
    },
    2573: {
      2574: 'Ayeyarwady',
      2575: 'Bago',
      2576: 'Magway',
      2577: 'Mandalay',
      2578: 'Sagaing',
      2579: 'Tanintharyi',
      2580: 'Yangon',
      2581: 'Chin State',
      2582: 'Kachin State',
      2583: 'Kayah State',
      2584: 'Kayin State',
      2585: 'Mon State',
      2586: 'Rakhine State',
      2587: 'Shan State'
    },
    2588: {
      2589: 'Caprivi',
      2590: 'Erongo',
      2591: 'Hardap',
      2592: 'Karas',
      2593: 'Kavango',
      2594: 'Khomas',
      2595: 'Kunene',
      2596: 'Ohangwena',
      2597: 'Omaheke',
      2598: 'Omusati',
      2599: 'Oshana',
      2600: 'Oshikoto',
      2601: 'Otjozondjupa'
    },
    2602: {
      2603: 'Aiwo',
      2604: 'Anabar',
      2605: 'Anetan',
      2606: 'Anibare',
      2607: 'Baiti',
      2608: 'Boe',
      2609: 'Buada',
      2610: 'Denigomodu',
      2611: 'Ewa',
      2612: 'Ijuw',
      2613: 'Meneng',
      2614: 'Nibok',
      2615: 'Uaboe',
      2616: 'Yaren'
    },
    2617: {
      2618: 'Bagmati',
      2619: 'Bheri',
      2620: 'Dhawalagiri',
      2621: 'Gandaki',
      2622: 'Janakpur',
      2623: 'Karnali',
      2624: 'Kosi',
      2625: 'Lumbini',
      2626: 'Mahakali',
      2627: 'Mechi',
      2628: 'Narayani',
      2629: 'Rapti',
      2630: 'Sagarmatha',
      2631: 'Seti'
    },
    2632: {
      2633: 'Drenthe',
      2634: 'Flevoland',
      2635: 'Friesland',
      2636: 'Gelderland',
      2637: 'Groningen',
      2638: 'Limburg',
      2639: 'Noord-Brabant',
      2640: 'Noord-Holland',
      2641: 'Overijssel',
      2642: 'Utrecht',
      2643: 'Zeeland',
      2644: 'Zuid-Holland'
    },
    2646: {
      2647: 'Iles Loyaute',
      2648: 'Nord',
      2649: 'Sud'
    },
    2650: {
      2651: 'Auckland',
      2652: 'Bay of Plenty',
      2653: 'Canterbury',
      2654: 'Coromandel',
      2655: 'Gisborne',
      2656: 'Fiordland',
      2657: 'Marlborough',
      2658: 'Manawatu-Wanganui',
      2659: 'Mt Cook-Mackenzie',
      2660: 'Nelson',
      2661: 'Northland',
      2662: 'Otago',
      2663: 'Southland',
      2664: 'Taranaki',
      2665: 'Wellington',
      2666: 'Waikato',
      2667: 'Wairarapa',
      2668: 'West Coast'
    },
    2669: {
      2670: 'Atlantico Norte',
      2671: 'Atlantico Sur',
      2672: 'Boaco',
      2673: 'Carazo',
      2674: 'Chinandega',
      2675: 'Chontales',
      2676: 'Esteli',
      2677: 'Granada',
      2678: 'Jinotega',
      2679: 'Leon',
      2680: 'Madriz',
      2681: 'Managua',
      2682: 'Masaya',
      2683: 'Matagalpa',
      2684: 'Nuevo Segovia',
      2685: 'Rio San Juan',
      2686: 'Rivas'
    },
    2687: {
      2688: 'Agadez',
      2689: 'Diffa',
      2690: 'Dosso',
      2691: 'Maradi',
      2692: 'Niamey',
      2693: 'Tahoua',
      2694: 'Tillaberi',
      2695: 'Zinder'
    },
    2696: {
      2697: 'Abia',
      2698: 'Abuja Federal Capital Territory',
      2699: 'Adamawa',
      2700: 'Akwa Ibom',
      2701: 'Anambra',
      2702: 'Bauchi',
      2703: 'Bayelsa',
      2704: 'Benue',
      2705: 'Borno',
      2706: 'Cross River',
      2707: 'Delta',
      2708: 'Ebonyi',
      2709: 'Edo',
      2710: 'Ekiti',
      2711: 'Enugu',
      2712: 'Gombe',
      2713: 'Imo',
      2714: 'Jigawa',
      2715: 'Kaduna',
      2716: 'Kano',
      2717: 'Katsina',
      2718: 'Kebbi',
      2719: 'Kogi',
      2720: 'Kwara',
      2721: 'Lagos',
      2722: 'Nassarawa',
      2723: 'Niger',
      2724: 'Ogun',
      2725: 'Ondo',
      2726: 'Osun',
      2727: 'Oyo',
      2728: 'Plateau',
      2729: 'Rivers',
      2730: 'Sokoto',
      2731: 'Taraba',
      2732: 'Yobe',
      2733: 'Zamfara'
    },
    2736: {
      2737: 'Northern Islands',
      2738: 'Rota',
      2739: 'Saipan',
      2740: 'Tinian'
    },
    2741: {
      2742: 'Akershus',
      2743: 'Aust-Agder',
      2744: 'Buskerud',
      2745: 'Finnmark',
      2746: 'Hedmark',
      2747: 'Hordaland',
      2748: 'More og Romdal',
      2749: 'Nord-Trondelag',
      2750: 'Nordland',
      2751: 'Ostfold',
      2752: 'Oppland',
      2753: 'Oslo',
      2754: 'Rogaland',
      2755: 'Sor-Trondelag',
      2756: 'Sogn og Fjordane',
      2757: 'Svalbard',
      2758: 'Telemark',
      2759: 'Troms',
      2760: 'Vest-Agder',
      2761: 'Vestfold'
    },
    2762: {
      2763: 'Ad Dakhiliyah',
      2764: 'Al Batinah',
      2765: 'Al Wusta',
      2766: 'Ash Sharqiyah',
      2767: 'Az Zahirah',
      2768: 'Masqat',
      2769: 'Musandam',
      2770: 'Zufar'
    },
    2771: {
      2772: 'Balochistan',
      2773: 'Federally Administered Tribal Areas',
      2774: 'Islamabad Capital Territory',
      2775: 'North-West Frontier',
      2776: 'Punjab',
      2777: 'Sindh'
    },
    2778: {
      2779: 'Aimeliik',
      2780: 'Airai',
      2781: 'Angaur',
      2782: 'Hatohobei',
      2783: 'Kayangel',
      2784: 'Koror',
      2785: 'Melekeok',
      2786: 'Ngaraard',
      2787: 'Ngarchelong',
      2788: 'Ngardmau',
      2789: 'Ngatpang',
      2790: 'Ngchesar',
      2791: 'Ngeremlengui',
      2792: 'Ngiwal',
      2793: 'Peleliu',
      2794: 'Sonsorol'
    },
    2795: {
      2796: 'Bocas del Toro',
      2797: 'Chiriqui',
      2798: 'Cocle',
      2799: 'Colon',
      2800: 'Darien',
      2801: 'Herrera',
      2802: 'Los Santos',
      2803: 'Panama',
      2804: 'San Blas',
      2805: 'Veraguas'
    },
    2806: {
      2807: 'Bougainville',
      2808: 'Central',
      2809: 'Chimbu',
      2810: 'Eastern Highlands',
      2811: 'East New Britain',
      2812: 'East Sepik',
      2813: 'Enga',
      2814: 'Gulf',
      2815: 'Madang',
      2816: 'Manus',
      2817: 'Milne Bay',
      2818: 'Morobe',
      2819: 'National Capital',
      2820: 'New Ireland',
      2821: 'Northern',
      2822: 'Sandaun',
      2823: 'Southern Highlands',
      2824: 'Western',
      2825: 'Western Highlands',
      2826: 'West New Britain'
    },
    2827: {
      2828: 'Alto Paraguay',
      2829: 'Alto Parana',
      2830: 'Amambay',
      2831: 'Asuncion',
      2832: 'Boqueron',
      2833: 'Caaguazu',
      2834: 'Caazapa',
      2835: 'Canindeyu',
      2836: 'Central',
      2837: 'Concepcion',
      2838: 'Cordillera',
      2839: 'Guaira',
      2840: 'Itapua',
      2841: 'Misiones',
      2842: 'Neembucu',
      2843: 'Paraguari',
      2844: 'Presidente Hayes',
      2845: 'San Pedro'
    },
    2846: {
      2847: 'Amazonas',
      2848: 'Ancash',
      2849: 'Apurimac',
      2850: 'Arequipa',
      2851: 'Ayacucho',
      2852: 'Cajamarca',
      2853: 'Callao',
      2854: 'Cusco',
      2855: 'Huancavelica',
      2856: 'Huanuco',
      2857: 'Ica',
      2858: 'Junin',
      2859: 'La Libertad',
      2860: 'Lambayeque',
      2861: 'Lima',
      2862: 'Loreto',
      2863: 'Madre de Dios',
      2864: 'Moquegua',
      2865: 'Pasco',
      2866: 'Piura',
      2867: 'Puno',
      2868: 'San Martin',
      2869: 'Tacna',
      2870: 'Tumbes',
      2871: 'Ucayali'
    },
    2872: {
      2873: 'Abra',
      2874: 'Agusan del Norte',
      2875: 'Agusan del Sur',
      2876: 'Aklan',
      2877: 'Albay',
      2878: 'Antique',
      2879: 'Apayao',
      2880: 'Aurora',
      2881: 'Basilan',
      2882: 'Bataan',
      2883: 'Batanes',
      2884: 'Batangas',
      2885: 'Biliran',
      2886: 'Benguet',
      2887: 'Bohol',
      2888: 'Bukidnon',
      2889: 'Bulacan',
      2890: 'Cagayan',
      2891: 'Camarines Norte',
      2892: 'Camarines Sur',
      2893: 'Camiguin',
      2894: 'Capiz',
      2895: 'Catanduanes',
      2896: 'Cavite',
      2897: 'Cebu',
      2898: 'Compostela',
      2899: 'Davao del Norte',
      2900: 'Davao del Sur',
      2901: 'Davao Oriental',
      2902: 'Eastern Samar',
      2903: 'Guimaras',
      2904: 'Ifugao',
      2905: 'Ilocos Norte',
      2906: 'Ilocos Sur',
      2907: 'Iloilo',
      2908: 'Isabela',
      2909: 'Kalinga',
      2910: 'Laguna',
      2911: 'Lanao del Norte',
      2912: 'Lanao del Sur',
      2913: 'La Union',
      2914: 'Leyte',
      2915: 'Maguindanao',
      2916: 'Marinduque',
      2917: 'Masbate',
      2918: 'Mindoro Occidental',
      2919: 'Mindoro Oriental',
      2920: 'Misamis Occidental',
      2921: 'Misamis Oriental',
      2922: 'Mountain',
      2923: 'Negros Occidental',
      2924: 'Negros Oriental',
      2925: 'North Cotabato',
      2926: 'Northern Samar',
      2927: 'Nueva Ecija',
      2928: 'Nueva Vizcaya',
      2929: 'Palawan',
      2930: 'Pampanga',
      2931: 'Pangasinan',
      2932: 'Quezon',
      2933: 'Quirino',
      2934: 'Rizal',
      2935: 'Romblon',
      2936: 'Samar',
      2937: 'Sarangani',
      2938: 'Siquijor',
      2939: 'Sorsogon',
      2940: 'South Cotabato',
      2941: 'Southern Leyte',
      2942: 'Sultan Kudarat',
      2943: 'Sulu',
      2944: 'Surigao del Norte',
      2945: 'Surigao del Sur',
      2946: 'Tarlac',
      2947: 'Tawi-Tawi',
      2948: 'Zambales',
      2949: 'Zamboanga del Norte',
      2950: 'Zamboanga del Sur',
      2951: 'Zamboanga Sibugay'
    },
    2953: {
      2954: 'Dolnoslaskie',
      2955: 'Kujawsko-Pomorskie',
      2956: 'Lodzkie',
      2957: 'Lubelskie',
      2958: 'Lubuskie',
      2959: 'Malopolskie',
      2960: 'Mazowieckie',
      2961: 'Opolskie',
      2962: 'Podkarpackie',
      2963: 'Podlaskie',
      2964: 'Pomorskie',
      2965: 'Slaskie',
      2966: 'Swietokrzyskie',
      2967: 'Warminsko-Mazurskie',
      2968: 'Wielkopolskie',
      2969: 'Zachodniopomorskie'
    },
    2970: {
      2971: 'A&ccedil;ores',
      2972: 'Aveiro',
      2973: 'Beja',
      2974: 'Braga',
      2975: 'Bragan&ccedil;a',
      2976: 'Castelo Branco',
      2977: 'Coimbra',
      2978: '&Eacute;vora',
      2979: 'Faro',
      2980: 'Guarda',
      2981: 'Leiria',
      2982: 'Lisboa',
      2983: 'Madeira',
      2984: 'Portalegre',
      2985: 'Porto',
      2986: 'Santar&eacute;m',
      2987: 'Set&uacute;bal',
      2988: 'Viana do Castelo',
      2989: 'Vila Real',
      2990: 'Viseu'
    },
    2992: {
      2993: 'Ad Dawhah',
      2994: 'Al Ghuwayriyah',
      2995: 'Al Jumayliyah',
      2996: 'Al Khawr',
      2997: 'Al Wakrah',
      2998: 'Ar Rayyan',
      2999: 'Jarayan al Batinah',
      3000: 'Madinat ash Shamal',
      3001: 'Umm Salal'
    },
    3003: {
      3004: 'Alba',
      3005: 'Arad',
      3006: 'Arges',
      3007: 'Bacau',
      3008: 'Bihor',
      3009: 'Bistrita-Nasaud',
      3010: 'Botosani',
      3011: 'Brasov',
      3012: 'Braila',
      3013: 'Bucuresti',
      3014: 'Buzau',
      3015: 'Caras-Severin',
      3016: 'Calarasi',
      3017: 'Cluj',
      3018: 'Constanta',
      3019: 'Covasna',
      3020: 'Dimbovita',
      3021: 'Dolj',
      3022: 'Galati',
      3023: 'Giurgiu',
      3024: 'Gorj',
      3025: 'Harghita',
      3026: 'Hunedoara',
      3027: 'Ialomita',
      3028: 'Iasi',
      3029: 'Ilfov',
      3030: 'Maramures',
      3031: 'Mehedinti',
      3032: 'Mures',
      3033: 'Neamt',
      3034: 'Olt',
      3035: 'Prahova',
      3036: 'Satu-Mare',
      3037: 'Salaj',
      3038: 'Sibiu',
      3039: 'Suceava',
      3040: 'Teleorman',
      3041: 'Timis',
      3042: 'Tulcea',
      3043: 'Vaslui',
      3044: 'Valcea',
      3045: 'Vrancea'
    },
    3046: {
      3047: 'Abakan',
      3048: 'Aginskoye',

      3049: 'Anadyr',
      3050: 'Arkahangelsk',
      3051: 'Astrakhan',
      3052: 'Barnaul',
      3053: 'Belgorod',
      3054: 'Birobidzhan',
      3055: 'Blagoveshchensk',
      3056: 'Bryansk',
      3057: 'Cheboksary',
      3058: 'Chelyabinsk',
      3059: 'Cherkessk',
      3060: 'Chita',
      3061: 'Dudinka',
      3062: 'Elista',
      3063: 'Gorno-Altaysk',
      3064: 'Groznyy',
      3065: 'Irkutsk',
      3066: 'Ivanovo',
      3067: 'Izhevsk',
      3068: 'Kalinigrad',
      3069: 'Kaluga',
      3070: 'Kasnodar',
      3071: 'Kazan',
      3072: 'Kemerovo',
      3073: 'Khabarovsk',
      3074: 'Khanty-Mansiysk',
      3075: 'Kostroma',
      3076: 'Krasnodar',
      3077: 'Krasnoyarsk',
      3078: 'Kudymkar',
      3079: 'Kurgan',
      3080: 'Kursk',
      3081: 'Kyzyl',
      3082: 'Lipetsk',
      3083: 'Magadan',
      3084: 'Makhachkala',
      3085: 'Maykop',
      3086: 'Moscow',
      3087: 'Murmansk',
      3088: 'Nalchik',
      3089: 'Naryan Mar',
      3090: 'Nazran',
      3091: 'Nizhniy Novgorod',
      3092: 'Novgorod',
      3093: 'Novosibirsk',
      3094: 'Omsk',
      3095: 'Orel',
      3096: 'Orenburg',
      3097: 'Palana',
      3098: 'Penza',
      3099: 'Perm',
      3100: 'Petropavlovsk-Kamchatskiy',
      3101: 'Petrozavodsk',
      3102: 'Pskov',
      3103: 'Rostov-na-Donu',
      3104: 'Ryazan',
      3105: 'Salekhard',
      3106: 'Samara',
      3107: 'Saransk',
      3108: 'Saratov',
      3109: 'Smolensk',
      3110: 'St. Petersburg',
      3111: 'Stavropol',
      3112: 'Syktyvkar',
      3113: 'Tambov',
      3114: 'Tomsk',
      3115: 'Tula',
      3116: 'Tura',
      3117: 'Tver',
      3118: 'Tyumen',
      3119: 'Ufa',
      3120: 'Ulan-Ude',
      3121: 'Vladikavkaz',
      3122: 'Vladimir',
      3123: 'Vladivostok',
      3124: 'Volgograd',
      3125: 'Vologda',
      3126: 'Voronezh',
      3127: 'Vyatka',
      3128: 'Yakutsk',
      3129: 'Yaroslavl',
      3130: 'Yekaterinburg',
      3131: 'Yoshkar-Ola'
    },
    3132: {
      3133: 'Butare',
      3134: 'Byumba',
      3135: 'Cyangugu',
      3136: 'Gikongoro',
      3137: 'Gisenyi',
      3138: 'Gitarama',
      3139: 'Kibungo',
      3140: 'Kibuye',
      3141: 'Kigali Rurale',
      3142: 'Kigali-ville',
      3143: 'Ruhengeri',
      3144: 'Umutara'
    },
    3145: {
      3146: 'Christ Church Nichola Town',
      3147: 'Saint Anne Sandy Point',
      3148: 'Saint George Basseterre',
      3149: 'Saint George Gingerland',
      3150: 'Saint James Windward',
      3151: 'Saint John Capesterre',
      3152: 'Saint John Figtree',
      3153: 'Saint Mary Cayon',
      3154: 'Saint Paul Capesterre',
      3155: 'Saint Paul Charlestown',
      3156: 'Saint Peter Basseterre',
      3157: 'Saint Thomas Lowland',
      3158: 'Saint Thomas Middle Island',
      3159: 'Trinity Palmetto Point'
    },

    3160: {
      3161: 'Anse-la-Raye',
      3162: 'Castries',
      3163: 'Choiseul',
      3164: 'Dauphin',
      3165: 'Dennery',
      3166: 'Gros-Islet',
      3167: 'Laborie',
      3168: 'Micoud',
      3169: 'Praslin',
      3170: 'Soufriere',
      3171: 'Vieux-Fort'
    },
    3172: {
      3173: 'Charlotte',
      3174: 'Grenadines',
      3175: 'Saint Andrew',
      3176: 'Saint David',
      3177: 'Saint George',
      3178: 'Saint Patrick'
    },
    3179: {
      3180: 'Aiga-i-le-Tai',
      3181: 'Atua',
      3182: 'Gagaifomauga',
      3183: 'Palauli',
      3184: 'Tuamasaga',
      3185: 'Vaisigano'
    },
    3186: {
      3187: 'Acquaviva',
      3188: 'Borgo Maggiore',
      3189: 'Chiesanuova',
      3190: 'Domagnano',
      3191: 'Faetano',
      3192: 'Fiorentino',
      3193: 'Montegiardino',
      3194: 'Citta di San Marino',
      3195: 'Serravalle'
    },
    3196: {
      3197: 'Sao Tome',
      3198: 'Principe'
    },
    3199: {
      3200: 'Al Bahah',
      3201: 'Al Hudud ash Shamaliyah',
      3202: 'Al Jawf',
      3203: 'Al Madinah',
      3204: 'Al Qasim',
      3205: 'Ar Riyad',
      3206: 'Ash Sharqiyah (Eastern)',
      3207: 'Jizan',
      3208: 'Makkah',
      3209: 'Najran',
      3210: 'Tabuk'
    },
    3211: {
      3212: 'Dakar',
      3213: 'Diourbel',
      3214: 'Fatick',
      3215: 'Kaolack',
      3216: 'Kolda',
      3217: 'Louga',
      3218: 'Matam',
      3219: 'Saint-Louis',
      3220: 'Tambacounda',
      3221: 'Thies',
      3222: 'Ziguinchor'
    },
    3223: {
      3224: 'Anse aux Pins',
      3225: 'Anse Boileau',
      3226: 'Anse Etoile',
      3227: 'Anse Louis',
      3228: 'Anse Royale',
      3229: 'Baie Lazare',
      3230: 'Baie Sainte Anne',
      3231: 'Beau Vallon',
      3232: 'Bel Air',
      3233: 'Bel Ombre',
      3234: 'Cascade',
      3235: 'Glacis',
      3236: 'La Digue',
      3237: 'La Riviere Anglaise',
      3238: 'Mont Buxton',
      3239: 'Mont Fleuri',
      3240: 'Plaisance',
      3241: 'Pointe La Rue',
      3242: 'Port Glaud',
      3243: 'Saint Louis',
      3244: 'Takamaka'
    },
    3245: {
      3246: 'Eastern',
      3247: 'Northern',
      3248: 'Southern',
      3249: 'Western'
    },
    3251: {
      3252: 'Banskobystrický',
      3253: 'Bratislavský',
      3254: 'Košický',
      3255: 'Nitriansky',
      3256: 'Prešovský',
      3257: 'Trenčiansky',
      3258: 'Trnavský',
      3259: 'Žilinský'
    },
    3260: {
      3261: 'Pomurska',
      3262: 'Podravska',
      3263: 'Koroška',
      3264: 'Savinjska',
      3265: 'Zasavska',
      3266: 'Spodnjeposavska',
      3267: 'Jugovzhodna Slovenija',
      3268: 'Osrednjeslovenska',
      3269: 'Gorenjska',
      3270: 'Notranjsko-kraška',
      3271: 'Goriška',
      3272: 'Obalno-kraška'
    },
    3273: {
      3274: 'Central',
      3275: 'Choiseul',
      3276: 'Guadalcanal',
      3277: 'Honiara',
      3278: 'Isabel',
      3279: 'Makira',
      3280: 'Malaita',
      3281: 'Rennell and Bellona',
      3282: 'Temotu',
      3283: 'Western'
    },
    3284: {
      3285: 'Awdal',
      3286: 'Bakool',
      3287: 'Banaadir',
      3288: 'Bari',
      3289: 'Bay',
      3290: 'Galguduud',
      3291: 'Gedo',
      3292: 'Hiiraan',
      3293: 'Jubbada Dhexe',
      3294: 'Jubbada Hoose',
      3295: 'Mudug',
      3296: 'Nugaal',
      3297: 'Sanaag',
      3298: 'Shabeellaha Dhexe',
      3299: 'Shabeellaha Hoose',
      3300: 'Sool',
      3301: 'Togdheer',
      3302: 'Woqooyi Galbeed'
    },
    3303: {
      3304: 'Eastern Cape',
      3305: 'Free State',
      3306: 'Gauteng',
      3307: 'KwaZulu-Natal',
      3308: 'Limpopo',
      3309: 'Mpumalanga',
      3310: 'North West',
      3311: 'Northern Cape',
      3312: 'Western Cape'
    },
    3314: {
      3315: 'La Coru&ntilde;a',
      3316: '&Aacute;lava',
      3317: 'Albacete',
      3318: 'Alicante',
      3319: 'Almeria',
      3320: 'Asturias',
      3321: '&Aacute;vila',
      3322: 'Badajoz',
      3323: 'Baleares',
      3324: 'Barcelona',
      3325: 'Burgos',
      3326: 'C&aacute;ceres',
      3327: 'C&aacute;diz',
      3328: 'Cantabria',
      3329: 'Castell&oacute;n',
      3330: 'Ceuta',
      3331: 'Ciudad Real',
      3332: 'C&oacute;rdoba',
      3333: 'Cuenca',
      3334: 'Girona',
      3335: 'Granada',
      3336: 'Guadalajara',
      3337: 'Guip&uacute;zcoa',
      3338: 'Huelva',
      3339: 'Huesca',
      3340: 'Ja&eacute;n',
      3341: 'La Rioja',
      3342: 'Las Palmas',
      3343: 'Leon',
      3344: 'Lleida',
      3345: 'Lugo',
      3346: 'Madrid',
      3347: 'Malaga',
      3348: 'Melilla',
      3349: 'Murcia',
      3350: 'Navarra',
      3351: 'Ourense',
      3352: 'Palencia',
      3353: 'Pontevedra',
      3354: 'Salamanca',
      3355: 'Santa Cruz de Tenerife',
      3356: 'Segovia',
      3357: 'Sevilla',
      3358: 'Soria',
      3359: 'Tarragona',
      3360: 'Teruel',
      3361: 'Toledo',
      3362: 'Valencia',
      3363: 'Valladolid',
      3364: 'Vizcaya',
      3365: 'Zamora',
      3366: 'Zaragoza'
    },
    3367: {
      3368: 'Central',
      3369: 'Eastern',
      3370: 'North Central',
      3371: 'Northern',
      3372: 'North Western',
      3373: 'Sabaragamuwa',
      3374: 'Southern',
      3375: 'Uva',
      3376: 'Western'
    },
    3377: {
      3378: 'Saint Helena'
    },
    3379: {
      3380: 'Saint Pierre',
      3381: 'Miquelon'
    },
    3382: {
      3383: 'Al Bahr al Ahmar',
      3384: 'Al Buhayrat',
      3385: 'Al Jazirah',
      3386: 'Al Khartum',
      3387: 'Al Qadarif',
      3388: 'Al Wahdah',
      3389: 'An Nil al Abyad',
      3390: 'An Nil al Azraq',
      3391: 'Ash Shamaliyah',
      3392: 'Bahr al Jabal',
      3393: 'Gharb Bahr al Ghazal',
      3394: 'Gharb Darfur',
      3395: 'Gharb Kurdufan',
      3396: 'Janub Darfur',
      3397: 'Janub Kurdufan',
      3398: 'Junqali',
      3399: 'Kassala',
      3400: 'Nahr an Nil',
      3401: 'Shamal Bahr al Ghazal',
      3402: 'Shamal Darfur',
      3403: 'Shamal Kurdufan',
      3404: 'Sinnar',
      3405: 'Warab'
    },
    3406: {
      3407: 'Brokopondo',
      3408: 'Commewijne',
      3409: 'Coronie',
      3410: 'Marowijne',
      3411: 'Nickerie',
      3412: 'Para',
      3413: 'Paramaribo',
      3414: 'Saramacca',
      3415: 'Sipaliwini',
      3416: 'Wanica'
    },
    3418: {
      3419: 'Hhohho',
      3420: 'Lubombo',
      3421: 'Manzini',
      3422: 'Shishelweni'
    },
    3423: {
      3424: 'Blekinge',
      3425: 'Dalarna',
      3426: 'Gävleborg',
      3427: 'Gotland',
      3428: 'Halland',
      3429: 'Jämtland',
      3430: 'Jönköping',
      3431: 'Kalmar',
      3432: 'Kronoberg',
      3433: 'Norrbotten',
      3434: 'Örebro',
      3435: 'Östergötland',
      3436: 'Sk&aring;ne',
      3437: 'Södermanland',
      3438: 'Stockholm',
      3439: 'Uppsala',
      3440: 'Värmland',
      3441: 'Västerbotten',
      3442: 'Västernorrland',
      3443: 'Västmanland',
      3444: 'Västra Götaland'
    },
    3445: {
      3446: 'Aargau',
      3447: 'Appenzell Ausserrhoden',
      3448: 'Appenzell Innerrhoden',
      3449: 'Basel-Stadt',
      3450: 'Basel-Landschaft',
      3451: 'Bern',
      3452: 'Fribourg',
      3453: 'Gen&egrave;ve',
      3454: 'Glarus',
      3455: 'Graubünden',
      3456: 'Jura',
      3457: 'Luzern',
      3458: 'Neuch&acirc;tel',
      3459: 'Nidwald',
      3460: 'Obwald',
      3461: 'St. Gallen',
      3462: 'Schaffhausen',
      3463: 'Schwyz',
      3464: 'Solothurn',
      3465: 'Thurgau',
      3466: 'Ticino',
      3467: 'Uri',
      3468: 'Valais',
      3469: 'Vaud',
      3470: 'Zug',
      3471: 'Zürich'
    },
    3472: {
      3473: 'Al Hasakah',
      3474: 'Al Ladhiqiyah',
      3475: 'Al Qunaytirah',
      3476: 'Ar Raqqah',
      3477: 'As Suwayda',
      3478: 'Dara',
      3479: 'Dayr az Zawr',
      3480: 'Dimashq',
      3481: 'Halab',
      3482: 'Hamah',
      3483: 'Hims',
      3484: 'Idlib',
      3485: 'Rif Dimashq',
      3486: 'Tartus'
    },
    3487: {
      3488: 'Gorno-Badakhstan',
      3489: 'Khatlon',
      3490: 'Sughd'
    },
    3491: {
      3492: 'Arusha',
      3493: 'Dar es Salaam',
      3494: 'Dodoma',
      3495: 'Iringa',
      3496: 'Kagera',
      3497: 'Kigoma',
      3498: 'Kilimanjaro',
      3499: 'Lindi',
      3500: 'Manyara',
      3501: 'Mara',
      3502: 'Mbeya',
      3503: 'Morogoro',
      3504: 'Mtwara',
      3505: 'Mwanza',
      3506: 'Pemba North',
      3507: 'Pemba South',
      3508: 'Pwani',
      3509: 'Rukwa',

      3510: 'Ruvuma',
      3511: 'Shinyanga',
      3512: 'Singida',
      3513: 'Tabora',
      3514: 'Tanga',
      3515: 'Zanzibar Central\/South',
      3516: 'Zanzibar North',
      3517: 'Zanzibar Urban\/West'
    },
    3518: {
      3519: 'Amnat Charoen',
      3520: 'Ang Thong',
      3521: 'Ayutthaya',
      3522: 'Bangkok',
      3523: 'Buriram',
      3524: 'Chachoengsao',
      3525: 'Chai Nat',
      3526: 'Chaiyaphum',
      3527: 'Chanthaburi',
      3528: 'Chiang Mai',
      3529: 'Chiang Rai',
      3530: 'Chon Buri',
      3531: 'Chumphon',
      3532: 'Kalasin',
      3533: 'Kamphaeng Phet',
      3534: 'Kanchanaburi',
      3535: 'Khon Kaen',
      3536: 'Krabi',
      3537: 'Lampang',
      3538: 'Lamphun',
      3539: 'Loei',
      3540: 'Lop Buri',
      3541: 'Mae Hong Son',
      3542: 'Maha Sarakham',
      3543: 'Mukdahan',
      3544: 'Nakhon Nayok',
      3545: 'Nakhon Pathom',
      3546: 'Nakhon Phanom',
      3547: 'Nakhon Ratchasima',
      3548: 'Nakhon Sawan',
      3549: 'Nakhon Si Thammarat',
      3550: 'Nan',
      3551: 'Narathiwat',
      3552: 'Nong Bua Lamphu',
      3553: 'Nong Khai',
      3554: 'Nonthaburi',
      3555: 'Pathum Thani',
      3556: 'Pattani',
      3557: 'Phangnga',
      3558: 'Phatthalung',
      3559: 'Phayao',
      3560: 'Phetchabun',
      3561: 'Phetchaburi',
      3562: 'Phichit',
      3563: 'Phitsanulok',
      3564: 'Phrae',
      3565: 'Phuket',
      3566: 'Prachin Buri',
      3567: 'Prachuap Khiri Khan',
      3568: 'Ranong',
      3569: 'Ratchaburi',
      3570: 'Rayong',
      3571: 'Roi Et',
      3572: 'Sa Kaeo',
      3573: 'Sakon Nakhon',
      3574: 'Samut Prakan',
      3575: 'Samut Sakhon',
      3576: 'Samut Songkhram',
      3577: 'Sara Buri',
      3578: 'Satun',
      3579: 'Sing Buri',
      3580: 'Sisaket',
      3581: 'Songkhla',
      3582: 'Sukhothai',
      3583: 'Suphan Buri',
      3584: 'Surat Thani',
      3585: 'Surin',
      3586: 'Tak',
      3587: 'Trang',
      3588: 'Trat',
      3589: 'Ubon Ratchathani',
      3590: 'Udon Thani',
      3591: 'Uthai Thani',
      3592: 'Uttaradit',
      3593: 'Yala',
      3594: 'Yasothon'
    },
    3595: {
      3596: 'Kara',
      3597: 'Plateaux',
      3598: 'Savanes',
      3599: 'Centrale',
      3600: 'Maritime'
    },
    3601: {
      3602: 'Atafu',
      3603: 'Fakaofo',
      3604: 'Nukunonu'
    },
    3605: {
      3606: 'Tongatapu'
    },
    3607: {
      3608: 'Couva\/Tabaquite\/Talparo',
      3609: 'Diego Martin',
      3610: 'Mayaro\/Rio Claro',
      3611: 'Penal\/Debe',
      3612: 'Princes Town',
      3613: 'Sangre Grande',
      3614: 'San Juan\/Laventille',
      3615: 'Siparia',
      3616: 'Tunapuna\/Piarco',
      3617: 'Port of Spain',
      3618: 'San Fernando',
      3619: 'Arima',
      3620: 'Point Fortin',
      3621: 'Chaguanas',
      3622: 'Tobago'
    },
    3623: {
      3624: 'Ariana',
      3625: 'Beja',
      3626: 'Ben Arous',
      3627: 'Bizerte',
      3628: 'Gabes',
      3629: 'Gafsa',
      3630: 'Jendouba',
      3631: 'Kairouan',
      3632: 'Kasserine',
      3633: 'Kebili',
      3634: 'Kef',
      3635: 'Mahdia',
      3636: 'Manouba',
      3637: 'Medenine',
      3638: 'Monastir',
      3639: 'Nabeul',
      3640: 'Sfax',
      3641: 'Sidi',
      3642: 'Siliana',
      3643: 'Sousse',
      3644: 'Tataouine',
      3645: 'Tozeur',
      3646: 'Tunis',
      3647: 'Zaghouan'
    },
    3648: {
      3649: 'Adana',
      3650: 'Adıyaman',
      3651: 'Afyonkarahisar',
      3652: 'Ağrı',
      3653: 'Aksaray',
      3654: 'Amasya',
      3655: 'Ankara',
      3656: 'Antalya',
      3657: 'Ardahan',
      3658: 'Artvin',
      3659: 'Aydın',
      3660: 'Balıkesir',
      3661: 'Bartın',
      3662: 'Batman',
      3663: 'Bayburt',
      3664: 'Bilecik',
      3665: 'Bingöl',
      3666: 'Bitlis',
      3667: 'Bolu',
      3668: 'Burdur',
      3669: 'Bursa',
      3670: 'Çanakkale',
      3671: 'Çankırı',
      3672: 'Çorum',
      3673: 'Denizli',
      3674: 'Diyarbakır',
      3675: 'Düzce',
      3676: 'Edirne',
      3677: 'Elazığ',
      3678: 'Erzincan',
      3679: 'Erzurum',
      3680: 'Eskişehir',
      3681: 'Gaziantep',
      3682: 'Giresun',
      3683: 'Gümüşhane',
      3684: 'Hakkari',
      3685: 'Hatay',
      3686: 'Iğdır',
      3687: 'Isparta',
      3688: 'İstanbul',
      3689: 'İzmir',
      3690: 'Kahramanmaraş',
      3691: 'Karabük',
      3692: 'Karaman',
      3693: 'Kars',
      3694: 'Kastamonu',
      3695: 'Kayseri',
      3696: 'Kilis',
      3697: 'Kırıkkale',
      3698: 'Kırklareli',
      3699: 'Kırşehir',
      3700: 'Kocaeli',
      3701: 'Konya',
      3702: 'Kütahya',
      3703: 'Malatya',
      3704: 'Manisa',
      3705: 'Mardin',
      3706: 'Mersin',
      3707: 'Muğla',
      3708: 'Muş',
      3709: 'Nevşehir',
      3710: 'Niğde',
      3711: 'Ordu',
      3712: 'Osmaniye',
      3713: 'Rize',
      3714: 'Sakarya',
      3715: 'Samsun',
      3716: 'Şanlıurfa',
      3717: 'Siirt',
      3718: 'Sinop',
      3719: 'Şırnak',
      3720: 'Sivas',
      3721: 'Tekirdağ',
      3722: 'Tokat',
      3723: 'Trabzon',
      3724: 'Tunceli',
      3725: 'Uşak',
      3726: 'Van',
      3727: 'Yalova',
      3728: 'Yozgat',
      3729: 'Zonguldak'
    },
    3730: {
      3731: 'Ahal Welayaty',
      3732: 'Balkan Welayaty',
      3733: 'Dashhowuz Welayaty',
      3734: 'Lebap Welayaty',
      3735: 'Mary Welayaty'
    },
    3736: {
      3737: 'Ambergris Cays',
      3738: 'Dellis Cay',
      3739: 'French Cay',
      3740: 'Little Water Cay',
      3741: 'Parrot Cay',
      3742: 'Pine Cay',
      3743: 'Salt Cay',
      3744: 'Grand Turk',
      3745: 'South Caicos',
      3746: 'East Caicos',
      3747: 'Middle Caicos',
      3748: 'North Caicos',
      3749: 'Providenciales',
      3750: 'West Caicos'
    },
    3751: {
      3752: 'Nanumanga',
      3753: 'Niulakita',
      3754: 'Niutao',
      3755: 'Funafuti',
      3756: 'Nanumea',
      3757: 'Nui',
      3758: 'Nukufetau',
      3759: 'Nukulaelae',
      3760: 'Vaitupu'
    },
    3761: {
      3762: 'Kalangala',
      3763: 'Kampala',
      3764: 'Kayunga',
      3765: 'Kiboga',
      3766: 'Luwero',
      3767: 'Masaka',
      3768: 'Mpigi',
      3769: 'Mubende',
      3770: 'Mukono',
      3771: 'Nakasongola',
      3772: 'Rakai',
      3773: 'Sembabule',
      3774: 'Wakiso',
      3775: 'Bugiri',
      3776: 'Busia',
      3777: 'Iganga',
      3778: 'Jinja',
      3779: 'Kaberamaido',
      3780: 'Kamuli',
      3781: 'Kapchorwa',
      3782: 'Katakwi',
      3783: 'Kumi',
      3784: 'Mayuge',
      3785: 'Mbale',
      3786: 'Pallisa',
      3787: 'Sironko',
      3788: 'Soroti',
      3789: 'Tororo',
      3790: 'Adjumani',
      3791: 'Apac',
      3792: 'Arua',
      3793: 'Gulu',
      3794: 'Kitgum',
      3795: 'Kotido',
      3796: 'Lira',
      3797: 'Moroto',
      3798: 'Moyo',
      3799: 'Nakapiripirit',
      3800: 'Nebbi',
      3801: 'Pader',
      3802: 'Yumbe',
      3803: 'Bundibugyo',
      3804: 'Bushenyi',
      3805: 'Hoima',
      3806: 'Kabale',
      3807: 'Kabarole',
      3808: 'Kamwenge',
      3809: 'Kanungu',
      3810: 'Kasese',
      3811: 'Kibaale',
      3812: 'Kisoro',
      3813: 'Kyenjojo',
      3814: 'Masindi',
      3815: 'Mbarara',
      3816: 'Ntungamo',
      3817: 'Rukungiri'
    },
    3818: {
      3819: 'Crimea',
      3820: 'Kyiv'
    },
    3821: {
      3822: 'Abu Dhabi',
      3823: 'Al Fujayrah',
      3824: 'Ash Shariqah',
      3825: 'Dubai',
      3826: 'Umm al Qaywayn'
    },
    3827: {
      3828: 'Aberdeen',
      3829: 'Aberdeenshire',
      3830: 'Anglesey',
      3831: 'Angus',
      3832: 'Argyll and Bute',
      3833: 'Bedfordshire',
      3834: 'Berkshire',
      3835: 'Blaenau Gwent',
      3836: 'Bridgend',
      3837: 'Bristol',
      3838: 'Buckinghamshire',
      3839: 'Caerphilly',
      3840: 'Cambridgeshire',
      3841: 'Cardiff',
      3842: 'Carmarthenshire',
      3843: 'Ceredigion',
      3844: 'Cheshire',
      3845: 'Clackmannanshire',
      3846: 'Conwy',
      3847: 'Cornwall',
      3848: 'Denbighshire',
      3849: 'Derbyshire',
      3850: 'Devon',
      3851: 'Dorset',
      3852: 'Dumfries and Galloway',
      3853: 'Dundee',
      3854: 'Durham',
      3855: 'East Ayrshire',
      3856: 'East Dunbartonshire',
      3857: 'East Lothian',
      3858: 'East Renfrewshire',
      3859: 'East Riding of Yorkshire',
      3860: 'East Sussex',
      3861: 'Edinburgh',
      3862: 'Essex',
      3863: 'Falkirk',

      3864: 'Fife',
      3865: 'Flintshire',
      3866: 'Glasgow',
      3867: 'Gloucestershire',
      3868: 'Greater London',
      3869: 'Greater Manchester',
      3870: 'Gwynedd',
      3871: 'Hampshire',
      3872: 'Herefordshire',
      3873: 'Hertfordshire',
      3874: 'Highlands',
      3875: 'Inverclyde',
      3876: 'Isle of Wight',
      3877: 'Kent',
      3878: 'Lancashire',
      3879: 'Leicestershire',
      3880: 'Lincolnshire',
      3881: 'Merseyside',
      3882: 'Merthyr Tydfil',
      3883: 'Midlothian',
      3884: 'Monmouthshire',
      3885: 'Moray',
      3886: 'Neath Port Talbot',
      3887: 'Newport',
      3888: 'Norfolk',
      3889: 'North Ayrshire',
      3890: 'North Lanarkshire',
      3891: 'North Yorkshire',
      3892: 'Northamptonshire',
      3893: 'Northumberland',
      3894: 'Nottinghamshire',
      3895: 'Orkney Islands',
      3896: 'Oxfordshire',
      3897: 'Pembrokeshire',
      3898: 'Perth and Kinross',
      3899: 'Powys',
      3900: 'Renfrewshire',
      3901: 'Rhondda Cynon Taff',
      3902: 'Rutland',
      3903: 'Scottish Borders',
      3904: 'Shetland Islands',
      3905: 'Shropshire',
      3906: 'Somerset',
      3907: 'South Ayrshire',
      3908: 'South Lanarkshire',
      3909: 'South Yorkshire',
      3910: 'Staffordshire',
      3911: 'Stirling',
      3912: 'Suffolk',
      3913: 'Surrey',
      3914: 'Swansea',
      3915: 'Torfaen',
      3916: 'Tyne and Wear',
      3917: 'Vale of Glamorgan',
      3918: 'Warwickshire',
      3919: 'West Dunbartonshire',
      3920: 'West Lothian',
      3921: 'West Midlands',
      3922: 'West Sussex',
      3923: 'West Yorkshire',
      3924: 'Western Isles',
      3925: 'Wiltshire',
      3926: 'Worcestershire',
      3927: 'Wrexham',
      3928: 'County Antrim',
      3929: 'County Armagh',
      3930: 'County Down',
      3931: 'County Fermanagh',
      3932: 'County Londonderry',
      3933: 'County Tyrone',
      3934: 'Cumbria'
    },
    3935: {
      3936: 'Alabama',
      3937: 'Alaska',
      3938: 'American Samoa',
      3939: 'Arizona',
      3940: 'Arkansas',
      3941: 'Armed Forces Africa',
      3942: 'Armed Forces Americas',
      3943: 'Armed Forces Canada',
      3944: 'Armed Forces Europe',
      3945: 'Armed Forces Middle East',
      3946: 'Armed Forces Pacific',
      3947: 'California',
      3948: 'Colorado',
      3949: 'Connecticut',
      3950: 'Delaware',
      3951: 'District of Columbia',
      3952: 'Federated States Of Micronesia',
      3953: 'Florida',
      3954: 'Georgia',
      3955: 'Guam',
      3956: 'Hawaii',
      3957: 'Idaho',
      3958: 'Illinois',
      3959: 'Indiana',
      3960: 'Iowa',
      3961: 'Kansas',
      3962: 'Kentucky',
      3963: 'Louisiana',
      3964: 'Maine',
      3965: 'Marshall Islands',
      3966: 'Maryland',
      3967: 'Massachusetts',
      3968: 'Michigan',
      3969: 'Minnesota',
      3970: 'Mississippi',
      3971: 'Missouri',
      3972: 'Montana',
      3973: 'Nebraska',
      3974: 'Nevada',
      3975: 'New Hampshire',
      3976: 'New Jersey',
      3977: 'New Mexico',
      3978: 'New York',
      3979: 'North Carolina',
      3980: 'North Dakota',
      3981: 'Northern Mariana Islands',
      3982: 'Ohio',
      3983: 'Oklahoma',
      3984: 'Oregon',
      3985: 'Palau',
      3986: 'Pennsylvania',
      3987: 'Puerto Rico',
      3988: 'Rhode Island',
      3989: 'South Carolina',
      3990: 'South Dakota',
      3991: 'Tennessee',
      3992: 'Texas',
      3993: 'Utah',
      3994: 'Vermont',
      3995: 'Virgin Islands',
      3996: 'Virginia',
      3997: 'Washington',
      3998: 'West Virginia',
      3999: 'Wisconsin',
      4000: 'Wyoming'
    },
    4001: {
      4002: 'Baker Island',
      4003: 'Howland Island',
      4004: 'Jarvis Island',
      4005: 'Johnston Atoll',
      4006: 'Kingman Reef',
      4007: 'Midway Atoll',
      4008: 'Navassa Island',
      4009: 'Palmyra Atoll',
      4010: 'Wake Island'
    },
    4011: {
      4012: 'Artigas',
      4013: 'Canelones',
      4014: 'Cerro Largo',
      4015: 'Colonia',
      4016: 'Durazno',
      4017: 'Flores',
      4018: 'Florida',
      4019: 'Lavalleja',
      4020: 'Maldonado',
      4021: 'Montevideo',
      4022: 'Paysandu',
      4023: 'Rio Negro',
      4024: 'Rivera',
      4025: 'Rocha',
      4026: 'Salto',
      4027: 'San Jose',
      4028: 'Soriano',
      4029: 'Tacuarembo',
      4030: 'Treinta y Tres'
    },
    4031: {
      4032: 'Andijon',
      4033: 'Buxoro',
      4034: 'Jizzax',
      4035: 'Namangan',
      4036: 'Navoiy',
      4037: 'Qashqadaryo',
      4038: 'Samarqand',
      4039: 'Sirdaryo',
      4040: 'Surxondaryo',
      4041: 'Toshkent City',
      4042: 'Toshkent Region',
      4043: 'Xorazm'
    },
    4044: {
      4045: 'Malampa',
      4046: 'Penama',
      4047: 'Sanma',
      4048: 'Shefa',
      4049: 'Tafea',
      4050: 'Torba'
    },
    4052: {
      4053: 'Amazonas',
      4054: 'Anzoategui',
      4055: 'Apure',
      4056: 'Aragua',
      4057: 'Barinas',
      4058: 'Bolivar',
      4059: 'Carabobo',
      4060: 'Cojedes',
      4061: 'Delta Amacuro',
      4062: 'Dependencias Federales',
      4063: 'Distrito Federal',
      4064: 'Falcon',
      4065: 'Guarico',
      4066: 'Lara',
      4067: 'Merida',
      4068: 'Miranda',
      4069: 'Monagas',
      4070: 'Nueva Esparta',
      4071: 'Portuguesa',
      4072: 'Sucre',
      4073: 'Tachira',
      4074: 'Trujillo',
      4075: 'Vargas',
      4076: 'Yaracuy',
      4077: 'Zulia'
    },
    4078: {
      4079: 'An Giang',
      4080: 'Bac Giang',
      4081: 'Bac Kan',
      4082: 'Bac Lieu',
      4083: 'Bac Ninh',
      4084: 'Ba Ria-Vung Tau',
      4085: 'Ben Tre',
      4086: 'Binh Dinh',
      4087: 'Binh Duong',
      4088: 'Binh Phuoc',
      4089: 'Binh Thuan',
      4090: 'Ca Mau',
      4091: 'Can Tho',
      4092: 'Cao Bang',
      4093: 'Dak Lak',
      4094: 'Dak Nong',
      4095: 'Da Nang',
      4096: 'Dien Bien',
      4097: 'Dong Nai',
      4098: 'Dong Thap',
      4099: 'Gia Lai',
      4100: 'Ha Giang',
      4101: 'Hai Duong',
      4102: 'Hai Phong',
      4103: 'Ha Nam',
      4104: 'Ha Noi',
      4105: 'Ha Tay',
      4106: 'Ha Tinh',
      4107: 'Hoa Binh',
      4108: 'Ho Chi Minh City',
      4109: 'Hau Giang',
      4110: 'Hung Yen'
    },
    4112: {
      4113: 'Saint Croix',
      4114: 'Saint John',
      4115: 'Saint Thomas'
    },
    4116: {
      4117: 'Alo',
      4118: 'Sigave',
      4119: 'Wallis'
    },
    4121: {
      4122: 'Abyan',
      4123: 'Adan',
      4124: 'Amran',
      4125: 'Al Bayda',
      4126: 'Ad Dali',
      4127: 'Dhamar',
      4128: 'Hadramawt',
      4129: 'Hajjah',
      4130: 'Al Hudaydah',
      4131: 'Ibb',
      4132: 'Al Jawf',
      4133: 'Lahij',
      4134: 'Al Mahrah',
      4135: 'Al Mahwit',
      4136: 'Shabwah'
    },
    4137: {
      4138: 'Bas-Congo',
      4139: 'Bandundu',
      4140: 'Equateur',
      4141: 'Katanga',
      4142: 'Kasai-Oriental',
      4143: 'Kinshasa',
      4144: 'Kasai-Occidental',
      4145: 'Maniema',
      4146: 'Nord-Kivu',
      4147: 'Orientale',
      4148: 'Sud-Kivu'
    },
    4149: {
      4150: 'Central',
      4151: 'Copperbelt',
      4152: 'Eastern',
      4153: 'Luapula',
      4154: 'Lusaka',
      4155: 'Northern',
      4156: 'North-Western',
      4157: 'Southern',
      4158: 'Western'
    },
    4159: {
      4160: 'Bulawayo',
      4161: 'Harare',
      4162: 'Manicaland',
      4163: 'Mashonaland Central',
      4164: 'Mashonaland East',
      4165: 'Mashonaland West',
      4166: 'Masvingo',
      4167: 'Matabeleland North',
      4168: 'Matabeleland South',
      4169: 'Midlands'
    },
    4170: {
      4171: 'Andrijevica',
      4172: 'Bar',
      4173: 'Berane',
      4174: 'Bijelo Polje',
      4175: 'Budva',
      4176: 'Cetinje',
      4177: 'Danilovgrad',
      4178: 'Herceg-Novi',
      4179: 'Kolašin',
      4180: 'Kotor',
      4181: 'Mojkovac',
      4182: 'Nikšić',
      4183: 'Plav',
      4184: 'Pljevlja',
      4185: 'Plužine',
      4186: 'Podgorica',
      4187: 'Rožaje',
      4188: 'Šavnik',
      4189: 'Tivat',
      4190: 'Ulcinj',
      4191: 'Žabljak'
    },
    4192: {
      4193: 'Belgrade',
      4194: 'North Bačka',
      4195: 'Central Banat',
      4196: 'North Banat',
      4197: 'South Banat',
      4198: 'West Bačka',
      4199: 'South Bačka',
      4200: 'Srem',
      4201: 'Mačva',
      4202: 'Kolubara',
      4203: 'Podunavlje',
      4204: 'Braničevo',
      4205: 'Šumadija',
      4206: 'Pomoravlje',
      4207: 'Bor',
      4208: 'Zaječar',
      4209: 'Zlatibor',
      4210: 'Moravica',
      4211: 'Raška',
      4212: 'Rasina',
      4213: 'Nišava',
      4214: 'Toplica',
      4215: 'Pirot',
      4216: 'Jablanica',
      4217: 'Pčinja'
    },
    4219: {
      4220: 'Bonaire',
      4221: 'Saba',
      4222: 'Sint Eustatius'
    },
    4225: {
      4226: 'Central Equatoria',
      4227: 'Eastern Equatoria',
      4228: 'Jonglei',
      4229: 'Lakes',
      4230: 'Northern Bahr el-Ghazal',
      4231: 'Unity',
      4232: 'Upper Nile',
      4233: 'Warrap',
      4234: 'Western Bahr el-Ghazal',
      4235: 'Western Equatoria'
    }
  };

  var WINDOW = typeof window !== 'undefined' ? window : {};
  var NAMESPACE = 'distpicker';
  var EVENT_CHANGE = 'change';

  var DEFAULT_CODE = 100000;
  var PROVINCE = 'province';
  var CITY = 'city';
  var DISTRICT = 'district';

  var Distpicker = /*#__PURE__*/function () {
    function Distpicker(element, options) {
      _classCallCheck(this, Distpicker);

      this.$element = $__default['default'](element);
      this.options = $__default['default'].extend({}, DEFAULTS, $__default['default'].isPlainObject(options) && options);
      this.placeholders = $__default['default'].extend({}, DEFAULTS);
      this.ready = false;
      this.init();
    }

    _createClass(Distpicker, [{
      key: "init",
      value: function init() {
        var _this = this;

        var options = this.options;
        var $selects = this.$element.find('select');
        var length = $selects.length;
        var data = {};
        $selects.each(function (i, select) {
          return $__default['default'].extend(data, $__default['default'](select).data());
        });
        $__default['default'].each([PROVINCE, CITY, DISTRICT], function (i, type) {
          if (data[type]) {
            options[type] = data[type];
            _this["$".concat(type)] = $selects.filter("[data-".concat(type, "]"));
          } else {
            _this["$".concat(type)] = length > i ? $selects.eq(i) : null;
          }
        });
        this.bind(); // Reset all the selects (after event binding)

        this.reset();
        this.ready = true;
      }
    }, {
      key: "bind",
      value: function bind() {
        var _this2 = this;

        if (this.$province) {
          this.$province.on(EVENT_CHANGE, this.onChangeProvince = $__default['default'].proxy(function () {
            _this2.output(CITY);

            _this2.output(DISTRICT, true);
          }, this));
        }

        if (this.$city) {
          this.$city.on(EVENT_CHANGE, this.onChangeCity = $__default['default'].proxy(function () {
            return _this2.output(DISTRICT, true);
          }, this));
        }
      }
    }, {
      key: "unbind",
      value: function unbind() {
        if (this.$province) {
          this.$province.off(EVENT_CHANGE, this.onChangeProvince);
        }

        if (this.$city) {
          this.$city.off(EVENT_CHANGE, this.onChangeCity);
        }
      }
    }, {
      key: "output",
      value: function output(type) {
        var triggerEvent = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : false;
        var options = this.options,
            placeholders = this.placeholders;
        var $select = this["$".concat(type)];

        if (!$select || !$select.length) {
          return;
        }

        var code;

        switch (type) {
          case PROVINCE:
            code = DEFAULT_CODE;
            break;

          case CITY:
            code = this.$province && (this.$province.find(':selected').data('code') || '');
            break;

          case DISTRICT:
            code = this.$city && (this.$city.find(':selected').data('code') || '');
            break;
        }

        var districts = this.getDistricts(code);
        var value = options[type];
        var data = [];
        var matched = false;

        if ($__default['default'].isPlainObject(districts)) {
          $__default['default'].each(districts, function (i, name) {
            var selected = name === value || i === String(value);

            if (selected) {
              matched = true;
            }

            data.push({
              name: name,
              selected: selected,
              code: i,
              value: options.valueType === 'name' ? name : i
            });
          });
        }

        if (!matched) {
          var autoselect = options.autoselect || options.autoSelect;

          if (data.length && (type === PROVINCE && autoselect > 0 || type === CITY && autoselect > 1 || type === DISTRICT && autoselect > 2)) {
            data[0].selected = true;
          } // Save the unmatched value as a placeholder at the first output


          if (!this.ready && value) {
            placeholders[type] = value;
          }
        } // Add placeholder option


        if (options.placeholder) {
          data.unshift({
            code: '',
            name: placeholders[type],
            value: '',
            selected: false
          });
        }

        if (data.length) {
          $select.html(this.getList(data));
        } else {
          $select.empty();
        }

        if (triggerEvent) {
          $select.trigger(EVENT_CHANGE);
        }
      } // eslint-disable-next-line class-methods-use-this

    }, {
      key: "getList",
      value: function getList(data) {
        var list = [];
        $__default['default'].each(data, function (i, n) {
          var attrs = ["data-code=\"".concat(n.code, "\""), "data-text=\"".concat(n.name, "\""), "value=\"".concat(n.value, "\"")];

          if (n.selected) {
            attrs.push('selected');
          }

          list.push("<option ".concat(attrs.join(' '), ">").concat(n.name, "</option>"));
        });
        return list.join('');
      } // eslint-disable-next-line class-methods-use-this

    }, {
      key: "getDistricts",
      value: function getDistricts() {
        var code = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : DEFAULT_CODE;
        return DISTRICTS[code] || null;
      }
    }, {
      key: "reset",
      value: function reset(deep) {
        if (!deep) {
          this.output(PROVINCE);
          this.output(CITY);
          this.output(DISTRICT);
        } else if (this.$province) {
          this.$province.find(':first').prop('selected', true).end().trigger(EVENT_CHANGE);
        }
      }
    }, {
      key: "destroy",
      value: function destroy() {
        this.unbind();
      }
    }], [{
      key: "setDefaults",
      value: function setDefaults(options) {
        $__default['default'].extend(DEFAULTS, $__default['default'].isPlainObject(options) && options);
      }
    }]);

    return Distpicker;
  }();

  if ($__default['default'].fn) {
    var AnotherDistpicker = $__default['default'].fn.distpicker;

    $__default['default'].fn.distpicker = function jQueryDistpicker(option) {
      for (var _len = arguments.length, args = new Array(_len > 1 ? _len - 1 : 0), _key = 1; _key < _len; _key++) {
        args[_key - 1] = arguments[_key];
      }

      var result;
      this.each(function (i, element) {
        var $element = $__default['default'](element);
        var isDestroy = option === 'destroy';
        var distpicker = $element.data(NAMESPACE);

        if (!distpicker) {
          if (isDestroy) {
            return;
          }

          var options = $__default['default'].extend({}, $element.data(), $__default['default'].isPlainObject(option) && option);
          distpicker = new Distpicker(element, options);
          $element.data(NAMESPACE, distpicker);
        }

        if (typeof option === 'string') {
          var fn = distpicker[option];

          if ($__default['default'].isFunction(fn)) {
            result = fn.apply(distpicker, args);

            if (isDestroy) {
              $element.removeData(NAMESPACE);
            }
          }
        }
      });
      return typeof result === 'undefined' ? this : result;
    };

    $__default['default'].fn.distpicker.Constructor = Distpicker;
    $__default['default'].fn.distpicker.setDefaults = Distpicker.setDefaults;

    $__default['default'].fn.distpicker.noConflict = function noConflict() {
      $__default['default'].fn.distpicker = AnotherDistpicker;
      return this;
    };
  }

  if (WINDOW.document) {
    $__default['default'](function () {
      $__default['default']("[data-toggle=\"".concat(NAMESPACE, "\"]")).distpicker();
    });
  }

})));
